﻿Copyright (c) (2015) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Thresholds Command /86100
INSTRUMENT:            Sub Delta Time Definition Command /86100
DATE:                  2016-08-09 16:45:21
AUTHOR:                Fluke
REVISION:              $Revision: 16627 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       198
CONFIGURATION:         Agilent 86100 Series
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Debug = 0

  1.002  JMPL         THREHOLDS                    PSUBI("Thresholds")
  1.003  JMPL         DELTA_TIME_DEFINITION        PSUBI("Delta Time Def")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub Thresholds Command /86100  =====================================

  2.001  LABEL        THREHOLDS
  2.002  MATH         Upper  = FLD(@86100_MeasurementThresholds, 1, ",")
  2.003  MATH         Middle = FLD(@86100_MeasurementThresholds, 2, ",")
  2.004  MATH         Lower  = FLD(@86100_MeasurementThresholds, 3, ",")

  2.005  MATH         @Error = EMPTY(Upper)
  2.006  MATH         @Error = @Error || EMPTY(Middle)
  2.007  MATH         @Error = @Error || EMPTY(Lower)
  2.008  MATH         @Error = @Error || NOT(IS_NUM_LEAD(Upper))
  2.009  MATH         @Error = @Error || NOT(IS_NUM_LEAD(Middle))
  2.010  MATH         @Error = @Error || NOT(IS_NUM_LEAD(Lower))

  2.011  IF           FIND(Upper, "%", 0)
  2.012  MATH         @Error = @Error || NOT(FIND(Middle, "%", 0))
  2.013  MATH         @Error = @Error || NOT(FIND(Lower,  "%", 0))
  2.014  ELSEIF       FIND(Upper, "V", 0)
  2.015  MATH         @Error = @Error || NOT(FIND(Middle, "V", 0))
  2.016  MATH         @Error = @Error || NOT(FIND(Lower,  "V", 0))
  2.017  ELSE
  2.018  MATH         @Error = 1
  2.019  ENDIF

  2.020  IF           @Error
  2.021  DISP         @86100_MeasurementThresholds must be:
  2.021  DISP         [32] "<upper>,<middle>,<lower>"
  2.021  DISP
  2.021  DISP         Where
  2.021  DISP         [32] <upper>  = "<NR1>%" | "<NR3>V"
  2.021  DISP         [32] <middle> = "<NR1>%" | "<NR3>V"
  2.021  DISP         [32] <lower>  = "<NR1>%" | "<NR3>V"
  2.021  DISP
  2.021  DISP         All three must be "%" or "V".
  2.022  END
  2.023  ENDIF

  2.024  IF           FIND(Upper, "%", 0)
  2.025  MATH         Type = "PERC"
  2.026  ELSE
  2.027  MATH         Type = "UNIT"
  2.028  ENDIF

  2.029  MATH         Cmd = "MEAS:DEF THR," & Type
  2.030  MATH         Cmd = Cmd & "," & NUM(Upper)
  2.031  MATH         Cmd = Cmd & "," & NUM(Middle)
  2.032  MATH         Cmd = Cmd & "," & NUM(Lower)
  2.033  MATH         @86100_ThresholdsCmd = Cmd

  2.034  IF           Debug && NOT(EMPTY(@86100_ThresholdsCmd))
  2.035  SCPI         [@86100][V @86100_ThresholdsCmd]
  2.036  ENDIF

  2.037  END

  2.038  EVAL   Increment step number

# =====  Sub Delta Time Definition Command /86100  ==========================

  3.001  LABEL        DELTA_TIME_DEFINITION
  3.002  MATH         DeltaTimeDefinition = @86100_DeltaTimeDefinition

  3.003  MATH         StartEdgeDirection = FLD(DeltaTimeDefinition, 1, ",")
  3.004  MATH         StartEdgeNumber    = FLD(DeltaTimeDefinition, 2, ",")
  3.005  MATH         StartEdgePosition  = FLD(DeltaTimeDefinition, 3, ",")
  3.006  MATH         StopEdgeDirection  = FLD(DeltaTimeDefinition, 4, ",")
  3.007  MATH         StopEdgeNumber     = FLD(DeltaTimeDefinition, 5, ",")
  3.008  MATH         StopEdgePosition   = FLD(DeltaTimeDefinition, 6, ",")

  3.009  MATH         Dir = StartEdgeDirection
  3.010  MATH         L[1] = ZCMPI(Dir, "Rising")
  3.011  MATH         L[1] = ZCMPI(Dir, "Ris")     || L[1]
  3.012  MATH         L[1] = ZCMPI(Dir, "Falling") || L[1]
  3.013  MATH         L[1] = ZCMPI(Dir, "Fall")    || L[1]
  3.014  MATH         L[1] = ZCMPI(Dir, "Either")  || L[1]
  3.015  MATH         L[1] = ZCMPI(Dir, "Eith")    || L[1]

  3.016  MATH         Number = StartEdgeNumber
  3.017  MATH         L[2] = IS_NUM(Number)

  3.018  IF           L[2]
  3.019  MATH         L[2] = (Number == INT(Number))
  3.020  MATH         L[2] = (Number >= 1) && (Number <= 20) && L[2]
  3.021  ENDIF

  3.022  MATH         Pos = StartEdgePosition
  3.023  MATH         L[3] = ZCMPI(Pos, "Upper")
  3.024  MATH         L[3] = ZCMPI(Pos, "Upp")    || L[3]
  3.025  MATH         L[3] = ZCMPI(Pos, "Middle") || L[3]
  3.026  MATH         L[3] = ZCMPI(Pos, "Midd")   || L[3]
  3.027  MATH         L[3] = ZCMPI(Pos, "Lower")  || L[3]
  3.028  MATH         L[3] = ZCMPI(Pos, "Low")    || L[3]

  3.029  MATH         Dir = StopEdgeDirection
  3.030  MATH         L[4] = ZCMPI(Dir, "Rising")
  3.031  MATH         L[4] = ZCMPI(Dir, "Ris")     || L[4]
  3.032  MATH         L[4] = ZCMPI(Dir, "Falling") || L[4]
  3.033  MATH         L[4] = ZCMPI(Dir, "Fall")    || L[4]
  3.034  MATH         L[4] = ZCMPI(Dir, "Either")  || L[4]
  3.035  MATH         L[4] = ZCMPI(Dir, "Eith")    || L[4]

  3.036  MATH         Number = StopEdgeNumber
  3.037  MATH         L[5] = IS_NUM(Number)

  3.038  IF           L[5]
  3.039  MATH         L[5] = (Number == INT(Number))
  3.040  MATH         L[5] = (Number >= 1) && (Number <= 20) && L[5]
  3.041  ENDIF

  3.042  MATH         Pos = StopEdgePosition
  3.043  MATH         L[6] = ZCMPI(Pos, "Upper")
  3.044  MATH         L[6] = ZCMPI(Pos, "Upp")    || L[6]
  3.045  MATH         L[6] = ZCMPI(Pos, "Middle") || L[6]
  3.046  MATH         L[6] = ZCMPI(Pos, "Midd")   || L[6]
  3.047  MATH         L[6] = ZCMPI(Pos, "Lower")  || L[6]
  3.048  MATH         L[6] = ZCMPI(Pos, "Low")    || L[6]

  3.049  MATH         L[7] = NOT(L[1]) || NOT(L[2]) || NOT(L[3])
  3.050  MATH         L[8] = NOT(L[4]) || NOT(L[5]) || NOT(L[6])
  3.051  MATH         @Error = L[7] || L[8]

  3.052  IF           @Error
  3.053  DISP         @86100_DeltaTimeDefinition must be:
  3.053  DISP         [32] <start_edge_direction>,
  3.053  DISP         [32] <start_edge_number>,
  3.053  DISP         [32] <start_edge_position>,
  3.053  DISP         [32] <stop_edge_direction>,
  3.053  DISP         [32] <stop_edge_number>,
  3.053  DISP         [32] <stop_edge_position>,
  3.053  DISP
  3.053  DISP         Where:
  3.053  DISP         [32] <direction> = "Rising"  | "Ris"  |
  3.053  DISP         [32]               "Falling" | "Fall" |
  3.053  DISP         [32]               "Either"  | "Eith
  3.053  DISP         [32] <number>    = an integer "1" to "20"
  3.053  DISP         [32] <position>  = "Upper"  | "Upp"  |
  3.053  DISP         [32]               "Middle" | "Midd"
  3.053  DISP         [32]               "Lower"  | "Low
  3.053  DISP
  3.053  DISP         All three must be "%" or "V".
  3.054  END
  3.055  ENDIF

  3.056  MATH         Cmd = "MEAS:DEF DELT," & @86100_DeltaTimeDefinition
  3.057  MATH         @86100_DeltaTimeDefCmd = Cmd

  3.058  IF           Debug && NOT(EMPTY(@86100_DeltaTimeDefCmd))
  3.059  SCPI         [@86100][V @86100_ThresholdsCmd]
  3.060  ENDIF

  3.061  END
