﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Flatness /ML2437
INSTRUMENT:            Sub MG369XB (2 yr) Maximum Leveled Power /ML2437
DATE:                  2010-01-07 14:26:01
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       394
CONFIGURATION:         Anritsu ML2437A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.0E or later
#
#  Subprocedures:
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB (2 yr) Max Lev Pwr VER w/15 & 4|5 /ML2437
#        Sub MG369XB (2 yr) Max Lev Pwr VER w/15 w/o 4|5 /ML2437
#        Sub MG369XB (2 yr) Max Lev Pwr VER w/o Opt 15 /ML2437
#        Sub MG369XB Set Max Power
#        Sub MG369XB Min/Max Power Sweep /ML2437
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @ML2430A_Ch = "A"

  1.002  JMPL         FLATNESS                     PSUB("Flatness")
  1.003  JMPL         MAXIMUM_LEVELED_POWER        PSUB("Maximum Leveled")
  1.004  DISP         Called subprocedure not found!
  1.005  END

  1.006  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Flatness VER /ML2437  ===========================

  2.001  LABEL        FLATNESS
  2.002  RSLT         =
  2.003  RSLT         =POWER LEVEL FLATNESS TESTS
  2.004  HEAD         POWER LEVEL FLATNESS TESTS
  2.005  TARGET       -p
  2.006  TSET         NTHROW = 0; NMEAS = 1
  2.007  CALL         Sub MG369XB Reset & SRQ Masks

# Set up the test power level
  2.008  IF           @Opt_2

  2.009  IF           @MG3691B || @MG3692B

  2.010  IF           @Opt_2E && @Opt_22
  2.011  MATH         @LvldBm = +11
  2.012  ELSEIF       @Opt_2E || @Opt_22
  2.013  MATH         @LvldBm = +13
  2.014  ELSE
  2.015  MATH         @LvldBm = +15
  2.016  ENDIF

  2.017  ELSEIF       @MG3693B || @MG3694B

  2.018  IF           @Opt_22
  2.019  MATH         @LvldBm = +1
  2.020  ELSE
  2.021  MATH         @LvldBm = +3
  2.022  ENDIF

  2.023  ELSEIF       @MG3695B || @MG3696B

  2.024  IF           @Opt_22
  2.025  MATH         @LvldBm = -2
  2.026  ELSE
  2.027  MATH         @LvldBm = +0
  2.028  ENDIF

  2.029  ENDIF        ; @MG3691B || @MG3692B

  2.030  ELSE         ; Without Option 2

  2.031  IF           @MG3691B || @MG3692B

  2.032  IF           @Opt_22
  2.033  MATH         @LvldBm = +15
  2.034  ELSE
  2.035  MATH         @LvldBm = +17
  2.036  ENDIF

  2.037  ELSEIF       @MG3693B || @MG3694B

  2.038  IF           @Opt_22
  2.039  MATH         @LvldBm = +4
  2.040  ELSE
  2.041  MATH         @LvldBm = +6
  2.042  ENDIF

  2.043  ELSEIF       @MG3695B || @MG3696B
  2.044  IF           @Opt_22
  2.045  MATH         @LvldBm = +1
  2.046  ELSE
  2.047  MATH         @LvldBm = +3
  2.048  ENDIF

  2.049  ENDIF        ; @MG3691B || @MG3692B

  2.050  ENDIF        ; @Opt_2

  2.051  IF           @Opt_22 || @Opt_4 || @Opt_5

  2.052  IF           @Opt_22
# MA2421 and SC7400 minimum frequency is 100 kHz.
  2.053  MATH         @StartFreq = 100E+3
  2.054  ELSE
  2.055  MATH         @StartFreq = 10.0E+6
  2.056  ENDIF        ; @Opt_22

# Flatness is ±1.5 dB below 20 MHz, with or without Option 15.
  2.057  MATH         @StopFreq = 20.0E+6
  2.058  TOL          -3.0U +0.0U
  2.059  MATH         @ML2430A_UUTSWR = @MG369XB_SWR
  2.060  MATH         @NumSteps = 10
  2.061  TARGET       -m
  2.062  CALL         Sub MG369XB Min/Max Power Sweep /ML2437
  2.063  MATH         StartF = ENGR_NSD(@StartFreq, "Hz", 3)
  2.064  MATH         StopF = ENGR_NSD(@StopFreq, "Hz", 3)
  2.065  MATH         MaxFreq = ENGR_NSD(@MaxPwrFreq, "Hz", 3)
  2.066  MATH         MinFreq = ENGR_NSD(@MinPwrFreq, "Hz", 3)
  2.067  RSLT         = From [V StartF] to [VStopF]
  2.068  RSLT         = Maximum Power: [V @MaxPwr] dBm @ [V MaxFreq]
  2.069  RSLT         = Minimum Power: [V @MinPwr] dBm @ [V MinFreq]
  2.070  MATH         MEM = @MaxPwr - @MinPwr
  2.071  MATH         L[1] = RSS2(@MinPwrAcc, @MaxPwrAcc)

  2.072  TSET         TDESC = Max Power - Min Power
  2.073  ACC          dB             L1%                                   +DW
  2.074  MEMC   25    0.00dB         TOL

  3.001  MATH         @StartFreq = 20.0E+6
  3.002  ELSE         ; NOT(@Opt_22 || @Opt_4 || @Opt_5)
  3.003  MATH         @StartFreq = 2.00E+9
  3.004  ENDIF        ; @Opt_22 || @Opt_4 || @Opt_5

  3.005  IF           @Opt_15
  3.006  TOL          -3.0U +0.0U
  3.007  ELSE
  3.008  TOL          -1.6U +0.0U
  3.009  ENDIF

  3.010  MATH         @StopFreq  = MIN2(@MaxFreq, 40.0E+9)
  3.011  MATH         @ML2430A_UUTSWR = @MG369XB_SWR
  3.012  TARGET       -m
  3.013  MATH         @NumSteps = 200
  3.014  CALL         Sub MG369XB Min/Max Power Sweep /ML2437
  3.015  MATH         StartF = ENGR_NSD(@StartFreq, "Hz", 3)
  3.016  MATH         StopF = ENGR_NSD(@StopFreq, "Hz", 3)
  3.017  MATH         MaxFreq = ENGR_NSD(@MaxPwrFreq, "Hz", 3)
  3.018  MATH         MinFreq = ENGR_NSD(@MinPwrFreq, "Hz", 3)
  3.019  RSLT         = From [V StartF] to [VStopF]
  3.020  RSLT         = Maximum Power: [V @MaxPwr] dBm @ [V MaxFreq]
  3.021  RSLT         = Minimum Power: [V @MinPwr] dBm @ [V MinFreq]
  3.022  MATH         MEM = @MaxPwr - @MinPwr
  3.023  MATH         L[1] = RSS2(@MinPwrAcc, @MaxPwrAcc)

  3.024  TSET         TDESC = Max Power - Min Power
  3.025  ACC          dB             L1%                                   +DW
  3.026  MEMC   25    0.00dB         TOL

  4.001  IF           @MaxFreq > 40.0E+9
  4.002  IF           @Opt_15
  4.003  TOL          -3.0U +0.0U
  4.004  ELSE
  4.005  TOL          -2.2U +0.0U
  4.006  ENDIF

  4.007  MATH         @StartFreq = 40.0E+9
  4.008  MATH         @StopFreq  = @MaxFreq
  4.009  MATH         @ML2430A_UUTSWR = @MG369XB_SWR
  4.010  TARGET       -m
  4.011  MATH         @NumSteps = 100
  4.012  CALL         Sub MG369XB Min/Max Power Sweep /ML2437
  4.013  MATH         StartF = ENGR_NSD(@StartFreq, "Hz", 3)
  4.014  MATH         StopF = ENGR_NSD(@StopFreq, "Hz", 3)
  4.015  MATH         MaxFreq = ENGR_NSD(@MaxPwrFreq, "Hz", 3)
  4.016  MATH         MinFreq = ENGR_NSD(@MinPwrFreq, "Hz", 3)
  4.017  RSLT         = From [V StartF] to [VStopF]
  4.018  RSLT         = Maximum Power: [V @MaxPwr] dBm @ [V MaxFreq]
  4.019  RSLT         = Minimum Power: [V @MinPwr] dBm @ [V MinFreq]
  4.020  MATH         MEM = @MaxPwr - @MinPwr
  4.021  MATH         L[1] = RSS2(@MinPwrAcc, @MaxPwrAcc)

  4.022  TSET         TDESC = Max Power - Min Power
  4.023  ACC          dB             L1%                                   +DW
  4.024  MEMC   25    0.00dB         TOL
  5.001  ENDIF

  5.002  HEAD
  5.003  CALL         Sub MG369XB Reset & SRQ Masks
  5.004  ML2437       Reset
  5.005  END

  5.006  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Maximum Leveled Power /ML2437  ==================

  6.001  LABEL        MAXIMUM_LEVELED_POWER
  6.002  RSLT         =
  6.003  RSLT         =MAXIMUM LEVELED POWER TESTS
  6.004  HEAD         MAXIMUM LEVELED POWER
  6.005  TARGET

#        RST   Reset to default settings
#        PE1   Disables Parameter Range Error SRQ generation
#        SE1   Enables Syntax Error SRQ generation
#        UL0   Inhigits RF Unleveled SRQ generation
#        SQ1   Enables the SRQ generation function
#        RF0   Turns off the RF output
  6.006  IEEE         RSTPE1SE1UL0SQ1RF0

# With Option 15...
  6.007  IF           @Opt_15
  6.008  MATH         @LvldBm = +30

  6.009  IF           @Opt_4 || @Opt_5

# MA2421 and SC7400 minimum frequency is 100 kHz.
  6.010  IF           @Opt_22
  6.011  MATH         @StartFreq = 100E+3
  6.012  ELSE
  6.013  MATH         @StartFreq = @MinFreq
  6.014  ENDIF

#        Notice that the first range is <2GHz or <=2.2GHz
  6.015  IF           @Opt_5
  6.016  MATH         @StopFreq = 1999999999
  6.017  ELSE         ; Option 4
  6.018  MATH         @StopFreq = 2.2E+9
  6.019  ENDIF

  6.020  MATH         L[1] = @StopFreq - @StartFreq
  6.021  MATH         L[2] = @MaxFreq - @MinFreq
  6.022  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.023  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.024  MATH         @StartFreq = @StopFreq + 1
  6.025  ELSE         ; Not @Opt_4 || @Opt_5
  6.026  MATH         @StartFreq = 2.0E+9
  6.027  ENDIF        ; @Opt_4 || @Opt_5

  6.028  IF           @MG3691B
  6.029  MATH         @StopFreq = 10.0E+9
  6.030  MATH         L[1] = @StopFreq - @StartFreq
  6.031  MATH         L[2] = @MaxFreq - @MinFreq
  6.032  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.033  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.034  ENDIF

  6.035  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  6.036  MATH         @StopFreq = 20.0E+9
  6.037  MATH         L[1] = @StopFreq - @StartFreq
  6.038  MATH         L[2] = @MaxFreq - @MinFreq
  6.039  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.040  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.041  MATH         @StartFreq = @StopFreq + 1
  6.042  ENDIF

  6.043  IF           @MG3693B || @MG3694B || @MG3695B || @MG3696B

  6.044  IF           @MG3693B
  6.045  MATH         @StopFreq = 30.0E+9
  6.046  ELSE
  6.047  MATH         @StopFreq = 40.0E+9
  6.048  ENDIF

  6.049  MATH         L[1] = @StopFreq - @StartFreq
  6.050  MATH         L[2] = @MaxFreq - @MinFreq
  6.051  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.052  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.053  MATH         @StartFreq = @StopFreq + 1
  6.054  ENDIF        ; @MG3693B || @MG3694B || @MG3695B || @MG3696B

  6.055  IF           @MG3695B
  6.056  MATH         @StopFreq = 50.0E+9
  6.057  MATH         L[1] = @StopFreq - @StartFreq
  6.058  MATH         L[2] = @MaxFreq - @MinFreq
  6.059  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.060  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.061  ENDIF

  6.062  IF           @MG3696B

  6.063  IF           @Opt_2
  6.064  MATH         @StopFreq = 59999999999
  6.065  ELSE
  6.066  MATH         @StopFreq = @MaxFreq
  6.067  ENDIF

  6.068  MATH         L[1] = @StopFreq - @StartFreq
  6.069  MATH         L[2] = @MaxFreq - @MinFreq
  6.070  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.071  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.072  ENDIF


# Without Option 15...
  6.073  ELSE
  6.074  MATH         @LvldBm = +20

# MA2421 and SC7400 minimum frequency is 100 kHz.
  6.075  IF           @Opt_22
  6.076  MATH         @StartFreq = 100E+3
  6.077  ELSE
  6.078  MATH         @StartFreq = @MinFreq
  6.079  ENDIF

  6.080  IF           (@MG3691B && @Opt_2E) || @MG3695B || @MG3696B

  6.081  IF           @Opt_4 || @Opt_5

  6.082  IF           @Opt_5
  6.083  MATH         @StopFreq = 1999999999
  6.084  ELSE         ; Option 4
  6.085  MATH         @StopFreq = 2.2E+9
  6.086  ENDIF

  6.087  MATH         L[1] = @StopFreq - @StartFreq
  6.088  MATH         L[2] = @MaxFreq - @MinFreq
  6.089  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.090  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.091  MATH         @StartFreq = @StopFreq + 1
  6.092  ENDIF        ; @Opt_4 || @Opt_5

  6.093  ENDIF        ; (@MG3691B && @Opt_2E) || @MG3695B || @MG3696B

  6.094  IF           @MG3691B || @MG3692B || @MG3693B || @MG3694B
  6.095  MATH         @StopFreq = 10.0E+9
  6.096  MATH         L[1] = @StopFreq - @StartFreq
  6.097  MATH         L[2] = @MaxFreq - @MinFreq
  6.098  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.099  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.100  MATH         @StartFreq = @StopFreq  +  1
  6.101  ENDIF

  6.102  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  6.103  MATH         @StopFreq = 20.0E+9
  6.104  MATH         L[1] = @StopFreq - @StartFreq
  6.105  MATH         L[2] = @MaxFreq - @MinFreq
  6.106  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.107  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.108  MATH         @StartFreq = @StopFreq  +  1
  6.109  ENDIF

  6.110  IF           @MG3693B || @MG3694B || @MG3695B
  6.111  MATH         @StopFreq = @MaxFreq
  6.112  MATH         L[1] = @StopFreq - @StartFreq
  6.113  MATH         L[2] = @MaxFreq - @MinFreq
  6.114  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.115  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.116  ENDIF

  6.117  IF           @MG3696B

  6.118  IF           @Opt_2
  6.119  MATH         @StopFreq = 59999999999
  6.120  ELSE
  6.121  MATH         @StopFreq = @MaxFreq
  6.122  ENDIF

  6.123  MATH         L[1] = @StopFreq - @StartFreq
  6.124  MATH         L[2] = @MaxFreq - @MinFreq
  6.125  MATH         @NumSteps = RND(200 * (L[1]/l[2]))
  6.126  CALL         Sub MG369XB (2 yr) Maximum Leveled Power Test /ML2437
  6.127  ENDIF

  6.128  ENDIF

  6.129  HEAD
  6.130  CALL         Sub MG369XB Reset & SRQ Masks
  6.131  ML2437       Reset
  6.132  END
