﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Harms 0.1 to <10 MHz, Opt 22 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Harms 0.01 to 2.2 GHz, Opt 4 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Harms 0.01 to 2.0 GHz, Opt 5 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Harms 2.0 GHz w/o Opt 4 /8560
INSTRUMENT:            Sub MG369XB (2 yr) Harms >2.2 to 50 GHz /8560
DATE:                  2009-11-12 11:09:12
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       76
NUMBER OF LINES:       1586
CONFIGURATION:         HP 8560
=============================================================================
#
#  Procedure Author:
#        DAC, DFM
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL V7.20v or later
#
#  Subprocedures:
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB Connection /8560
#        Sub HP 856x Model Number
#        Sub HP 856x Acc Mode Freq Resp
#
#  Required Files:
#        8560.acc Revision 1.14 or later
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Dev = "HP 8560"
  1.002  MATH         Conf = CONF(Dev)

  1.003  M8560  ATTEN 20dB

  1.004  CALL         Sub MG369XB Reset & SRQ Masks

  1.005  JMPL         0.1_TO_LT_10_MHz             PSUB("0.1 to <10 MHz")
  1.006  JMPL         0.01_TO_2.2_GHz              PSUB("0.01 to 2.2 GHz")
  1.007  JMPL         0.01_TO_2.0_GHz              PSUB("0.01 to 2.0 GHz")
  1.008  JMPL         2.0_GHz_NO_OPT_4             PSUB("2.0 GHz w/o")
  1.009  JMPL         GT_2.2_TO_50_GHz             PSUB(">2.2 to 50 GHz")
  1.010  DISP         Called subprocedure not found!
  1.011  END

  1.012  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Harms 0.1 to <10 MHz, Opt 22 /8560  =============

  2.001  LABEL        0.1_TO_LT_10_MHz
  2.002  M8560  SPAN  10kH
  2.003  M8560  RESBW 1kH
  2.004  M8560  VIDBW 1kH
  2.005  RSLT         =
  2.006  HEAD         SPURIOUS SIGNALS:{ 100 kHz}
  2.007  HEAD         -2 2nd harmonic
  2.008  MATH         FreqkHz = 100
  2.009  MATH         @FreqGHz = FreqkHz / 1000000
  2.010  CALL         Sub MG369XB Set Max Power
  2.011  MATH         @L1 = MIN2(+10, @MaxPower)
  2.012  MATH         MEM = @L1
  2.013  M8560                                     D                    X
  2.014  JMPL         0.1_TO_LT_10_MHz_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
  2.015  TARGET       -p
  2.016  MATH         @MG369XB_8560_Con = ""

  2.017  LABEL        0.1_TO_LT_10_MHz_CON
  2.018  TSET         TDESC = 2nd harmonic

  2.019  IF           EMPTY(@MG369XB_8560_Con)
  2.020  CALL         Sub MG369XB Connection /8560
  2.021  HEAD         -2 2nd harmonic
  2.022  ENDIF

  2.023  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  2.024  MATH         MEM = @L1
  2.025  8560         D                            100kH                N
  2.026  MATH         RefLvl = MEM
  2.027  IEEE         [@8560]MKF?;[I]
  2.028  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  2.029  TARGET       -m
  2.030  8560         -30D                         200kH                N
  2.031  MATH         HarmAmpl = MEM - RefLvl
  2.032  IEEE         [@8560]MKF?;[I]
  2.033  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  2.034  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  2.035  MATH         MEM = HarmAmpl
  2.036  ACC          dBc            L1U                                   +DW
  2.037  MEMC         -30.0dBc       -0.0U +100.0U 200kH

  3.001  HEAD         -2 3rd harmonic
  3.002  TARGET       -p
  3.003  TSET         TDESC = 3rd harmonic
  3.004  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  3.005  TARGET       -m
  3.006  8560         -30D                         300kH                N
  3.007  MATH         HarmAmpl = MEM - RefLvl
  3.008  IEEE         [@8560]MKF?;[I]
  3.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  3.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
  3.011  MATH         MEM = HarmAmpl
  3.012  ACC          dBc            L1U                                   +DW
  3.013  MEMC         -30.0dBc       -0.0U +100.0U 300kH

  4.001  RSLT         =
  4.002  HEAD         SPURIOUS SIGNALS:{ 750 kHz}
  4.003  HEAD         -2 2nd harmonic
  4.004  MATH         FreqkHz = 750
  4.005  TARGET       -p
  4.006  TSET         TDESC = 2nd harmonic
  4.007  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  4.008  MATH         MEM = @L1
  4.009  8560         D                            750kH                N
  4.010  MATH         RefLvl = MEM
  4.011  IEEE         [@8560]MKF?;[I]
  4.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  4.013  TARGET       -m
  4.014  8560         -30D                         1500kH               N
  4.015  MATH         HarmAmpl = MEM - RefLvl
  4.016  IEEE         [@8560]MKF?;[I]
  4.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  4.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  4.019  MATH         MEM = HarmAmpl
  4.020  ACC          dBc            L1U                                   +DW
  4.021  MEMC         -30.0dBc       -0.0U +100.0U 1500kH

  5.001  HEAD         -2 3rd harmonic
  5.002  TARGET       -p
  5.003  TSET         TDESC = 3rd harmonic
  5.004  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  5.005  TARGET       -m
  5.006  8560         -30D                         2250kH               N
  5.007  MATH         HarmAmpl = MEM - RefLvl
  5.008  IEEE         [@8560]MKF?;[I]
  5.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  5.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
  5.011  MATH         MEM = HarmAmpl
  5.012  ACC          dBc            L1U                                   +DW
  5.013  MEMC         -30.0dBc       -0.0U +100.0U 2250kH

  6.001  RSLT         =
  6.002  HEAD         SPURIOUS SIGNALS:{ 1000 kHz}
  6.003  HEAD         -2 2nd harmonic
  6.004  MATH         FreqkHz = 1000
  6.005  TARGET       -p
  6.006  TSET         TDESC = 2nd harmonic
  6.007  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  6.008  MATH         MEM = @L1
  6.009  8560         D                            1000kH               N
  6.010  MATH         RefLvl = MEM
  6.011  IEEE         [@8560]MKF?;[I]
  6.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  6.013  TARGET       -m
  6.014  8560         -30D                         2000kH               N
  6.015  MATH         HarmAmpl = MEM - RefLvl
  6.016  IEEE         [@8560]MKF?;[I]
  6.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  6.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  6.019  MATH         MEM = HarmAmpl
  6.020  ACC          dBc            L1U                                   +DW
  6.021  MEMC         -30.0dBc       -0.0U +100.0U 2000kH

  7.001  HEAD         -2 3rd harmonic
  7.002  TARGET       -p
  7.003  TSET         TDESC = 3rd harmonic
  7.004  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  7.005  TARGET       -m
  7.006  8560         -30D                         3000kH               N
  7.007  MATH         HarmAmpl = MEM - RefLvl
  7.008  IEEE         [@8560]MKF?;[I]
  7.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  7.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
  7.011  MATH         MEM = HarmAmpl
  7.012  ACC          dBc            L1U                                   +DW
  7.013  MEMC         -30.0dBc       -0.0U +100.0U 3000kH

  8.001  RSLT         =
  8.002  HEAD         SPURIOUS SIGNALS:{ 9999 kHz}
  8.003  HEAD         -2 2nd harmonic
  8.004  MATH         FreqkHz = 9999
  8.005  TARGET       -p
  8.006  TSET         TDESC = 2nd harmonic
  8.007  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  8.008  MATH         MEM = @L1
  8.009  8560         D                            9999kH               N
  8.010  MATH         RefLvl = MEM
  8.011  IEEE         [@8560]MKF?;[I]
  8.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
  8.013  TARGET       -m
  8.014  8560         -30D                         19998kH              N
  8.015  MATH         HarmAmpl = MEM - RefLvl
  8.016  IEEE         [@8560]MKF?;[I]
  8.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  8.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
  8.019  MATH         MEM = HarmAmpl
  8.020  ACC          dBc            L1U                                   +DW
  8.021  MEMC         -30.0dBc       -0.0U +100.0U 19998kH

  9.001  IF           @856x_MaxFreq < 30.0E+9
  9.002  RSLT         = 3rd harmonic not tested!
  9.003  ELSE
  9.004  HEAD         -2 3rd harmonic
  9.005  TARGET       -p
  9.006  TSET         TDESC = 3rd harmonic
  9.007  IEEE         CF1[V FreqkHz]KHL1[V @L1]DMRF1
  9.008  TARGET       -m
  9.009  8560         -30D                         29997kH              N
  9.010  MATH         HarmAmpl = MEM - RefLvl
  9.011  IEEE         [@8560]MKF?;[I]
  9.012  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
  9.013  MATH         L[1] = RSS2(Acc1, Acc3) * 2
  9.014  MATH         MEM = HarmAmpl
  9.015  ACC          dBc            L1U                                   +DW
  9.016  MEMC         -30.0dBc       -0.0U +100.0U 29997kH
 10.001  ENDIF

 10.002  HEAD
 10.003  HEAD         -2
 10.004  CALL         Sub MG369XB Reset & SRQ Masks
 10.005  M8560        *
 10.006  8560         *                                                 S
 10.007  END

 10.008  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Harms 0.01 to 2.2 GHz, Opt 4 /8560  =============

 11.001  LABEL        0.01_TO_2.2_GHz
# Frequencies: 10 MHz to <=100 MHz (Models with Option 4 Only)
 11.002  M8560  SPAN  1MH
 11.003  M8560  RESBW 10kH
 11.004  M8560  VIDBW 10kH
 11.005  RSLT         =
 11.006  HEAD         SPURIOUS SIGNALS:{ 10 MHz}
 11.007  HEAD         -2 2nd harmonic
 11.008  MATH         FreqMHz = 10
 11.009  MATH         @FreqGHz = FreqMHz / 1000
 11.010  CALL         Sub MG369XB Set Max Power
 11.011  MATH         @L1 = MIN2(+10, @MaxPower)
 11.012  MATH         MEM = @L1
 11.013  M8560                                     D                    X
 11.014  JMPL         0.01_TO_2.2_GHz_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
 11.015  TARGET       -p
 11.016  MATH         @MG369XB_8560_Con = ""

 11.017  LABEL        0.01_TO_2.2_GHz_CON
 11.018  TSET         TDESC = 2nd harmonic

 11.019  IF           EMPTY(@MG369XB_8560_Con)
 11.020  CALL         Sub MG369XB Connection /8560
 11.021  HEAD         -2 2nd harmonic
 11.022  ENDIF

 11.023  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 11.024  MATH         MEM = @L1 + 10
 11.025  MATH         MEM = @L1
 11.026  8560         D                            10MH                 N
 11.027  MATH         RefLvl = MEM
 11.028  IEEE         [@8560]MKF?;[I]
 11.029  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 11.030  TARGET       -m
 11.031  8560         -40D                         20MH                 N
 11.032  MATH         HarmAmpl = MEM - RefLvl
 11.033  IEEE         [@8560]MKF?;[I]
 11.034  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 11.035  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 11.036  MATH         MEM = HarmAmpl
 11.037  ACC          dBc            L1U                                   +DW
 11.038  MEMC         -40.0dBc       -0.0U +100.0U 20MH

 12.001  HEAD         -2 3rd harmonic
 12.002  TARGET       -p
 12.003  TSET         TDESC = 3rd harmonic
 12.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 12.005  TARGET       -m
 12.006  8560         -40D                         30MH                 N
 12.007  MATH         HarmAmpl = MEM - RefLvl
 12.008  IEEE         [@8560]MKF?;[I]
 12.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 12.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 12.011  MATH         MEM = HarmAmpl
 12.012  ACC          dBc            L1U                                   +DW
 12.013  MEMC         -40.0dBc       -0.0U +100.0U 30MH

 13.001  RSLT         =
 13.002  HEAD         SPURIOUS SIGNALS:{ 15 MHz}
 13.003  HEAD         -2 2nd harmonic
 13.004  MATH         FreqMHz = 15
 13.005  TARGET       -p
 13.006  TSET         TDESC = 2nd harmonic
 13.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 13.008  MATH         MEM = @L1
 13.009  8560         D                            15MH                 N
 13.010  MATH         RefLvl = MEM
 13.011  IEEE         [@8560]MKF?;[I]
 13.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 13.013  TARGET       -m
 13.014  8560         -40D                         30MH                 N
 13.015  MATH         HarmAmpl = MEM - RefLvl
 13.016  IEEE         [@8560]MKF?;[I]
 13.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 13.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 13.019  MATH         MEM = HarmAmpl
 13.020  ACC          dBc            L1U                                   +DW
 13.021  MEMC         -40.0dBc       -0.0U +100.0U 30MH

 14.001  HEAD         -2 3rd harmonic
 14.002  TARGET       -p
 14.003  TSET         TDESC = 3rd harmonic
 14.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 14.005  TARGET       -m
 14.006  8560         -40D                         45MH                 N
 14.007  MATH         HarmAmpl = MEM - RefLvl
 14.008  IEEE         [@8560]MKF?;[I]
 14.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 14.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 14.011  MATH         MEM = HarmAmpl
 14.012  ACC          dBc            L1U                                   +DW
 14.013  MEMC         -40.0dBc       -0.0U +100.0U 45MH

 15.001  RSLT         =
 15.002  HEAD         SPURIOUS SIGNALS:{ 60 MHz}
 15.003  HEAD         -2 2nd harmonic
 15.004  MATH         FreqMHz = 60
 15.005  TARGET       -p
 15.006  TSET         TDESC = 2nd harmonic
 15.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 15.008  MATH         MEM = @L1
 15.009  8560         D                            60MH                 N
 15.010  MATH         RefLvl = MEM
 15.011  IEEE         [@8560]MKF?;[I]
 15.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 15.013  TARGET       -m
 15.014  8560         -40D                         120MH                N
 15.015  MATH         HarmAmpl = MEM - RefLvl
 15.016  IEEE         [@8560]MKF?;[I]
 15.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 15.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 15.019  MATH         MEM = HarmAmpl
 15.020  ACC          dBc            L1U                                   +DW
 15.021  MEMC         -40.0dBc       -0.0U +100.0U 120MH

 16.001  HEAD         -2 3rd harmonic
 16.002  TARGET       -p
 16.003  TSET         TDESC = 3rd harmonic
 16.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 16.005  TARGET       -m
 16.006  8560         -40D                         180MH                N
 16.007  MATH         HarmAmpl = MEM - RefLvl
 16.008  IEEE         [@8560]MKF?;[I]
 16.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 16.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 16.011  MATH         MEM = HarmAmpl
 16.012  ACC          dBc            L1U                                   +DW
 16.013  MEMC         -40.0dBc       -0.0U +100.0U 180MH

 17.001  RSLT         =
 17.002  HEAD         SPURIOUS SIGNALS:{ 100 MHz}
 17.003  HEAD         -2 2nd harmonic
 17.004  MATH         FreqMHz = 100
 17.005  TARGET       -p
 17.006  TSET         TDESC = 2nd harmonic
 17.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 17.008  MATH         MEM = @L1
 17.009  8560         D                            100MH                N
 17.010  MATH         RefLvl = MEM
 17.011  IEEE         [@8560]MKF?;[I]
 17.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 17.013  TARGET       -m
 17.014  8560         -40D                         200MH                N
 17.015  MATH         HarmAmpl = MEM - RefLvl
 17.016  IEEE         [@8560]MKF?;[I]
 17.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 17.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 17.019  MATH         MEM = HarmAmpl
 17.020  ACC          dBc            L1U                                   +DW
 17.021  MEMC         -40.0dBc       -0.0U +100.0U 200MH

 18.001  HEAD         -2 3rd harmonic
 18.002  TARGET       -p
 18.003  TSET         TDESC = 3rd harmonic
 18.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 18.005  TARGET       -m
 18.006  8560         -40D                         300MH                N
 18.007  MATH         HarmAmpl = MEM - RefLvl
 18.008  IEEE         [@8560]MKF?;[I]
 18.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 18.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 18.011  MATH         MEM = HarmAmpl
 18.012  ACC          dBc            L1U                                   +DW
 18.013  MEMC         -40.0dBc       -0.0U +100.0U 300MH

# Frequencies: >100 MHz to <=2.2 GHz (Models with Option 4 Only)
 19.001  M8560  SPAN  1MH
 19.002  M8560  RESBW 10kH
 19.003  M8560  VIDBW 10kH
 19.004  MATH         MEM = @L1
 19.005  M8560                                     D                    X
 19.006  RSLT         =
 19.007  HEAD         SPURIOUS SIGNALS:{ 100.1 MHz}
 19.008  HEAD         -2 2nd harmonic
 19.009  MATH         FreqMHz = 100.1
 19.010  TARGET       -p
 19.011  TSET         TDESC = 2nd harmonic
 19.012  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 19.013  MATH         MEM = @L1
 19.014  8560         D                            100.1MH              N
 19.015  MATH         RefLvl = MEM
 19.016  IEEE         [@8560]MKF?;[I]
 19.017  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 19.018  TARGET       -m
 19.019  8560         -50D                         200.2MH              N
 19.020  MATH         HarmAmpl = MEM - RefLvl
 19.021  IEEE         [@8560]MKF?;[I]
 19.022  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 19.023  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 19.024  MATH         MEM = HarmAmpl
 19.025  ACC          dBc            L1U                                   +DW
 19.026  MEMC         -50.0dBc       -0.0U +100.0U 200.2MH

 20.001  HEAD         -2 3rd harmonic
 20.002  TARGET       -p
 20.003  TSET         TDESC = 3rd harmonic
 20.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 20.005  TARGET       -m
 20.006  8560         -50D                         300.3MH              N
 20.007  MATH         HarmAmpl = MEM - RefLvl
 20.008  IEEE         [@8560]MKF?;[I]
 20.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 20.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 20.011  MATH         MEM = HarmAmpl
 20.012  ACC          dBc            L1U                                   +DW
 20.013  MEMC         -50.0dBc       -0.0U +100.0U 300.3MH

 21.001  RSLT         =
 21.002  HEAD         SPURIOUS SIGNALS:{ 500 MHz}
 21.003  HEAD         -2 2nd harmonic
 21.004  MATH         FreqMHz = 500
 21.005  TARGET       -p
 21.006  TSET         TDESC = 2nd harmonic
 21.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 21.008  MATH         MEM = @L1
 21.009  8560         D                            500MH                N
 21.010  MATH         RefLvl = MEM
 21.011  IEEE         [@8560]MKF?;[I]
 21.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 21.013  TARGET       -m
 21.014  8560         -50D                         1000MH               N
 21.015  MATH         HarmAmpl = MEM - RefLvl
 21.016  IEEE         [@8560]MKF?;[I]
 21.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 21.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 21.019  MATH         MEM = HarmAmpl
 21.020  ACC          dBc            L1U                                   +DW
 21.021  MEMC         -50.0dBc       -0.0U +100.0U 1000MH

 22.001  HEAD         -2 3rd harmonic
 22.002  TARGET       -p
 22.003  TSET         TDESC = 3rd harmonic
 22.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 22.005  TARGET       -m
 22.006  8560         -50D                         1500MH               N
 22.007  MATH         HarmAmpl = MEM - RefLvl
 22.008  IEEE         [@8560]MKF?;[I]
 22.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 22.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 22.011  MATH         MEM = HarmAmpl
 22.012  ACC          dBc            L1U                                   +DW
 22.013  MEMC         -50.0dBc       -0.0U +100.0U 1500MH

 23.001  RSLT         =
 23.002  HEAD         SPURIOUS SIGNALS:{ 1500 MHz}
 23.003  HEAD         -2 2nd harmonic
 23.004  MATH         FreqMHz = 1500
 23.005  TARGET       -p
 23.006  TSET         TDESC = 2nd harmonic
 23.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 23.008  MATH         MEM = @L1
 23.009  8560         D                            1500MH               N
 23.010  MATH         RefLvl = MEM
 23.011  IEEE         [@8560]MKF?;[I]
 23.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 23.013  TARGET       -m
 23.014  8560         -50D                         3000MH               N
 23.015  MATH         HarmAmpl = MEM - RefLvl
 23.016  IEEE         [@8560]MKF?;[I]
 23.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 23.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 23.019  MATH         MEM = HarmAmpl
 23.020  ACC          dBc            L1U                                   +DW
 23.021  MEMC         -50.0dBc       -0.0U +100.0U 3000MH

 24.001  HEAD         -2 3rd harmonic
 24.002  TARGET       -p
 24.003  TSET         TDESC = 3rd harmonic
 24.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 24.005  TARGET       -m
 24.006  8560         -50D                         4500MH               N
 24.007  MATH         HarmAmpl = MEM - RefLvl
 24.008  IEEE         [@8560]MKF?;[I]
 24.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 24.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 24.011  MATH         MEM = HarmAmpl
 24.012  ACC          dBc            L1U                                   +DW
 24.013  MEMC         -50.0dBc       -0.0U +100.0U 4500MH

 25.001  RSLT         =
 25.002  HEAD         SPURIOUS SIGNALS:{ 2000 MHz}
 25.003  HEAD         -2 2nd harmonic
 25.004  MATH         FreqMHz = 2000
 25.005  TARGET       -p
 25.006  TSET         TDESC = 2nd harmonic
 25.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 25.008  MATH         MEM = @L1
 25.009  8560         D                            2000MH               N
 25.010  MATH         RefLvl = MEM
 25.011  IEEE         [@8560]MKF?;[I]
 25.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 25.013  TARGET       -m
 25.014  8560         -50D                         4000MH               N
 25.015  MATH         HarmAmpl = MEM - RefLvl
 25.016  IEEE         [@8560]MKF?;[I]
 25.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 25.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 25.019  MATH         MEM = HarmAmpl
 25.020  ACC          dBc            L1U                                   +DW
 25.021  MEMC         -50.0dBc       -0.0U +100.0U 4000MH

 26.001  HEAD         -2 3rd harmonic
 26.002  TARGET       -p
 26.003  TSET         TDESC = 3rd harmonic
 26.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 26.005  TARGET       -m
 26.006  8560         -50D                         6000MH               N
 26.007  MATH         HarmAmpl = MEM - RefLvl
 26.008  IEEE         [@8560]MKF?;[I]
 26.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 26.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 26.011  MATH         MEM = HarmAmpl
 26.012  ACC          dBc            L1U                                   +DW
 26.013  MEMC         -50.0dBc       -0.0U +100.0U 6000MH

 27.001  RSLT         =
 27.002  HEAD         SPURIOUS SIGNALS:{ 2200 MHz}
 27.003  HEAD         -2 2nd harmonic
 27.004  MATH         FreqMHz = 2200
 27.005  TARGET       -p
 27.006  TSET         TDESC = 2nd harmonic
 27.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 27.008  MATH         MEM = @L1
 27.009  8560         D                            2200MH               N
 27.010  MATH         RefLvl = MEM
 27.011  IEEE         [@8560]MKF?;[I]
 27.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 27.013  TARGET       -m
 27.014  8560         -50D                         4400MH               N
 27.015  MATH         HarmAmpl = MEM - RefLvl
 27.016  IEEE         [@8560]MKF?;[I]
 27.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 27.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 27.019  MATH         MEM = HarmAmpl
 27.020  ACC          dBc            L1U                                   +DW
 27.021  MEMC         -50.0dBc       -0.0U +100.0U 4400MH

 28.001  HEAD         -2 3rd harmonic
 28.002  TARGET       -p
 28.003  TSET         TDESC = 3rd harmonic
 28.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 28.005  TARGET       -m
 28.006  8560         -50D                         6600MH               N
 28.007  MATH         HarmAmpl = MEM - RefLvl
 28.008  IEEE         [@8560]MKF?;[I]
 28.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 28.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 28.011  MATH         MEM = HarmAmpl
 28.012  ACC          dBc            L1U                                   +DW
 28.013  MEMC         -50.0dBc       -0.0U +100.0U 6600MH

 29.001  HEAD
 29.002  HEAD         -2
 29.003  CALL         Sub MG369XB Reset & SRQ Masks
 29.004  M8560        *
 29.005  8560         *                                                 S
 29.006  END

 29.007  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Harms 0.01 to 2.0 GHz, Opt 5 /8560  =============

 30.001  LABEL        0.01_TO_2.0_GHz
# Frequencies: 10 MHz to <=50 MHz (Models with Option 5 Only)
 30.002  M8560  SPAN  1MH
 30.003  M8560  RESBW 10kH
 30.004  M8560  VIDBW 10kH
 30.005  RSLT         =
 30.006  HEAD         SPURIOUS SIGNALS:{ 10 MHz}
 30.007  HEAD         -2 2nd harmonic
 30.008  MATH         FreqMHz = 10
 30.009  MATH         @FreqGHz = FreqMHz / 1000
 30.010  CALL         Sub MG369XB Set Max Power
 30.011  MATH         @L1 = MIN2(+10, @MaxPower)
 30.012  MATH         MEM = @L1
 30.013  M8560                                     D                    X
 30.014  JMPL         0.01_TO_2.0_GHz_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
 30.015  TARGET       -p
 30.016  MATH         @MG369XB_8560_Con = ""

 30.017  LABEL        0.01_TO_2.0_GHz_CON
 30.018  TSET         TDESC = 2nd harmonic

 30.019  IF           EMPTY(@MG369XB_8560_Con)
 30.020  CALL         Sub MG369XB Connection /8560
 30.021  HEAD         -2 2nd harmonic
 30.022  ENDIF

 30.023  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 30.024  MATH         MEM = @L1
 30.025  8560         D                            10MH                 N
 30.026  MATH         RefLvl = MEM
 30.027  IEEE         [@8560]MKF?;[I]
 30.028  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 30.029  TARGET       -m
 30.030  8560         -30D                         20MH                 N
 30.031  MATH         HarmAmpl = MEM - RefLvl
 30.032  IEEE         [@8560]MKF?;[I]
 30.033  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 30.034  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 30.035  MATH         MEM = HarmAmpl
 30.036  ACC          dBc            L1U                                   +DW
 30.037  MEMC         -30.0dBc       -0.0U +100.0U 20MH

 31.001  HEAD         -2 3rd harmonic
 31.002  TARGET       -p
 31.003  TSET         TDESC = 3rd harmonic
 31.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 31.005  TARGET       -m
 31.006  8560         -30D                         30MH                 N
 31.007  MATH         HarmAmpl = MEM - RefLvl
 31.008  IEEE         [@8560]MKF?;[I]
 31.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 31.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 31.011  MATH         MEM = HarmAmpl
 31.012  ACC          dBc            L1U                                   +DW
 31.013  MEMC         -30.0dBc       -0.0U +100.0U 30MH

 32.001  RSLT         =
 32.002  HEAD         SPURIOUS SIGNALS:{ 15 MHz}
 32.003  HEAD         -2 2nd harmonic
 32.004  MATH         FreqMHz = 15
 32.005  TARGET       -p
 32.006  TSET         TDESC = 2nd harmonic
 32.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 32.008  MATH         MEM = @L1
 32.009  8560         15MH                         D                    N
 32.010  8560         0D                           15MH                 N
 32.011  MATH         RefLvl = MEM
 32.012  IEEE         [@8560]MKF?;[I]
 32.013  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 32.014  TARGET       -m
 32.015  8560         -30D                         30MH                 N
 32.016  MATH         HarmAmpl = MEM - RefLvl
 32.017  IEEE         [@8560]MKF?;[I]
 32.018  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 32.019  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 32.020  MATH         MEM = HarmAmpl
 32.021  ACC          dBc            L1U                                   +DW
 32.022  MEMC         -30.0dBc       -0.0U +100.0U 30MH

 33.001  HEAD         -2 3rd harmonic
 33.002  TARGET       -p
 33.003  TSET         TDESC = 3rd harmonic
 33.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 33.005  TARGET       -m
 33.006  8560         -30D                         45MH                 N
 33.007  MATH         HarmAmpl = MEM - RefLvl
 33.008  IEEE         [@8560]MKF?;[I]
 33.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 33.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 33.011  MATH         MEM = HarmAmpl
 33.012  ACC          dBc            L1U                                   +DW
 33.013  MEMC         -30.0dBc       -0.0U +100.0U 45MH

 34.001  RSLT         =
 34.002  HEAD         SPURIOUS SIGNALS:{ 30 MHz}
 34.003  HEAD         -2 2nd harmonic
 34.004  MATH         FreqMHz = 30
 34.005  TARGET       -p
 34.006  TSET         TDESC = 2nd harmonic
 34.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 34.008  MATH         MEM = @L1
 34.009  8560         D                            30MH                 N
 34.010  MATH         RefLvl = MEM
 34.011  IEEE         [@8560]MKF?;[I]
 34.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 34.013  TARGET       -m
 34.014  8560         -30D                         60MH                 N
 34.015  MATH         HarmAmpl = MEM - RefLvl
 34.016  IEEE         [@8560]MKF?;[I]
 34.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 34.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 34.019  MATH         MEM = HarmAmpl
 34.020  ACC          dBc            L1U                                   +DW
 34.021  MEMC         -30.0dBc       -0.0U +100.0U 60MH

 35.001  HEAD         -2 3rd harmonic
 35.002  TARGET       -p
 35.003  TSET         TDESC = 3rd harmonic
 35.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 35.005  TARGET       -m
 35.006  8560         -30D                         90MH                 N
 35.007  MATH         HarmAmpl = MEM - RefLvl
 35.008  IEEE         [@8560]MKF?;[I]
 35.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 35.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 35.011  MATH         MEM = HarmAmpl
 35.012  ACC          dBc            L1U                                   +DW
 35.013  MEMC         -30.0dBc       -0.0U +100.0U 90MH

 36.001  RSLT         =
 36.002  HEAD         SPURIOUS SIGNALS:{ 45 MHz}
 36.003  HEAD         -2 2nd harmonic
 36.004  MATH         FreqMHz = 45
 36.005  TARGET       -p
 36.006  TSET         TDESC = 2nd harmonic
 36.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 36.008  MATH         MEM = @L1
 36.009  8560         D                            45MH                 N
 36.010  MATH         RefLvl = MEM
 36.011  IEEE         [@8560]MKF?;[I]
 36.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 36.013  TARGET       -m
 36.014  8560         -30D                         90MH                 N
 36.015  MATH         HarmAmpl = MEM - RefLvl
 36.016  IEEE         [@8560]MKF?;[I]
 36.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 36.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 36.019  MATH         MEM = HarmAmpl
 36.020  ACC          dBc            L1U                                   +DW
 36.021  MEMC         -30.0dBc       -0.0U +100.0U 90MH

 37.001  HEAD         -2 3rd harmonic
 37.002  TARGET       -p
 37.003  TSET         TDESC = 3rd harmonic
 37.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 37.005  TARGET       -m
 37.006  8560         -30D                         135MH                N
 37.007  MATH         HarmAmpl = MEM - RefLvl
 37.008  IEEE         [@8560]MKF?;[I]
 37.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 37.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 37.011  MATH         MEM = HarmAmpl
 37.012  ACC          dBc            L1U                                   +DW
 37.013  MEMC         -30.0dBc       -0.0U +100.0U 135MH

 38.001  RSLT         =
 38.002  HEAD         SPURIOUS SIGNALS:{ 50 MHz}
 38.003  HEAD         -2 2nd harmonic
 38.004  MATH         FreqMHz = 50
 38.005  TARGET       -p
 38.006  TSET         TDESC = 2nd harmonic
 38.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 38.008  MATH         MEM = @L1
 38.009  8560         D                            50MH                 N
 38.010  MATH         RefLvl = MEM
 38.011  IEEE         [@8560]MKF?;[I]
 38.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 38.013  TARGET       -m
 38.014  8560         -30D                         100MH                N
 38.015  MATH         HarmAmpl = MEM - RefLvl
 38.016  IEEE         [@8560]MKF?;[I]
 38.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 38.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 38.019  MATH         MEM = HarmAmpl
 38.020  ACC          dBc            L1U                                   +DW
 38.021  MEMC         -30.0dBc       -0.0U +100.0U 100MH

 39.001  HEAD         -2 3rd harmonic
 39.002  TARGET       -p
 39.003  TSET         TDESC = 3rd harmonic
 39.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 39.005  TARGET       -m
 39.006  8560         -30D                         150MH                N
 39.007  MATH         HarmAmpl = MEM - RefLvl
 39.008  IEEE         [@8560]MKF?;[I]
 39.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 39.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 39.011  MATH         MEM = HarmAmpl
 39.012  ACC          dBc            L1U                                   +DW
 39.013  MEMC         -30.0dBc       -0.0U +100.0U 150MH

# Frequencies: >50 MHz to <=2 GHz (Models with Option 5 Only)
 40.001  M8560  SPAN  1MH
 40.002  M8560  RESBW 10kH
 40.003  M8560  VIDBW 10kH
 40.004  MATH         MEM = @L1
 40.005  M8560                                     D                    X
 40.006  RSLT         =
 40.007  HEAD         SPURIOUS SIGNALS:{ 50.1 MHz}
 40.008  HEAD         -2 2nd harmonic
 40.009  MATH         FreqMHz = 50.1
 40.010  TARGET       -p
 40.011  TSET         TDESC = 2nd harmonic
 40.012  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 40.013  MATH         MEM = @L1
 40.014  8560         D                            50.1MH               N
 40.015  MATH         RefLvl = MEM
 40.016  IEEE         [@8560]MKF?;[I]
 40.017  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 40.018  TARGET       -m
 40.019  8560         -40D                         100.2MH              N
 40.020  MATH         HarmAmpl = MEM - RefLvl
 40.021  IEEE         [@8560]MKF?;[I]
 40.022  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 40.023  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 40.024  MATH         MEM = HarmAmpl
 40.025  ACC          dBc            L1U                                   +DW
 40.026  MEMC         -40.0dBc       -0.0U +100.0U 100.2MH

 41.001  HEAD         -2 3rd harmonic
 41.002  TARGET       -p
 41.003  TSET         TDESC = 3rd harmonic
 41.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 41.005  TARGET       -m
 41.006  8560         -40D                         150.3MH              N
 41.007  MATH         HarmAmpl = MEM - RefLvl
 41.008  IEEE         [@8560]MKF?;[I]
 41.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 41.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 41.011  MATH         MEM = HarmAmpl
 41.012  ACC          dBc            L1U                                   +DW
 41.013  MEMC         -40.0dBc       -0.0U +100.0U 150.3MH

 42.001  RSLT         =
 42.002  HEAD         SPURIOUS SIGNALS:{ 600 MHz}
 42.003  HEAD         -2 2nd harmonic
 42.004  MATH         FreqMHz = 600
 42.005  TARGET       -p
 42.006  TSET         TDESC = 2nd harmonic
 42.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 42.008  MATH         MEM = @L1
 42.009  8560         D                            600MH                N
 42.010  MATH         RefLvl = MEM
 42.011  IEEE         [@8560]MKF?;[I]
 42.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 42.013  TARGET       -m
 42.014  8560         -40D                         1200MH               N
 42.015  MATH         HarmAmpl = MEM - RefLvl
 42.016  IEEE         [@8560]MKF?;[I]
 42.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 42.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 42.019  MATH         MEM = HarmAmpl
 42.020  ACC          dBc            L1U                                   +DW
 42.021  MEMC         -40.0dBc       -0.0U +100.0U 1200MH

 43.001  HEAD         -2 3rd harmonic
 43.002  TARGET       -p
 43.003  TSET         TDESC = 3rd harmonic
 43.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 43.005  TARGET       -m
 43.006  8560         -40D                         1800MH               N
 43.007  MATH         HarmAmpl = MEM - RefLvl
 43.008  IEEE         [@8560]MKF?;[I]
 43.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 43.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 43.011  MATH         MEM = HarmAmpl
 43.012  ACC          dBc            L1U                                   +DW
 43.013  MEMC         -40.0dBc       -0.0U +100.0U 1800MH

 44.001  RSLT         =
 44.002  HEAD         SPURIOUS SIGNALS:{ 1500 MHz}
 44.003  HEAD         -2 2nd harmonic
 44.004  MATH         FreqMHz = 1500
 44.005  TARGET       -p
 44.006  TSET         TDESC = 2nd harmonic
 44.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 44.008  MATH         MEM = @L1
 44.009  8560         D                            1500MH               N
 44.010  MATH         RefLvl = MEM
 44.011  IEEE         [@8560]MKF?;[I]
 44.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 44.013  TARGET       -m
 44.014  8560         -40D                         3000MH               N
 44.015  MATH         HarmAmpl = MEM - RefLvl
 44.016  IEEE         [@8560]MKF?;[I]
 44.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 44.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 44.019  MATH         MEM = HarmAmpl
 44.020  ACC          dBc            L1U                                   +DW
 44.021  MEMC         -40.0dBc       -0.0U +100.0U 3000MH

 45.001  HEAD         -2 3rd harmonic
 45.002  TARGET       -p
 45.003  TSET         TDESC = 3rd harmonic
 45.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 45.005  TARGET       -m
 45.006  8560         -40D                         4500MH               N
 45.007  MATH         HarmAmpl = MEM - RefLvl
 45.008  IEEE         [@8560]MKF?;[I]
 45.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 45.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 45.011  MATH         MEM = HarmAmpl
 45.012  ACC          dBc            L1U                                   +DW
 45.013  MEMC         -40.0dBc       -0.0U +100.0U 4500MH

 46.001  RSLT         =
 46.002  HEAD         SPURIOUS SIGNALS:{ 1990 MHz}
 46.003  HEAD         -2 2nd harmonic
 46.004  MATH         FreqMHz = 1990
 46.005  TARGET       -p
 46.006  TSET         TDESC = 2nd harmonic
 46.007  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 46.008  MATH         MEM = @L1
 46.009  8560         D                            1990MH               N
 46.010  MATH         RefLvl = MEM
 46.011  IEEE         [@8560]MKF?;[I]
 46.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 46.013  TARGET       -m
 46.014  8560         -40D                         3980MH               N
 46.015  MATH         HarmAmpl = MEM - RefLvl
 46.016  IEEE         [@8560]MKF?;[I]
 46.017  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 46.018  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 46.019  MATH         MEM = HarmAmpl
 46.020  ACC          dBc            L1U                                   +DW
 46.021  MEMC         -40.0dBc       -0.0U +100.0U 3980MH

 47.001  HEAD         -2 3rd harmonic
 47.002  TARGET       -p
 47.003  TSET         TDESC = 3rd harmonic
 47.004  IEEE         CF1[V FreqMHz]MHL1[V @L1]DMRF1
 47.005  TARGET       -m
 47.006  8560         -40D                         5970MH               N
 47.007  MATH         HarmAmpl = MEM - RefLvl
 47.008  IEEE         [@8560]MKF?;[I]
 47.009  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 47.010  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 47.011  MATH         MEM = HarmAmpl
 47.012  ACC          dBc            L1U                                   +DW
 47.013  MEMC         -40.0dBc       -0.0U +100.0U 5970MH

 48.001  HEAD
 48.002  HEAD         -2
 48.003  CALL         Sub MG369XB Reset & SRQ Masks
 48.004  M8560        *
 48.005  8560         *                                                 S
 48.006  END

 48.007  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Harms 2.0 GHz w/o Opt 4 /8560  ==================

 49.001  LABEL        2.0_GHz_NO_OPT_4
 49.002  IF           NOT(@Opt_15)
 49.003  M8560  SPAN  1MH
 49.004  M8560  RESBW 10kH
 49.005  M8560  VIDBW 10kH

 49.006  RSLT         =
 49.007  HEAD         SPURIOUS SIGNALS:{ 2.0 GHz}
 49.008  HEAD         -2 2nd harmonic

 49.009  MATH         Spec = -60

 49.010  MATH         FreqGHz = 2.0
 49.011  MATH         @FreqGHz = FreqGHz
 49.012  CALL         Sub MG369XB Set Max Power
 49.013  MATH         @L1 = MIN2(+10, @MaxPower)
 49.014  MATH         MEM = @L1
 49.015  M8560                                     D                    X
 49.016  JMPL         2.0_GHz_NO_OPT_4_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
 49.017  TARGET       -p
 49.018  MATH         @MG369XB_8560_Con = ""

 49.019  LABEL        2.0_GHz_NO_OPT_4_CON
 49.020  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]

 49.021  IF           EMPTY(@MG369XB_8560_Con)
 49.022  CALL         Sub MG369XB Connection /8560
 49.023  HEAD         -2 2nd harmonic
 49.024  ENDIF

 49.025  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 49.026  MATH         MEM = @L1
 49.027  8560         D                            2.0GH                N
 49.028  MATH         RefLvl = MEM
 49.029  IEEE         [@8560]MKF?;[I]
 49.030  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 49.031  TARGET       -m
 49.032  MATH         MEM = Spec
 49.033  8560         D                            4.0GH                N
 49.034  MATH         HarmAmpl = MEM - RefLvl
 49.035  IEEE         [@8560]MKF?;[I]
 49.036  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 49.037  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 49.038  MATH         MEM = HarmAmpl
 49.039  ACC          dBc            L1U                                   +DW
 49.040  MATH         MEM1 = Spec
 49.041  MEMC         dBc            -0.0U +100.0U 4.0GH

 50.001  HEAD         -2 3rd harmonic
 50.002  TARGET       -p
 50.003  TSET         TDESC = 3rd harmonic; MEAS = SA; CPT = [V Spec]
 50.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 50.005  TARGET       -m
 50.006  MATH         MEM = Spec
 50.007  8560         D                            6.0GH                N
 50.008  MATH         HarmAmpl = MEM - RefLvl
 50.009  IEEE         [@8560]MKF?;[I]
 50.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 50.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 50.012  MATH         MEM = HarmAmpl
 50.013  ACC          dBc            L1U                                   +DW
 50.014  MATH         MEM1 = Spec
 50.015  MEMC         dBc            -0.0U +100.0U 6.0GH

 51.001  HEAD
 51.002  HEAD         -2
 51.003  CALL         Sub MG369XB Reset & SRQ Masks
 51.004  ENDIF
 51.005  M8560        *
 51.006  8560         *                                                 S
 51.007  END

 51.008  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Harms >2.2 to <=50 GHz /8560  ====================

 52.001  LABEL        GT_2.2_TO_50_GHz
 52.002  M8560  SPAN  1MH
 52.003  M8560  RESBW 10kH
 52.004  M8560  VIDBW 10kH
 52.005  RSLT         =

 52.006  IF           NOT(@Opt_15)
 52.007  HEAD         SPURIOUS SIGNALS:{ 2.201 GHz}
 52.008  HEAD         -2 2nd harmonic
 52.009  MATH         Spec = -60
 52.010  MATH         FreqGHz = 2.201
 52.011  MATH         @FreqGHz = FreqGHz
 52.012  CALL         Sub MG369XB Set Max Power
 52.013  MATH         @L1 = MIN2(+10, @MaxPower)
 52.014  MATH         MEM = @L1
 52.015  M8560                                     D                    X
 52.016  TARGET       -p
 52.017  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 52.018  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 52.019  MATH         MEM = @L1
 52.020  8560         D                            2.201GH              N
 52.021  MATH         RefLvl = MEM
 52.022  IEEE         [@8560]MKF?;[I]
 52.023  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 52.024  TARGET       -m
 52.025  MATH         MEM = Spec
 52.026  8560         D                            4.402GH              N
 52.027  MATH         HarmAmpl = MEM - RefLvl
 52.028  IEEE         [@8560]MKF?;[I]
 52.029  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 52.030  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 52.031  MATH         MEM = HarmAmpl
 52.032  ACC          dBc            L1U                                   +DW
 52.033  MATH         MEM1 = Spec
 52.034  MEMC         dBc            -0.0U +100.0U 4.402GH

 53.001  HEAD         -2 3rd harmonic
 53.002  TARGET       -p
 53.003  TSET         TDESC = 3rd harmonic; MEAS = SA; CPT = [V Spec]
 53.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 53.005  TARGET       -m
 53.006  MATH         MEM = Spec
 53.007  8560         D                            6.603GH              N
 53.008  MATH         HarmAmpl = MEM - RefLvl
 53.009  IEEE         [@8560]MKF?;[I]
 53.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 53.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 53.012  MATH         MEM = HarmAmpl
 53.013  ACC          dBc            L1U                                   +DW
 53.014  MATH         MEM1 = Spec
 53.015  MEMC         dBc            -0.0U +100.0U 6.603GH

 54.001  RSLT         =
 54.002  HEAD         SPURIOUS SIGNALS:{ 9.99 GHz}
 54.003  HEAD         -2 2nd harmonic
 54.004  MATH         FreqGHz = 9.99
 54.005  TARGET       -p
 54.006  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 54.007  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 54.008  MATH         MEM = @L1
 54.009  8560         D                            9.99GH               N
 54.010  MATH         RefLvl = MEM
 54.011  IEEE         [@8560]MKF?;[I]
 54.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 54.013  TARGET       -m
 54.014  MATH         MEM = Spec
 54.015  8560         D                            19.98GH              N
 54.016  MATH         HarmAmpl = MEM - RefLvl
 54.017  IEEE         [@8560]MKF?;[I]
 54.018  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 54.019  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 54.020  MATH         MEM = HarmAmpl
 54.021  ACC          dBc            L1U                                   +DW
 54.022  MATH         MEM1 = Spec
 54.023  MEMC         dBc            -0.0U +100.0U 19.98GH

 55.001  IF           @856x_MaxFreq < 30.0E+9
 55.002  RSLT         = 3rd harmonic not tested!
 55.003  ELSE
 55.004  HEAD         -2 3rd harmonic
 55.005  TARGET       -p
 55.006  TSET         TDESC = 3rd harmonic; MEAS = SA; CPT = [V Spec]
 55.007  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 55.008  TARGET       -m
 55.009  MATH         MEM = Spec
 55.010  8560         D                            29.97GH              N
 55.011  MATH         HarmAmpl = MEM - RefLvl
 55.012  IEEE         [@8560]MKF?;[I]
 55.013  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 55.014  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 55.015  MATH         MEM = HarmAmpl
 55.016  ACC          dBc            L1U                                   +DW
 55.017  MATH         MEM1 = Spec
 55.018  MEMC         dBc            -0.0U +100.0U 29.97GH
 56.001  ENDIF

 56.002  IF           @MaxFreq > 10E+9
 56.003  RSLT         =
 56.004  HEAD         SPURIOUS SIGNALS:{ 10.01 GHz}
 56.005  HEAD         -2 2nd harmonic
 56.006  MATH         FreqGHz = 10.01
 56.007  MATH         @FreqGHz = FreqGHz
 56.008  CALL         Sub MG369XB Set Max Power
 56.009  MATH         @L1 = MIN2(+10, @MaxPower)
 56.010  MATH         MEM = @L1
 56.011  M8560                                     D                    X
 56.012  TARGET       -p
 56.013  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 56.014  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 56.015  MATH         MEM = @L1
 56.016  8560         D                            10.01GH              N
 56.017  MATH         RefLvl = MEM
 56.018  IEEE         [@8560]MKF?;[I]
 56.019  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 56.020  TARGET       -m
 56.021  MATH         MEM = Spec
 56.022  8560         D                            20.02GH              N
 56.023  MATH         HarmAmpl = MEM - RefLvl
 56.024  IEEE         [@8560]MKF?;[I]
 56.025  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 56.026  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 56.027  MATH         MEM = HarmAmpl
 56.028  ACC          dBc            L1U                                   +DW
 56.029  MATH         MEM1 = Spec
 56.030  MEMC         dBc            -0.0U +100.0U 20.02GH

 57.001  IF           @856x_MaxFreq < 40.0E+9
 57.002  RSLT         = 3rd harmonic not tested!
 57.003  ELSE
 57.004  HEAD         -2 3rd harmonic
 57.005  TARGET       -p
 57.006  TSET         TDESC = 3rd harmonic; MEAS = SA; CPT = [V Spec]
 57.007  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 57.008  TARGET       -m
 57.009  MATH         MEM = Spec
 57.010  8560         D                            30.03GH              N
 57.011  MATH         HarmAmpl = MEM - RefLvl
 57.012  IEEE         [@8560]MKF?;[I]
 57.013  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 57.014  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 57.015  MATH         MEM = HarmAmpl
 57.016  ACC          dBc            L1U                                   +DW
 57.017  MATH         MEM1 = Spec
 57.018  MEMC         dBc            -0.0U +100.0U 30.03GH
 58.001  ENDIF

 58.002  RSLT         =
 58.003  HEAD         SPURIOUS SIGNALS:{ 20.0 GHz}

 58.004  IF           @856x_MaxFreq < 50.0E+9
 58.005  RSLT         = 2nd harmonic not tested!
 58.006  ELSE
 58.007  HEAD         -2 2nd harmonic
 58.008  MATH         FreqGHz = 20.0
 58.009  TARGET       -p
 58.010  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 58.011  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 58.012  MATH         MEM = @L1
 58.013  8560         D                            20.0GH               N
 58.014  MATH         RefLvl = MEM
 58.015  IEEE         [@8560]MKF?;[I]
 58.016  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 58.017  TARGET       -m
 58.018  MATH         MEM = Spec
 58.019  8560         D                            40.0GH               N
 58.020  MATH         HarmAmpl = MEM - RefLvl
 58.021  IEEE         [@8560]MKF?;[I]
 58.022  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 58.023  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 58.024  MATH         MEM = HarmAmpl
 58.025  ACC          dBc            L1U                                   +DW
 58.026  MATH         MEM1 = Spec
 58.027  MEMC         dBc            -0.0U +100.0U 40.0GH
 59.001  ENDIF

# Frequencies: >20 GHz to <=50 GHz
 59.002  IF           @MaxFreq > 20E+9
 59.003  MATH         Spec = -40
 59.004  RSLT         =
 59.005  HEAD         SPURIOUS SIGNALS:{ 20.01 GHz}

 59.006  IF           @856x_MaxFreq < 50.0E+9
 59.007  RSLT         = 2nd harmonic not tested!
 59.008  ELSE
 59.009  HEAD         -2 2nd harmonic
 59.010  MATH         FreqGHz = 20.01
 59.011  MATH         @FreqGHz = FreqGHz
 59.012  CALL         Sub MG369XB Set Max Power
 59.013  MATH         @L1 = MIN2(+10, @MaxPower)
 59.014  MATH         MEM = @L1
 59.015  M8560                                     D                    X
 59.016  TARGET       -p
 59.017  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 59.018  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 59.019  MATH         MEM = @L1
 59.020  8560         D                            20.01GH              N
 59.021  MATH         RefLvl = MEM
 59.022  IEEE         [@8560]MKF?;[I]
 59.023  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 59.024  TARGET       -m
 59.025  MATH         MEM = Spec
 59.026  8560         D                            40.02GH              N
 59.027  MATH         HarmAmpl = MEM - RefLvl
 59.028  IEEE         [@8560]MKF?;[I]
 59.029  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 59.030  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 59.031  MATH         MEM = HarmAmpl
 59.032  ACC          dBc            L1U                                   +DW
 59.033  MATH         MEM1 = Spec
 59.034  MEMC         dBc            -0.0U +100.0U 40.02GH
 60.001  ENDIF

 60.002  HEAD         -2 ½ subharmonic
 60.003  TARGET       -p
 60.004  TSET         TDESC = ½ subharmonic; MEAS = SA; CPT = [V Spec]
 60.005  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 60.006  TARGET       -m
 60.007  MATH         MEM = Spec
 60.008  8560         D                            10.005GH             N
 60.009  MATH         HarmAmpl = MEM - RefLvl
 60.010  IEEE         [@8560]MKF?;[I]
 60.011  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 60.012  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 60.013  MATH         MEM = HarmAmpl
 60.014  ACC          dBc            L1U                                   +DW
 60.015  MATH         MEM1 = Spec
 60.016  MEMC         dBc            -0.0U +100.0U 10.005GH

 61.001  HEAD         -2 ¼ subharmonic
 61.002  TARGET       -p
 61.003  TSET         TDESC = ¼ subharmonic; MEAS = SA; CPT = [V Spec]
 61.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 61.005  TARGET       -m
 61.006  MATH         MEM = Spec
 61.007  8560         D                            5.0025GH             N
 61.008  MATH         HarmAmpl = MEM - RefLvl
 61.009  IEEE         [@8560]MKF?;[I]
 61.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 61.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 61.012  MATH         MEM = HarmAmpl
 61.013  ACC          dBc            L1U                                   +DW
 61.014  MATH         MEM1 = Spec
 61.015  MEMC         dBc            -0.0U +100.0U 5.0025GH

 62.001  HEAD         -2, ¾ subharmonic
 62.002  TARGET       -p
 62.003  TSET         TDESC = ¾ subharmonic; MEAS = SA; CPT = [V Spec]
 62.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 62.005  TARGET       -m
 62.006  MATH         MEM = Spec
 62.007  8560         D                            15.0075GH            N
 62.008  MATH         HarmAmpl = MEM - RefLvl
 62.009  IEEE         [@8560]MKF?;[I]
 62.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 62.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 62.012  MATH         MEM = HarmAmpl
 62.013  ACC          dBc            L1U                                   +DW
 62.014  MATH         MEM1 = Spec
 62.015  MEMC         dBc            -0.0U +100.0U 15.0075GH

 63.001  RSLT         =
 63.002  HEAD         SPURIOUS SIGNALS:{ 25.0 GHz}

 63.003  IF           @856x_MaxFreq < 50.0E+9
 63.004  RSLT         = 2nd harmonic not tested!
 63.005  ELSE
 63.006  HEAD         -2 2nd harmonic
 63.007  MATH         FreqGHz = 25.0
 63.008  TARGET       -p
 63.009  TSET         TDESC = 2nd harmonic; MEAS = SA; CPT = [V Spec]
 63.010  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 63.011  MATH         MEM = @L1
 63.012  8560         D                            25.0GH               N
 63.013  MATH         RefLvl = MEM
 63.014  IEEE         [@8560]MKF?;[I]
 63.015  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 63.016  TARGET       -m
 63.017  MATH         MEM = Spec
 63.018  8560         D                            50.0GH               N
 63.019  MATH         HarmAmpl = MEM - RefLvl
 63.020  IEEE         [@8560]MKF?;[I]
 63.021  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 63.022  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 63.023  MATH         MEM = HarmAmpl
 63.024  ACC          dBc            L1U                                   +DW
 63.025  MATH         MEM1 = Spec
 63.026  MEMC         dBc            -0.0U +100.0U 50.0GH
 64.001  ENDIF

 64.002  HEAD         -2 ½ subharmonic
 64.003  TARGET       -p
 64.004  TSET         TDESC = ½ subharmonic; MEAS = SA; CPT = [V Spec]
 64.005  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 64.006  TARGET       -m
 64.007  MATH         MEM = Spec
 64.008  8560         D                            12.5GH               N
 64.009  MATH         HarmAmpl = MEM - RefLvl
 64.010  IEEE         [@8560]MKF?;[I]
 64.011  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 64.012  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 64.013  MATH         MEM = HarmAmpl
 64.014  ACC          dBc            L1U                                   +DW
 64.015  MATH         MEM1 = Spec
 64.016  MEMC         dBc            -0.0U +100.0U 12.5GH

 65.001  HEAD         -2 ¼ subharmonic
 65.002  TARGET       -p
 65.003  TSET         TDESC = ¼ subharmonic; MEAS = SA; CPT = [V Spec]
 65.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 65.005  TARGET       -m
 65.006  MATH         MEM = Spec
 65.007  8560         D                            6.25GH               N
 65.008  MATH         HarmAmpl = MEM - RefLvl
 65.009  IEEE         [@8560]MKF?;[I]
 65.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 65.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 65.012  MATH         MEM = HarmAmpl
 65.013  ACC          dBc            L1U                                   +DW
 65.014  MATH         MEM1 = Spec
 65.015  MEMC         dBc            -0.0U +100.0U 6.25GH

 66.001  HEAD         -2 ¾ subharmonic
 66.002  TARGET       -p
 66.003  TSET         TDESC = ¾ subharmonic; MEAS = SA; CPT = [V Spec]
 66.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 66.005  TARGET       -m
 66.006  MATH         MEM = Spec
 66.007  8560         D                            18.75GH              N
 66.008  MATH         HarmAmpl = MEM - RefLvl
 66.009  IEEE         [@8560]MKF?;[I]
 66.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 66.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 66.012  MATH         MEM = HarmAmpl
 66.013  ACC          dBc            L1U                                   +DW
 66.014  MATH         MEM1 = Spec
 66.015  MEMC         dBc            -0.0U +100.0U 18.75GH

# 30.0 GHz
 67.001  RSLT         =
 67.002  HEAD         SPURIOUS SIGNALS:{ 30.0 GHz}
 67.003  HEAD         -2 ½ subharmonic
 67.004  MATH         FreqGHz = 30.0
 67.005  TARGET       -p
 67.006  TSET         TDESC = ½ subharmonic; MEAS = SA; CPT = [V Spec]
 67.007  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 67.008  MATH         MEM = @L1
 67.009  8560         D                            30.0GH               N
 67.010  MATH         RefLvl = MEM
 67.011  IEEE         [@8560]MKF?;[I]
 67.012  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 67.013  TARGET       -m
 67.014  MATH         MEM = Spec
 67.015  8560         D                            15.0GH               N
 67.016  MATH         HarmAmpl = MEM - RefLvl
 67.017  IEEE         [@8560]MKF?;[I]
 67.018  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 67.019  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 67.020  MATH         MEM = HarmAmpl
 67.021  ACC          dBc            L1U                                   +DW
 67.022  MATH         MEM1 = Spec
 67.023  MEMC         dBc            -0.0U +100.0U 15.0GH

 68.001  HEAD         -2 ¼ subharmonic
 68.002  TARGET       -p
 68.003  TSET         TDESC = ¼ subharmonic; MEAS = SA; CPT = [V Spec]
 68.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 68.005  TARGET       -m
 68.006  MATH         MEM = Spec
 68.007  8560         D                            7.5GH                N
 68.008  MATH         HarmAmpl = MEM - RefLvl
 68.009  IEEE         [@8560]MKF?;[I]
 68.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 68.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 68.012  MATH         MEM = HarmAmpl
 68.013  ACC          dBc            L1U                                   +DW
 68.014  MATH         MEM1 = Spec
 68.015  MEMC         dBc            -0.0U +100.0U 7.5GH

 69.001  HEAD         -2 ¾ subharmonic
 69.002  TARGET       -p
 69.003  TSET         TDESC = ¾ subharmonic; MEAS = SA; CPT = [V Spec]
 69.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 69.005  TARGET       -m
 69.006  MATH         MEM = Spec
 69.007  8560         D                            22.5GH               N
 69.008  MATH         HarmAmpl = MEM - RefLvl
 69.009  IEEE         [@8560]MKF?;[I]
 69.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 69.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 69.012  MATH         MEM = HarmAmpl
 69.013  ACC          dBc            L1U                                   +DW
 69.014  MATH         MEM1 = Spec
 69.015  MEMC         dBc            -0.0U +100.0U 22.5GH

 70.001  IF           @MaxFreq > 30E+9
 70.002  RSLT         =
 70.003  HEAD         SPURIOUS SIGNALS:{ 40.0 GHz}
 70.004  HEAD         -2 ½ subharmonic
 70.005  MATH         FreqGHz = 40.0
 70.006  TARGET       -p
 70.007  TSET         TDESC = ½ subharmonic; MEAS = SA; CPT = [V Spec]
 70.008  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 70.009  MATH         MEM = @L1
 70.010  8560         D                            40.0GH               N
 70.011  MATH         RefLvl = MEM
 70.012  IEEE         [@8560]MKF?;[I]
 70.013  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 70.014  TARGET       -m
 70.015  MATH         MEM = Spec
 70.016  8560         D                            20.0GH               N
 70.017  MATH         HarmAmpl = MEM - RefLvl
 70.018  IEEE         [@8560]MKF?;[I]
 70.019  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 70.020  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 70.021  MATH         MEM = HarmAmpl
 70.022  ACC          dBc            L1U                                   +DW
 70.023  MATH         MEM1 = Spec
 70.024  MEMC         dBc            -0.0U +100.0U 20.0GH

 71.001  HEAD         -2 ¼ subharmonic
 71.002  TARGET       -p
 71.003  TSET         TDESC = ¼ subharmonic; MEAS = SA; CPT = [V Spec]
 71.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 71.005  TARGET       -m
 71.006  MATH         MEM = Spec
 71.007  8560         D                            10.0GH               N
 71.008  MATH         HarmAmpl = MEM - RefLvl
 71.009  IEEE         [@8560]MKF?;[I]
 71.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 71.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 71.012  MATH         MEM = HarmAmpl
 71.013  ACC          dBc            L1U                                   +DW
 71.014  MATH         MEM1 = Spec
 71.015  MEMC         dBc            -0.0U +100.0U 10.0GH

 72.001  HEAD         -2 ¾ subharmonic
 72.002  TARGET       -p
 72.003  TSET         TDESC = ¾ subharmonic; MEAS = SA; CPT = [V Spec]
 72.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 72.005  TARGET       -m
 72.006  MATH         MEM = Spec
 72.007  8560         D                            30.0GH               N
 72.008  MATH         HarmAmpl = MEM - RefLvl
 72.009  IEEE         [@8560]MKF?;[I]
 72.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 72.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 72.012  MATH         MEM = HarmAmpl
 72.013  ACC          dBc            L1U                                   +DW
 72.014  MATH         MEM1 = Spec
 72.015  MEMC         dBc            -0.0U +100.0U 30.0GH


 73.001  ENDIF        ; @MaxFreq > 30E+9

 73.002  ENDIF        ; @MaxFreq > 20E+9

 73.003  ENDIF        ; @MaxFreq > 10E+9

 73.004  ENDIF        ; NOT(@Opt_15)

 73.005  IF           (@MaxFreq > 40E+9 && NOT(@Opt_15)) || @MaxFreq > 50E+9
 73.006  RSLT         =
 73.007  HEAD         SPURIOUS SIGNALS:{ 50.0 GHz}
 73.008  HEAD         -2 ½ subharmonic
 73.009  MATH         FreqGHz = 50.0
 73.010  MATH         @FreqGHz = FreqGHz
 73.011  CALL         Sub MG369XB Set Max Power
 73.012  MATH         @L1 = MIN2(+10, @MaxPower)
 73.013  MATH         MEM = @L1
 73.014  M8560                                     D                    X

 73.015  IF           @MaxFreq > 50E+9
 73.016  MATH         Spec = -25
 73.017  ELSE
 73.018  MATH         Spec = -40
 73.019  ENDIF

 73.020  TARGET       -p
 73.021  TSET         TDESC = ½ subharmonic; MEAS = SA; CPT = [V Spec]
 73.022  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 73.023  MATH         MEM = @L1
 73.024  8560         D                            50.0GH               N
 73.025  MATH         RefLvl = MEM
 73.026  IEEE         [@8560]MKF?;[I]
 73.027  MATH         Acc1 = ACCV2(Dev, @ModeFreqResp, RefLvl, MEM) / Conf
 73.028  TARGET       -m
 73.029  MATH         MEM = Spec
 73.030  8560         D                            25.0GH               N
 73.031  MATH         HarmAmpl = MEM - RefLvl
 73.032  IEEE         [@8560]MKF?;[I]
 73.033  MATH         Acc2 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 73.034  MATH         L[1] = RSS2(Acc1, Acc2) * 2
 73.035  MATH         MEM = HarmAmpl
 73.036  ACC          dBc            L1U                                   +DW
 73.037  MATH         MEM1 = Spec
 73.038  MEMC         dBc            -0.0U +100.0U 25.0GH

 74.001  HEAD         -2 ¼ subharmonic
 74.002  TARGET       -p
 74.003  TSET         TDESC = ¼ subharmonic; MEAS = SA; CPT = [V Spec]
 74.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 74.005  TARGET       -m
 74.006  MATH         MEM = Spec
 74.007  8560         D                            12.5GH               N
 74.008  MATH         HarmAmpl = MEM - RefLvl
 74.009  IEEE         [@8560]MKF?;[I]
 74.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 74.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 74.012  MATH         MEM = HarmAmpl
 74.013  ACC          dBc            L1U                                   +DW
 74.014  MATH         MEM1 = Spec
 74.015  MEMC         dBc            -0.0U +100.0U 12.5GH

 75.001  HEAD         -2 ¾ subharmonic
 75.002  TARGET       -p
 75.003  TSET         TDESC = ¾ subharmonic; MEAS = SA; CPT = [V Spec]
 75.004  IEEE         CF1[V FreqGHz]GHL1[V @L1]DMRF1
 75.005  TARGET       -m
 75.006  MATH         MEM = Spec
 75.007  8560         D                            37.5GH               N
 75.008  MATH         HarmAmpl = MEM - RefLvl
 75.009  IEEE         [@8560]MKF?;[I]
 75.010  MATH         Acc3 = ACCV2(Dev, @ModeLogFi, HarmAmpl, MEM) / Conf
 75.011  MATH         L[1] = RSS2(Acc1, Acc3) * 2
 75.012  MATH         MEM = HarmAmpl
 75.013  ACC          dBc            L1U                                   +DW
 75.014  MATH         MEM1 = Spec
 75.015  MEMC         dBc            -0.0U +100.0U 37.5GH
 76.001  ENDIF        ;(@MaxFreq > 40E+9 && NOT(@Opt_15)) || @MaxFreq>50E+9

 76.002  HEAD
 76.003  HEAD         -2
 76.004  CALL         Sub MG369XB Reset & SRQ Masks
 76.005  M8560        *
 76.006  8560         *                                                 S
 76.007  END
