﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Lvl Tests <=19 dBm /ML2437
DATE:                  2009-05-27 21:20:06
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       83
CONFIGURATION:         Anritsu ML2437A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB without Option 2
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Power Level Test /ML2437
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Dummy statement to force procedure header to include references used in
# subprocedures.
  1.001  IF           0
  1.002  ML2437       Reset
  1.003  ENDIF

  1.004  MATH         Freq = ENGR_NSD(@FreqGHz, "GHz", 3)

  1.005  IF           @MaxPower >= +15
  1.006  MATH         @LvldBm = 15
  1.007  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.008  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.009  ENDIF

  1.010  IF           @MaxPower >= +10
  1.011  MATH         @LvldBm = 10
  1.012  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.013  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.014  ENDIF

  1.015  IF           @MaxPower >= +5
  1.016  MATH         @LvldBm = 5
  1.017  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.018  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.019  ENDIF

  1.020  IF           @MaxPower >= +0
  1.021  MATH         @LvldBm = 0
  1.022  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.023  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.024  ENDIF

# Maximum power is never less than -2 dBm for all models and options.
  1.025  MATH         @LvldBm = -5
  1.026  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.027  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437

  1.028  IF           @FreqGHz > 40
  1.029  MATH         @LvldBm = -10
  1.030  HEAD         POWER LEVEL ACCURACY: [V @LvldBm] dBm @ [V Freq]
  1.031  CALL         Sub MG369XB (2 yr) Power Level Test /ML2437
  1.032  ENDIF        ; @FreqGHz > 40

  1.033  HEAD
  1.034  END
