﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
INSTRUMENT:            Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
DATE:                  2010-02-11 15:43:37
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       12
NUMBER OF LINES:       235
CONFIGURATION:         Local Oscillator
STANDARD:              Aeroflex PN9000
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB Get PN9000 Result
#        Sub MG369XB Get Max PN9000 Result
#
#  Required Files:
#        Get_PN9000_Data.exe
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          Aeroflex PN9000

  1.002  IF           0
  1.003  IEEE         [@LO]
  1.004  ENDIF

  1.005  JMPL         SINGLE_SIDEBAND              PSUBI("Single Sideband")
  1.006  JMPL         PWR_LINE_AND_FAN_EMISSIONS   PSUBI("Pwr Line & Fan")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO  =============

  2.001  LABEL        SINGLE_SIDEBAND
  2.002  MATH         @MG369XB_PN9000_Result_Type = "SMOOTH"
  2.003  RSLT         =
  2.004  RSLT         = Test Frequency: [V @TestFreq]
  2.005  MATH         @MG369XB_PN9000_Result_TestFreq = @TestFreq

# Freq Offset 10.23 Hz
  2.006  IF           @Opt_3 || @Opt_30
  2.007  MATH         @MG369XB_PN9000_Result_FOffset = 10.23
  2.008  TARGET
  2.009  TSET         TDESC = Freq Offset: 10.23 Hz
  2.010  TSET         NTHROW = 0; MEAS = SA
  2.011  CALL         Sub MG369XB Get PN9000 Result

  2.012  IF           NOT(@Success)
  2.013  DISP         {Unable to obtain PN9000 result value.}
  2.014  END
  2.015  ENDIF

  2.016  MATH         MEM = @MG369XB_PN9000_Result_Value
  2.017  ACC          dBc            2.5U
  2.018  MATH         MEM1 = @UL_10Hz
  2.019  MEMC         dBc            -0.0U +200.0U
  3.001  ENDIF        ; @Opt_3 || @Opt_30

# Freq Offset 100 Hz
  3.002  MATH         @MG369XB_PN9000_Result_FOffset = 100
  3.003  TARGET
  3.004  TSET         TDESC = Freq Offset: 100 Hz
  3.005  TSET         NTHROW = 0; MEAS = SA
  3.006  CALL         Sub MG369XB Get PN9000 Result

  3.007  IF           NOT(@Success)
  3.008  DISP         {Unable to obtain PN9000 result value.}
  3.009  END
  3.010  ENDIF

  3.011  MATH         MEM = @MG369XB_PN9000_Result_Value
  3.012  ACC          dBc            2.5U
  3.013  MATH         MEM1 = @UL_100Hz
  3.014  MEMC         dBc            -0.0U +200.0U

# Freq Offset 1 kHz
  4.001  MATH         @MG369XB_PN9000_Result_FOffset = 1000
  4.002  TARGET
  4.003  TSET         TDESC = Freq Offset: 1 kHz
  4.004  TSET         NTHROW = 0; MEAS = SA
  4.005  CALL         Sub MG369XB Get PN9000 Result

  4.006  IF           NOT(@Success)
  4.007  DISP         {Unable to obtain PN9000 result value.}
  4.008  END
  4.009  ENDIF

  4.010  MATH         MEM = @MG369XB_PN9000_Result_Value
  4.011  ACC          dBc            2.5U
  4.012  MATH         MEM1 = @UL_1kHz
  4.013  MEMC         dBc            -0.0U +200.0U

# Freq Offset 10 kHz
  5.001  MATH         @MG369XB_PN9000_Result_FOffset = 10000
  5.002  TARGET
  5.003  TSET         TDESC = Freq Offset: 10 kHz
  5.004  TSET         NTHROW = 0; MEAS = SA
  5.005  CALL         Sub MG369XB Get PN9000 Result

  5.006  IF           NOT(@Success)
  5.007  DISP         {Unable to obtain PN9000 result value.}
  5.008  END
  5.009  ENDIF

  5.010  MATH         MEM = @MG369XB_PN9000_Result_Value
  5.011  ACC          dBc            2.5U
  5.012  MATH         MEM1 = @UL_10kHz
  5.013  MEMC         dBc            -0.0U +200.0U

# Freq Offset 100 kHz
  6.001  MATH         @MG369XB_PN9000_Result_FOffset = 100000
  6.002  TARGET
  6.003  TSET         TDESC = Freq Offset: 100 kHz
  6.004  TSET         NTHROW = 0; MEAS = SA
  6.005  CALL         Sub MG369XB Get PN9000 Result

  6.006  IF           NOT(@Success)
  6.007  DISP         {Unable to obtain PN9000 result value.}
  6.008  END
  6.009  ENDIF

  6.010  MATH         MEM = @MG369XB_PN9000_Result_Value
  6.011  ACC          dBc            2.5U
  6.012  MATH         MEM1 = @UL_100kHz
  6.013  MEMC         dBc            -0.0U +200.0U

# Freq Offset 1 MHz
  7.001  IF           @Opt_3 || @Opt_30
  7.002  MATH         @MG369XB_PN9000_Result_FOffset = 1000000
  7.003  TARGET
  7.004  TSET         TDESC = Freq Offset: 1 MHz
  7.005  TSET         NTHROW = 0; MEAS = SA
  7.006  CALL         Sub MG369XB Get PN9000 Result

  7.007  IF           NOT(@Success)
  7.008  DISP         {Unable to obtain PN9000 result value.}
  7.009  END
  7.010  ENDIF

  7.011  MATH         MEM = @MG369XB_PN9000_Result_Value
  7.012  ACC          dBc            2.5U
  7.013  MATH         MEM1 = @UL_1MHz
  7.014  MEMC         dBc            -0.0U +200.0U
  8.001  ENDIF        ; @Opt_3 || @Opt_30

  8.002  END

  8.003  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO  ============

  9.001  LABEL        PWR_LINE_AND_FAN_EMISSIONS
  9.002  RSLT         =
  9.003  RSLT         = [V @TestFreq]
  9.004  MATH         @MG369XB_PN9000_Result_Type      = "SPUR"
  9.005  MATH         @MG369XB_PN9000_Result_TestFreq = @TestFreq

# 10.24 to 297.57 Hz
  9.006  MATH         @MG369XB_PN9000_Result_FStart = 10.24
  9.007  MATH         @MG369XB_PN9000_Result_FStop  = 297.57
  9.008  TARGET
  9.009  TSET         TDESC = Freq Offset: < 300 Hz
  9.010  TSET         NTHROW = 0; MEAS = SA
  9.011  CALL         Sub MG369XB Get Max PN9000 Result

  9.012  IF           NOT(@Success)
  9.013  DISP         {Unable to obtain Max PN9000 result value.}
  9.014  END
  9.015  ENDIF

  9.016  MATH         MEM = @MG369XB_PN9000_Result_Max
  9.017  ACC          dBc            2.5U
  9.018  MATH         MEM1 = @UL_LT_300Hz
  9.019  MEMC         dBc            -0.0U +200.0U

# 300 Hz to 1 kHz
 10.001  MATH         @MG369XB_PN9000_Result_FStart = 300
 10.002  MATH         @MG369XB_PN9000_Result_FStop  = 1000
 10.003  TARGET
 10.004  TSET         TDESC = Freq Offset: 300 Hz to 1 kHz
 10.005  TSET         NTHROW = 0; MEAS = SA
 10.006  CALL         Sub MG369XB Get Max PN9000 Result

 10.007  IF           NOT(@Success)
 10.008  DISP         {Unable to obtain Max PN9000 result value.}
 10.009  END
 10.010  ENDIF

 10.011  MATH         MEM = @MG369XB_PN9000_Result_Max
 10.012  ACC          dBc            2.5U
 10.013  MATH         MEM1 = @UL_300Hz_1kHz
 10.014  MEMC         dBc            -0.0U +200.0U

# 1.0243 kHz to 1 MHz
 11.001  MATH         @MG369XB_PN9000_Result_FStart = 1024.3
 11.002  MATH         @MG369XB_PN9000_Result_FStop = 1000000
 11.003  TARGET
 11.004  TSET         TDESC = Freq Offset: > 1 kHz
 11.005  TSET         NTHROW = 0; MEAS = SA
 11.006  CALL         Sub MG369XB Get Max PN9000 Result

 11.007  IF           NOT(@Success)
 11.008  DISP         {Unable to obtain Max PN9000 result value.}
 11.009  END
 11.010  ENDIF

 11.011  MATH         MEM = @MG369XB_PN9000_Result_Max
 11.012  ACC          dBc            2.5U
 11.013  MATH         MEM1 = @UL_GT_1kHz
 11.014  MEMC         dBc            -0.0U +200.0U

 12.001  END
