﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Spurious Signals /8560
INSTRUMENT:            Sub MG369XB (2 yr) Pulse On/Off Ratio /8560
DATE:                  2010-02-16 11:41:31
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       21
NUMBER OF LINES:       638
CONFIGURATION:         HP 8560
=============================================================================
#
#  Procedure Author:
#        DAC, DFM
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL V7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Harms 0.1 to <10 MHz, Opt 22 /8560
#        Sub MG369XB (2 yr) Harms 0.01 to 2.2 GHz, Opt 4 /8560
#        Sub MG369XB (2 yr) Harms 0.01 to 2.0 GHz, Opt 5 /8560
#        Sub MG369XB (2 yr) Harms 2.0 GHz w/o Opt 4 /8560
#        Sub MG369XB (2 yr) Harms >2.2 to 50 GHz /8560
#        Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 4 /8560
#        Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 5 /8560
#        Sub MG369XB (2 yr) Spurs > 2 to <= 20 GHz /8560
#        Sub MG369XB (2 yr) Spurs > 20 GHz /8560
#        Sub MG369XB Reset & SRQ Masks
#        Sub MG369XB Init Connection Flags
#        Sub HP 856x (Sys) Id, Options, & Frequency Range IEEE
#        Sub HP 856x (Sys) Acc Mode Freq Resp
#        Sub HP 856x (Sys) Acc Mode Log Scale Fidelity
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Reset 8560 to turn off all "sticky" parameters
  1.001  M8560        *
  1.002  8560         *                                                 S

  1.003  CALL         Sub HP 856x (Sys) Acc Mode Freq Resp
  1.004  MATH         @ModeFreqResp = @856x_AccMode
  1.005  CALL         Sub HP 856x (Sys) Acc Mode Log Scale Fidelity
  1.006  MATH         @ModeLogFi = @856x_AccMode

  1.007  JMPL         SPURIOUS_SIGNALS             PSUB("Spurious Signals")
  1.008  JMPL         PULSE_ON_OFF_RATIO           PSUB("Pulse On/Off Ratio")
  1.009  DISP         Called subprocedure not found!
  1.010  END

  1.011  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Spurious Signals /8560  =========================

  2.001  LABEL        SPURIOUS_SIGNALS
  2.002  RSLT         =
  2.003  RSLT         =SPURIOUS SIGNALS TEST
  2.004  HEAD         SPURIOUS SIGNALS TEST

  2.005  RSLT         =
  2.006  HEAD         -2{ Harmonics}

  2.007  IF           @Opt_22
  2.008  CALL         Sub MG369XB (2 yr) Harms 0.1 to <10 MHz, Opt 22 /8560
  2.009  ENDIF

  2.010  IF           @Opt_4
  2.011  CALL         Sub MG369XB (2 yr) Harms 0.01 to 2.2 GHz, Opt 4 /8560
  2.012  ELSEIF       @Opt_5
  2.013  CALL         Sub MG369XB (2 yr) Harms 0.01 to 2.0 GHz, Opt 5 /8560
  2.014  ENDIF

  2.015  IF           NOT(@Opt_4)
  2.016  CALL         Sub MG369XB (2 yr) Harms 2.0 GHz w/o Opt 4 /8560
  2.017  ENDIF

  2.018  CALL         Sub MG369XB (2 yr) Harms >2.2 to 50 GHz /8560

  2.019  RSLT         =
  2.020  HEAD         -2{ Spurs}

  2.021  IF           @Opt_4
  2.022  CALL         Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 4 /8560
  2.023  ELSEIF       @Opt_5
  2.024  CALL         Sub MG369XB (2 yr) Spurs 1.1 GHz, Opt 5 /8560
  2.025  ENDIF

  2.026  CALL         Sub MG369XB (2 yr) Spurs > 2 to <= 20 GHz /8560

  2.027  IF           (@MaxFreq > 20E+9)
  2.028  CALL         Sub MG369XB (2 yr) Spurs > 20 GHz /8560
  2.029  ENDIF

  2.030  HEAD
  2.031  HEAD         -2
  2.032  CALL         Sub MG369XB Reset & SRQ Masks
  2.033  M8560        *
  2.034  8560         *                                                 S
  2.035  END

  2.036  EVAL   Increment step number

# =====  Sub MG369XB (2 yr) Pulse On/Off Ratio /8560  =======================

  3.001  LABEL        PULSE_ON_OFF_RATIO
  3.002  HEAD         PULSE ON/OFF RATIO

  3.003  RSLT         =
  3.004  RSLT         = Pulse On/Off Ratio
  3.005  MATH         Dev = "HP 8560"
  3.006  MATH         Conf = CONF(Dev)
#  3.012  M8560  ATTEN 30dB
# Do one sweep to set attenuation.
#  3.012  8560         0D                           2GH                  N

  3.007  IF           @Opt_15
  3.008  MATH         Spec = -70.0
  3.009  ELSE
  3.010  MATH         Spec = -80.0
  3.011  ENDIF

  3.012  IF           @Opt_4 || @Opt_5
  3.013  HEAD         -2 0.01 GHz
  3.014  MATH         @FreqGHz = 0.01
  3.015  CALL         Sub MG369XB Set Max Power
  3.016  MATH         @L1 = @MaxPower
  3.017  M8560  VIDAV 5avg
  3.018  M8560  START 0.00995GH                    0.01005GH
  3.019  JMPL         CHECK_UUT_8560_CON

# Make sure picture is re-displayed if Repeat or Cancel is selected.
  3.020  TARGET       -p
  3.021  MATH         @MG369XB_8560_Con = ""

  3.022  LABEL        CHECK_UUT_8560_CON

  3.023  IF           EMPTY(@MG369XB_8560_Con)
  3.024  CALL         Sub MG369XB Connection /8560
  3.025  HEAD         -2 0.01 GHz
  3.026  ENDIF

  3.027  CALL         Sub MG369XB Reset & SRQ Masks
  3.028  TSET         TDESC = 0.01 GHz; MEAS = SA
  3.029  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  3.030  TARGET       -m
  3.031  IEEE         P0[D200]
  3.032  MATH         MEM = @L1
  3.033  M8560                                     D                    X
  3.034  8560         0.01GH                       D                    N
  3.035  MATH         @Freq = MEM * 1E+9
  3.036  IEEE         XP[D200]
  3.037  MATH         MEM1 = Spec
  3.038  8560         dB                           0H             MK AF N
  3.039  CALL         Sub MG369XB Log Scale FI Acc /8560
  3.040  ACC    -80   dB             M1U                                   +DW
  3.041  MATH         MEM1 = Spec
  3.042  MEMC         dB             -0.0U +100.0U 0.01GH

  4.001  HEAD         -2 1.0 GHz
  4.002  MATH         @FreqGHz = 1.0
  4.003  CALL         Sub MG369XB Set Max Power
  4.004  MATH         @L1 = @MaxPower
  4.005  M8560  START 0.99995GH                    1.00005GH
  4.006  TARGET       -p
  4.007  TSET         TDESC = 1.0 GHz; MEAS = SA
  4.008  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  4.009  TARGET       -m
  4.010  IEEE         P0[D200]
  4.011  MATH         MEM = @L1
  4.012  M8560                                     D                    X
  4.013  8560         1.0GH                        D                    N
  4.014  MATH         @Freq = MEM * 1E+9
  4.015  IEEE         XP[D200]
  4.016  MATH         MEM1 = Spec
  4.017  8560         dB                           0H             MK AF N
  4.018  CALL         Sub MG369XB Log Scale FI Acc /8560
  4.019  ACC    -80   dB             M1U                                   +DW
  4.020  MATH         MEM1 = Spec
  4.021  MEMC         dB             -0.0U +100.0U 1.0GH

  5.001  HEAD         -2 1.4 GHz
  5.002  MATH         @FreqGHz = 1.4
  5.003  CALL         Sub MG369XB Set Max Power
  5.004  MATH         @L1 = @MaxPower
  5.005  M8560  START 1.39995GH                    1.40005GH
  5.006  TARGET       -p
  5.007  TSET         TDESC = 1.4 GHz; MEAS = SA
  5.008  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  5.009  TARGET       -m
  5.010  IEEE         P0[D200]
  5.011  MATH         MEM = @L1
  5.012  M8560                                     D                    X
  5.013  8560         1.4GH                        D                    N
  5.014  MATH         @Freq = MEM * 1E+9
  5.015  IEEE         XP[D200]
  5.016  MATH         MEM1 = Spec
  5.017  8560         dB                           0H             MK AF N
  5.018  CALL         Sub MG369XB Log Scale FI Acc /8560
  5.019  ACC    -80   dB             M1U                                   +DW
  5.020  MATH         MEM1 = Spec
  5.021  MEMC         dB             -0.0U +100.0U 1.4GH
  6.001  ENDIF        ; IF @Opt_4 || @Opt_5

  6.002  HEAD         -2 2.0 GHz
  6.003  MATH         @FreqGHz = 2.0
  6.004  CALL         Sub MG369XB Set Max Power
  6.005  MATH         @L1 = @MaxPower
  6.006  M8560  VIDAV 5avg
  6.007  M8560  START 1.99995GH                    2.00005GH
  6.008  TARGET       -p
  6.009  JMPL         CHECK_UUT_8560_CON_2.0_GHz

# Make sure picture is re-displayed if Repeat or Cancel is selected.
  6.010  TARGET       -p
  6.011  MATH         @MG369XB_8560_Con = ""

  6.012  LABEL        CHECK_UUT_8560_CON_2.0_GHz

  6.013  IF           EMPTY(@MG369XB_8560_Con)
  6.014  CALL         Sub MG369XB Connection /8560
  6.015  HEAD         -2 2.0 GHz
  6.016  ENDIF

  6.017  CALL         Sub MG369XB Reset & SRQ Masks
  6.018  TSET         TDESC = 2.0 GHz; MEAS = SA
  6.019  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  6.020  TARGET       -m
  6.021  IEEE         P0[D200]
  6.022  MATH         MEM = @L1
  6.023  M8560                                     D                    X
  6.024  8560         2.0GH                        D                    N
  6.025  MATH         @Freq = MEM * 1E+9
  6.026  IEEE         XP[D200]
  6.027  MATH         MEM1 = Spec
  6.028  8560         dB                           0H             MK AF N
  6.029  CALL         Sub MG369XB Log Scale FI Acc /8560
  6.030  ACC    -80   dB             M1U                                   +DW
  6.031  MATH         MEM1 = Spec
  6.032  MEMC         dB             -0.0U +100.0U 2.0GH

  7.001  HEAD         -2 2.2 GHz
  7.002  MATH         @FreqGHz = 2.2
  7.003  CALL         Sub MG369XB Set Max Power
  7.004  MATH         @L1 = @MaxPower
  7.005  M8560  START 2.19995GH                    2.20005GH
  7.006  TARGET       -p
  7.007  TSET         TDESC = 2.2 GHz; MEAS = SA
  7.008  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  7.009  TARGET       -m
  7.010  IEEE         P0[D200]
  7.011  MATH         MEM = @L1
  7.012  M8560                                     D                    X
  7.013  8560         2.2GH                        D                    N
  7.014  MATH         @Freq = MEM * 1E+9
  7.015  IEEE         XP[D200]
  7.016  MATH         MEM1 = Spec
  7.017  8560         dB                           0H             MK AF N
  7.018  CALL         Sub MG369XB Log Scale FI Acc /8560
  7.019  ACC    -80   dB             M1U                                   +DW
  7.020  MATH         MEM1 = Spec
  7.021  MEMC         dB             -0.0U +100.0U 2.2GH

  8.001  HEAD         -2 2.3 GHz
  8.002  MATH         @FreqGHz = 2.3
  8.003  CALL         Sub MG369XB Set Max Power
  8.004  MATH         @L1 = @MaxPower
  8.005  M8560  START 2.29995GH                    2.30005GH
  8.006  TARGET       -p
  8.007  TSET         TDESC = 2.3 GHz; MEAS = SA
  8.008  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  8.009  TARGET       -m
  8.010  IEEE         P0[D200]
  8.011  MATH         MEM = @L1
  8.012  M8560                                     D                    X
  8.013  8560         2.3GH                        D                    N
  8.014  MATH         @Freq = MEM * 1E+9
  8.015  IEEE         XP[D200]
  8.016  MATH         MEM1 = Spec
  8.017  8560         dB                           0H             MK AF N
  8.018  CALL         Sub MG369XB Log Scale FI Acc /8560
  8.019  ACC    -80   dB             M1U                                   +DW
  8.020  MATH         MEM1 = Spec
  8.021  MEMC         dB             -0.0U +100.0U 2.3GH

  9.001  M8560  VIDAV 10avg

  9.002  IF           @856x_MaxFreq < 5.0E+9
  9.003  RSLT         = 5.0 GHz not tested!
  9.004  ELSE
  9.005  HEAD         -2 5.0 GHz
  9.006  MATH         @FreqGHz = 5.0
  9.007  CALL         Sub MG369XB Set Max Power
  9.008  MATH         @L1 = @MaxPower
  9.009  M8560  START 4.99995GH                    5.00005GH
  9.010  TARGET       -p
  9.011  TSET         TDESC = 5.0 GHz; MEAS = SA
  9.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
  9.013  TARGET       -m
  9.014  IEEE         P0[D200]
  9.015  MATH         MEM = @L1
  9.016  M8560                                     D                    X
  9.017  8560         5.0GH                        D                    N
  9.018  MATH         @Freq = MEM * 1E+9
  9.019  IEEE         XP[D200]
  9.020  MATH         MEM1 = Spec
  9.021  8560         dB                           0H             MK AF N
  9.022  CALL         Sub MG369XB Log Scale FI Acc /8560
  9.023  ACC    -80   dB             M1U                                   +DW
  9.024  MATH         MEM1 = Spec
  9.025  MEMC         dB             -0.0U +100.0U 5.0GH
 10.001  ENDIF

 10.002  IF           @856x_MaxFreq < 8.3E+9
 10.003  RSLT         = 8.3 GHz not tested!
 10.004  ELSE
 10.005  HEAD         -2 8.3 GHz
 10.006  MATH         @FreqGHz = 8.3
 10.007  CALL         Sub MG369XB Set Max Power
 10.008  MATH         @L1 = @MaxPower
 10.009  M8560  START 8.29995GH                    8.30005GH
 10.010  TARGET       -p
 10.011  TSET         TDESC = 8.3 GHz; MEAS = SA
 10.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 10.013  TARGET       -m
 10.014  IEEE         P0[D200]
 10.015  MATH         MEM = @L1
 10.016  M8560                                     D                    X
 10.017  8560         8.3GH                        D                    N
 10.018  MATH         @Freq = MEM * 1E+9
 10.019  IEEE         XP[D200]
 10.020  MATH         MEM1 = Spec
 10.021  8560         dB                           0H             MK AF N
 10.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 10.023  ACC    -80   dB             M1U                                   +DW
 10.024  MATH         MEM1 = Spec
 10.025  MEMC         dB             -0.0U +100.0U 8.3GH
 11.001  ENDIF

 11.002  IF           @856x_MaxFreq < 8.4E+9
 11.003  RSLT         = 8.4 GHz not tested!
 11.004  ELSE
 11.005  HEAD         -2 8.4 GHz
 11.006  MATH         @FreqGHz = 8.4
 11.007  CALL         Sub MG369XB Set Max Power
 11.008  MATH         @L1 = @MaxPower
 11.009  M8560  START 8.39995GH                    8.40005GH
 11.010  TARGET       -p
 11.011  TSET         TDESC = 8.4 GHz; MEAS = SA
 11.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 11.013  TARGET       -m
 11.014  IEEE         P0[D200]
 11.015  MATH         MEM = @L1
 11.016  M8560                                     D                    X
 11.017  8560         8.4GH                        D                    N
 11.018  MATH         @Freq = MEM * 1E+9
 11.019  IEEE         XP[D200]
 11.020  MATH         MEM1 = Spec
 11.021  8560         dB                           0H             MK AF N
 11.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 11.023  ACC    -80   dB             M1U                                   +DW
 11.024  MATH         MEM1 = Spec
 11.025  MEMC         dB             -0.0U +100.0U 8.4GH
 12.001  ENDIF

 12.002  IF           @MaxFreq > 10E+9
 12.003  M8560  VIDAV 20avg

 12.004  IF           @856x_MaxFreq < 14.0E+9
 12.005  RSLT         = 14.0 GHz not tested!
 12.006  ELSE
 12.007  HEAD         -2 14.0 GHz
 12.008  MATH         @FreqGHz = 14.0
 12.009  CALL         Sub MG369XB Set Max Power
 12.010  MATH         @L1 = @MaxPower
 12.011  M8560  START 13.99995GH                   14.00005GH
 12.012  TARGET       -p
 12.013  TSET         TDESC = 14.0 GHz; MEAS = SA
 12.014  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 12.015  TARGET       -m
 12.016  IEEE         P0[D200]
 12.017  MATH         MEM = @L1
 12.018  M8560                                     D                    X
 12.019  8560         14.0GH                       D                    N
 12.020  MATH         @Freq = MEM * 1E+9
 12.021  IEEE         XP[D200]
 12.022  MATH         MEM1 = Spec
 12.023  8560         dB                           0H             MK AF N
 12.024  CALL         Sub MG369XB Log Scale FI Acc /8560
 12.025  ACC    -80   dB             M1U                                   +DW
 12.026  MATH         MEM1 = Spec
 12.027  MEMC         dB             -0.0U +100.0U 14.0GH
 13.001  ENDIF

 13.002  IF           @856x_MaxFreq < 20.0E+9
 13.003  RSLT         = 20.0 GHz not tested!
 13.004  ELSE
 13.005  HEAD         -2 20.0 GHz
 13.006  MATH         @FreqGHz = 20.0
 13.007  CALL         Sub MG369XB Set Max Power
 13.008  MATH         @L1 = @MaxPower
 13.009  M8560  START 19.99995GH                   20.00005GH
 13.010  TARGET       -p
 13.011  TSET         TDESC = 20.0 GHz; MEAS = SA
 13.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 13.013  TARGET       -m
 13.014  IEEE         P0[D200]
 13.015  MATH         MEM = @L1
 13.016  M8560                                     D                    X
 13.017  8560         20.0GH                       D                    N
 13.018  MATH         @Freq = MEM * 1E+9
 13.019  IEEE         XP[D200]
 13.020  MATH         MEM1 = Spec
 13.021  8560         dB                           0H             MK AF N
 13.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 13.023  ACC    -80   dB             M1U                                   +DW
 13.024  MATH         MEM1 = Spec
 13.025  MEMC         dB             -0.0U +100.0U 20.0GH
 14.001  ENDIF

 14.002  IF           @MaxFreq > 20E+9

 14.003  IF           @856x_MaxFreq < 23.0E+9
 14.004  RSLT         = 23.0 GHz not tested!
 14.005  ELSE
 14.006  HEAD         -2 23.0 GHz
 14.007  MATH         @FreqGHz = 23.0
 14.008  CALL         Sub MG369XB Set Max Power
 14.009  MATH         @L1 = @MaxPower
 14.010  M8560  START 22.99995GH                   23.00005GH
 14.011  TARGET       -p
 14.012  TSET         TDESC = 23.0 GHz; MEAS = SA
 14.013  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 14.014  TARGET       -m
 14.015  IEEE         P0[D200]
 14.016  MATH         MEM = @L1
 14.017  M8560                                     D                    X
 14.018  8560         23.0GH                       D                    N
 14.019  MATH         @Freq = MEM * 1E+9
 14.020  IEEE         XP[D200]
 14.021  MATH         MEM1 = Spec
 14.022  8560         dB                           0H             MK AF N
 14.023  CALL         Sub MG369XB Log Scale FI Acc /8560
 14.024  ACC    -80   dB             M1U                                   +DW
 14.025  MATH         MEM1 = Spec
 14.026  MEMC         dB             -0.0U +100.0U 23.0GH
 15.001  ENDIF

 15.002  IF           @856x_MaxFreq < 26.5E+9
 15.003  RSLT         = 26.5 GHz not tested!
 15.004  ELSE
 15.005  HEAD         -2 26.5 GHz
 15.006  MATH         @FreqGHz = 26.5
 15.007  CALL         Sub MG369XB Set Max Power
 15.008  MATH         @L1 = @MaxPower
 15.009  M8560  START 26.49995GH                   26.50005GH
 15.010  TARGET       -p
 15.011  TSET         TDESC = 26.5 GHz; MEAS = SA
 15.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 15.013  TARGET       -m
 15.014  IEEE         P0[D200]
 15.015  MATH         MEM = @L1
 15.016  M8560                                     D                    X
 15.017  8560         26.5GH                       D                    N
 15.018  MATH         @Freq = MEM * 1E+9
 15.019  IEEE         XP[D200]
 15.020  MATH         MEM1 = Spec
 15.021  8560         dB                           0H             MK AF N
 15.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 15.023  ACC    -80   dB             M1U                                   +DW
 15.024  MATH         MEM1 = Spec
 15.025  MEMC         dB             -0.0U +100.0U 26.5GH
 16.001  ENDIF

 16.002  IF           @856x_MaxFreq < 30.0E+9
 16.003  RSLT         = 30.0 GHz not tested!
 16.004  ELSE
 16.005  HEAD         -2 30.0 GHz
 16.006  MATH         @FreqGHz = 30.0
 16.007  CALL         Sub MG369XB Set Max Power
 16.008  MATH         @L1 = @MaxPower
 16.009  M8560  START 29.99995GH                   30.00005GH
 16.010  TARGET       -p
 16.011  TSET         TDESC = 30.0 GHz; MEAS = SA
 16.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 16.013  TARGET       -m
 16.014  IEEE         P0[D200]
 16.015  MATH         MEM = @L1
 16.016  M8560                                     D                    X
 16.017  8560         30.0GH                       D                    N
 16.018  MATH         @Freq = MEM * 1E+9
 16.019  IEEE         XP[D200]
 16.020  MATH         MEM1 = Spec
 16.021  8560         dB                           0H             MK AF N
 16.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 16.023  ACC    -80   dB             M1U                                   +DW
 16.024  MATH         MEM1 = Spec
 16.025  MEMC         dB             -0.0U +100.0U 30.0GH
 17.001  ENDIF

 17.002  IF           @MaxFreq > 30E+9

 17.003  IF           @856x_MaxFreq < 33.0E+9
 17.004  RSLT         = 33.0 GHz not tested!
 17.005  ELSE
 17.006  HEAD         -2 33.0 GHz
 17.007  MATH         @FreqGHz = 33.0
 17.008  CALL         Sub MG369XB Set Max Power
 17.009  MATH         @L1 = @MaxPower
 17.010  M8560  START 32.99995GH                   33.00005GH
 17.011  TARGET       -p
 17.012  TSET         TDESC = 33.0 GHz; MEAS = SA
 17.013  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 17.014  TARGET       -m
 17.015  IEEE         P0[D200]
 17.016  MATH         MEM = @L1
 17.017  M8560                                     D                    X
 17.018  8560         33.0GH                       D                    N
 17.019  MATH         @Freq = MEM * 1E+9
 17.020  IEEE         XP[D200]
 17.021  MATH         MEM1 = Spec
 17.022  8560         dB                           0H             MK AF N
 17.023  CALL         Sub MG369XB Log Scale FI Acc /8560
 17.024  ACC    -80   dB             M1U                                   +DW
 17.025  MATH         MEM1 = Spec
 17.026  MEMC         dB             -0.0U +100.0U 33.0GH
 18.001  ENDIF

 18.002  IF           @856x_MaxFreq < 36.0E+9
 18.003  RSLT         = 36.0 GHz not tested!
 18.004  ELSE
 18.005  HEAD         -2 36.0 GHz
 18.006  MATH         @FreqGHz = 36.0
 18.007  CALL         Sub MG369XB Set Max Power
 18.008  MATH         @L1 = @MaxPower
 18.009  M8560  START 35.99995GH                   36.00005GH
 18.010  TARGET       -p
 18.011  TSET         TDESC = 36.0 GHz; MEAS = SA
 18.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 18.013  TARGET       -m
 18.014  IEEE         P0[D200]
 18.015  MATH         MEM = @L1
 18.016  M8560                                     D                    X
 18.017  8560         36.0GH                       D                    N
 18.018  MATH         @Freq = MEM * 1E+9
 18.019  IEEE         XP[D200]
 18.020  MATH         MEM1 = Spec
 18.021  8560         dB                           0H             MK AF N
 18.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 18.023  ACC    -80   dB             M1U                                   +DW
 18.024  MATH         MEM1 = Spec
 18.025  MEMC         dB             -0.0U +100.0U 36.0GH
 19.001  ENDIF

 19.002  IF           @856x_MaxFreq < 40.0E+9
 19.003  RSLT         = 40.0 GHz not tested!
 19.004  ELSE
 19.005  HEAD         -2 40.0 GHz
 19.006  MATH         @FreqGHz = 40.0
 19.007  CALL         Sub MG369XB Set Max Power
 19.008  MATH         @L1 = @MaxPower
 19.009  M8560  START 39.99995GH                   40.00005GH
 19.010  TARGET       -p
 19.011  TSET         TDESC = 40.0 GHz; MEAS = SA
 19.012  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 19.013  TARGET       -m
 19.014  IEEE         P0[D200]
 19.015  MATH         MEM = @L1
 19.016  M8560                                     D                    X
 19.017  8560         40.0GH                       D                    N
 19.018  MATH         @Freq = MEM * 1E+9
 19.019  IEEE         XP[D200]
 19.020  MATH         MEM1 = Spec
 19.021  8560         dB                           0H             MK AF N
 19.022  CALL         Sub MG369XB Log Scale FI Acc /8560
 19.023  ACC    -80   dB             M1U                                   +DW
 19.024  MATH         MEM1 = Spec
 19.025  MEMC         dB             -0.0U +100.0U 40.0GH
 20.001  ENDIF

 20.002  IF           @MaxFreq > 40E+9

 20.003  IF           @856x_MaxFreq < 50.0E+9
 20.004  RSLT         = 50.0 GHz not tested!
 20.005  ELSE
 20.006  HEAD         -2 50.0 GHz
 20.007  MATH         @FreqGHz = 50.0
 20.008  CALL         Sub MG369XB Set Max Power
 20.009  MATH         @L1 = @MaxPower
 20.010  M8560  START 49.99995GH                   50.0000GH
 20.011  TARGET       -p
 20.012  TSET         TDESC = 50.0 GHz; MEAS = SA
 20.013  IEEE         CF1[V @FreqGHz]GHL1[V @L1]DMXPEP0[D200]RF1[D200]
 20.014  TARGET       -m
 20.015  IEEE         P0[D200]
 20.016  MATH         MEM = @L1
 20.017  M8560                                     D                    X
 20.018  8560         50.0GH                       D                    N
 20.019  MATH         @Freq = MEM * 1E+9
 20.020  IEEE         XP[D200]
 20.021  MATH         MEM1 = Spec
 20.022  8560         dB                           0H             MK AF N
 20.023  CALL         Sub MG369XB Log Scale FI Acc /8560
 20.024  ACC    -80   dB             M1U                                   +DW
 20.025  MATH         MEM1 = Spec
 20.026  MEMC         dB             -0.0U +100.0U 50.0GH
 21.001  ENDIF

 21.002  ENDIF        ; @MaxFreq > 40E+9

 21.003  ENDIF        ; @MaxFreq > 30E+9

 21.004  ENDIF        ; @MaxFreq > 20E+9

 21.005  ENDIF        ; @MaxFreq > 10E+9

 21.006  LABEL        DONE
 21.007  HEAD
 21.008  HEAD         -2
 21.009  CALL         Sub MG369XB Reset & SRQ Masks
 21.010  M8560        *
 21.011  8560         *                                                 S
 21.012  END
