﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB (2 yr) Phase Noise /PN9000,LO
DATE:                  2009-10-13 12:51:11
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       502
CONFIGURATION:         Anritsu 68369B
STANDARD:              Aeroflex PN9000
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  STD          Aeroflex PN9000

  1.002  IF           0
  1.003  IEEE         [@LO]
  1.004  ENDIF

  1.005  RSLT         =
  1.006  RSLT         =SINGLE SIDEBAND PHASE NOISE
  1.007  HEAD         SINGLE SIDEBAND PHASE NOISE

  1.008  CALL         Sub MG369XB Init PN9000 Results

  1.009  IF           ZCMPI(@MG369XB_PN9000_Result_Location, "")
  1.010  END
  1.011  ENDIF

# ------------------  With Option 3  ----------------------------------------

  1.012  IF           @Opt_3

  1.013  IF           @Opt_4
  1.014  MATH         @UL_10Hz   = -105
  1.015  MATH         @UL_100Hz  = -126
  1.016  MATH         @UL_1kHz   = -139
  1.017  MATH         @UL_10kHz  = -142
  1.018  MATH         @UL_100kHz = -141
  1.019  MATH         @UL_1MHz   = -145

  1.020  MATH         @TestFreq = "15 MHz"; @LO_Freq = "15.1 MHz"
  1.021  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.022  MATH         @UL_10Hz   = -99
  1.023  MATH         @UL_100Hz  = -120
  1.024  MATH         @UL_1kHz   = -134
  1.025  MATH         @UL_10kHz  = -137
  1.026  MATH         @UL_100kHz = -137
  1.027  MATH         @UL_1MHz   = -145

  1.028  MATH         @TestFreq = "30 MHz"; @LO_Freq = "30.1 MHz"
  1.029  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.030  MATH         @UL_10Hz   = -90
  1.031  MATH         @UL_100Hz  = -114
  1.032  MATH         @UL_1kHz   = -129
  1.033  MATH         @UL_10kHz  = -136
  1.034  MATH         @UL_100kHz = -136
  1.035  MATH         @UL_1MHz   = -144

  1.036  MATH         @TestFreq = "60 MHz"; @LO_Freq = "60.1 MHz"
  1.037  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.038  MATH         @UL_10Hz   = -88
  1.039  MATH         @UL_100Hz  = -108
  1.040  MATH         @UL_1kHz   = -127
  1.041  MATH         @UL_10kHz  = -135
  1.042  MATH         @UL_100kHz = -133
  1.043  MATH         @UL_1MHz   = -144

  1.044  MATH         @TestFreq = "120 MHz"; @LO_Freq = "120.1 MHz"
  1.045  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.046  MATH         @UL_10Hz   = -84
  1.047  MATH         @UL_100Hz  = -102
  1.048  MATH         @UL_1kHz   = -125
  1.049  MATH         @UL_10kHz  = -132
  1.050  MATH         @UL_100kHz = -130
  1.051  MATH         @UL_1MHz   = -143

  1.052  MATH         @TestFreq = "250 MHz"; @LO_Freq = "250.1 MHz"
  1.053  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.054  MATH         @UL_10Hz   = -77
  1.055  MATH         @UL_100Hz  = -99
  1.056  MATH         @UL_1kHz   = -123
  1.057  MATH         @UL_10kHz  = -125
  1.058  MATH         @UL_100kHz = -124
  1.059  MATH         @UL_1MHz   = -142

  1.060  MATH         @TestFreq = "499 MHz"; @LO_Freq = "499.1 MHz"
  1.061  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.062  MATH         @UL_10Hz   = -66
  1.063  MATH         @UL_100Hz  = -86
  1.064  MATH         @UL_1kHz   = -112
  1.065  MATH         @UL_10kHz  = -115
  1.066  MATH         @UL_100kHz = -113
  1.067  MATH         @UL_1MHz   = -135

  1.068  MATH         @TestFreq = "2.19 GHz"; @LO_Freq = "2.09 GHz"
  1.069  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.070  ELSEIF       @Opt_5
  1.071  MATH         @UL_10Hz   = -64
  1.072  MATH         @UL_100Hz  = -83
  1.073  MATH         @UL_1kHz   = -100
  1.074  MATH         @UL_10kHz  = -102
  1.075  MATH         @UL_100kHz = -102
  1.076  MATH         @UL_1MHz   = -111

  1.077  MATH         @TestFreq = "600 MHz"; @LO_Freq = "600.1 MHz"
  1.078  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.079  MATH         @TestFreq = "1.99 GHz"; @LO_Freq = "2.09 GHz"
  1.080  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.081  ENDIF

  1.082  MATH         @UL_10Hz   = -54
  1.083  MATH         @UL_100Hz  = -77
  1.084  MATH         @UL_1kHz   = -104
  1.085  MATH         @UL_10kHz  = -108
  1.086  MATH         @UL_100kHz = -107
  1.087  MATH         @UL_1MHz   = -130

  1.088  IF           NOT(@Opt_4)
  1.089  MATH         @TestFreq = "2.01 GHz"; @LO_Freq = "1.91 GHz"
  1.090  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.091  ENDIF

  1.092  MATH         @TestFreq = "6 GHz"; @LO_Freq = "6 GHz"
  1.093  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.094  MATH         @UL_10Hz   = -52
  1.095  MATH         @UL_100Hz  = -73
  1.096  MATH         @UL_1kHz   = -100
  1.097  MATH         @UL_10kHz  = -107
  1.098  MATH         @UL_100kHz = -107
  1.099  MATH         @UL_1MHz   = -128

  1.100  IF           @MG3691B
  1.101  MATH         @TestFreq = "8 GHz"; @LO_Freq = "8 GHz"
  1.102  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.103  ENDIF

  1.104  MATH         @TestFreq = "10 GHz"; @LO_Freq = "10 GHz"
  1.105  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.106  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.107  MATH         @UL_10Hz   = -45
  1.108  MATH         @UL_100Hz  = -68
  1.109  MATH         @UL_1kHz   = -94
  1.110  MATH         @UL_10kHz  = -102
  1.111  MATH         @UL_100kHz = -102
  1.112  MATH         @UL_1MHz   = -125

  1.113  MATH         @TestFreq = "19.99 GHz"; @LO_Freq = "19.99 GHz"
  1.114  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.115  ENDIF

  1.116  IF           @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.117  MATH         @UL_10Hz   = -45
  1.118  MATH         @UL_100Hz  = -63
  1.119  MATH         @UL_1kHz   = -92
  1.120  MATH         @UL_10kHz  = -98
  1.121  MATH         @UL_100kHz = -98
  1.122  MATH         @UL_1MHz   = -119

  1.123  MATH         @TestFreq = "20.01 GHz"; @LO_Freq = "20.01 GHz"
  1.124  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.125  MATH         @TestFreq = "25 GHz"; @LO_Freq = "25 GHz"
  1.126  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.127  ENDIF

# ------------------  With Option 30  ---------------------------------------

  1.128  ELSEIF       @Opt_30

  1.129  IF           @Opt_4
  1.130  MATH         @UL_10Hz   = -77
  1.131  MATH         @UL_100Hz  = -99
  1.132  MATH         @UL_1kHz   = -110
  1.133  MATH         @UL_10kHz  = -110
  1.134  MATH         @UL_100kHz = -122
  1.135  MATH         @UL_1MHz   = -142

  1.136  MATH         @TestFreq = "15 MHz"; @LO_Freq = "15.1 MHz"
  1.137  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.138  MATH         @TestFreq = "30 MHz"; @LO_Freq = "30.1 MHz"
  1.139  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.140  MATH         @TestFreq = "60 MHz"; @LO_Freq = "60.1 MHz"
  1.141  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.142  MATH         @TestFreq = "120 MHz"; @LO_Freq = "120.1 MHz"
  1.143  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.144  MATH         @TestFreq = "250 MHz"; @LO_Freq = "250.1 MHz"
  1.145  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.146  MATH         @TestFreq = "499 MHz"; @LO_Freq = "499.1 MHz"
  1.147  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.148  MATH         @UL_10Hz   = -64
  1.149  MATH         @UL_100Hz  = -86
  1.150  MATH         @UL_1kHz   = -98
  1.151  MATH         @UL_10kHz  = -98
  1.152  MATH         @UL_100kHz = -110
  1.153  MATH         @UL_1MHz   = -135

  1.154  MATH         @TestFreq = "2.19 GHz"; @LO_Freq = "2.09 GHz"
  1.155  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.156  ELSEIF       @Opt_5
  1.157  MATH         @UL_10Hz   = -64
  1.158  MATH         @UL_100Hz  = -83
  1.159  MATH         @UL_1kHz   = -93
  1.160  MATH         @UL_10kHz  = -93
  1.161  MATH         @UL_100kHz = -100
  1.162  MATH         @UL_1MHz   = -111

  1.163  MATH         @TestFreq = "600 MHz"; @LO_Freq = "600.1 MHz"
  1.164  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.165  MATH         @TestFreq = "1.99 GHz"; @LO_Freq = "2.09 GHz"
  1.166  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.167  ENDIF

  1.168  MATH         @UL_10Hz   = -54
  1.169  MATH         @UL_100Hz  = -77
  1.170  MATH         @UL_1kHz   = -93
  1.171  MATH         @UL_10kHz  = -93
  1.172  MATH         @UL_100kHz = -102
  1.173  MATH         @UL_1MHz   = -130

  1.174  IF           NOT(@Opt_4)
  1.175  MATH         @TestFreq = "2.01 GHz"; @LO_Freq = "1.91 GHz"
  1.176  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.177  ENDIF

  1.178  MATH         @TestFreq = "6 GHz"; @LO_Freq = "6 GHz"
  1.179  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.180  MATH         @UL_10Hz   = -52
  1.181  MATH         @UL_100Hz  = -73
  1.182  MATH         @UL_1kHz   = -93
  1.183  MATH         @UL_10kHz  = -93
  1.184  MATH         @UL_100kHz = -105
  1.185  MATH         @UL_1MHz   = -128

  1.186  IF           @MG3691B
  1.187  MATH         @TestFreq = "8 GHz"; @LO_Freq = "8 GHz"
  1.188  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.189  ENDIF

  1.190  MATH         @TestFreq = "10 GHz"; @LO_Freq = "10 GHz"
  1.191  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.192  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.193  MATH         @UL_10Hz   = -45
  1.194  MATH         @UL_100Hz  = -68
  1.195  MATH         @UL_1kHz   = -86
  1.196  MATH         @UL_10kHz  = -86
  1.197  MATH         @UL_100kHz = -100
  1.198  MATH         @UL_1MHz   = -125

  1.199  MATH         @TestFreq = "19.99 GHz"; @LO_Freq = "19.99 GHz"
  1.200  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.201  ENDIF

  1.202  IF           @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.203  MATH         @UL_10Hz   = -45
  1.204  MATH         @UL_100Hz  = -63
  1.205  MATH         @UL_1kHz   = -80
  1.206  MATH         @UL_10kHz  = -80
  1.207  MATH         @UL_100kHz = -94
  1.208  MATH         @UL_1MHz   = -119

  1.209  MATH         @TestFreq = "20.01 GHz"; @LO_Freq = "20.01 GHz"
  1.210  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.211  MATH         @TestFreq = "25 GHz"; @LO_Freq = "25 GHz"
  1.212  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.213  ENDIF

# ------------------  Without Option 3 or 30  -------------------------------

  1.214  ELSE

  1.215  IF           @Opt_4
  1.216  MATH         @UL_100Hz  = -94
  1.217  MATH         @UL_1kHz   = -106
  1.218  MATH         @UL_10kHz  = -104
  1.219  MATH         @UL_100kHz = -120

  1.220  MATH         @TestFreq = "15 MHz"; @LO_Freq = "15.1 MHz"
  1.221  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.222  MATH         @TestFreq = "30 MHz"; @LO_Freq = "30.1 MHz"
  1.223  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.224  MATH         @TestFreq = "60 MHz"; @LO_Freq = "60.1 MHz"
  1.225  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.226  MATH         @TestFreq = "120 MHz"; @LO_Freq = "120.1 MHz"
  1.227  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.228  MATH         @TestFreq = "250 MHz"; @LO_Freq = "250.1 MHz"
  1.229  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.230  MATH         @TestFreq = "499 MHz"; @LO_Freq = "499.1 MHz"
  1.231  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.232  MATH         @UL_100Hz  = -82
  1.233  MATH         @UL_1kHz   = -94
  1.234  MATH         @UL_10kHz  = -92
  1.235  MATH         @UL_100kHz = -108

  1.236  MATH         @TestFreq = "2.19 GHz"; @LO_Freq = "2.09 GHz"
  1.237  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.238  ELSEIF       @Opt_5
  1.239  MATH         @UL_100Hz  = -77
  1.240  MATH         @UL_1kHz   = -88
  1.241  MATH         @UL_10kHz  = -85
  1.242  MATH         @UL_100kHz = -100

  1.243  MATH         @TestFreq = "600 MHz"; @LO_Freq = "600.1 MHz"
  1.244  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.245  MATH         @TestFreq = "1.99 GHz"; @LO_Freq = "2.09 GHz"
  1.246  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.247  ENDIF

  1.248  MATH         @UL_100Hz  = -77
  1.249  MATH         @UL_1kHz   = -88
  1.250  MATH         @UL_10kHz  = -86
  1.251  MATH         @UL_100kHz = -102

  1.252  IF           NOT(@Opt_4)
  1.253  MATH         @TestFreq = "2.01 GHz"; @LO_Freq = "1.91 GHz"
  1.254  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.255  ENDIF

  1.256  MATH         @TestFreq = "6 GHz"; @LO_Freq = "6 GHz"
  1.257  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.258  MATH         @UL_100Hz  = -73
  1.259  MATH         @UL_1kHz   = -86
  1.260  MATH         @UL_10kHz  = -83
  1.261  MATH         @UL_100kHz = -102

  1.262  IF           @MG3691B
  1.263  MATH         @TestFreq = "8 GHz"; @LO_Freq = "8 GHz"
  1.264  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.265  ENDIF

  1.266  MATH         @TestFreq = "10 GHz"; @LO_Freq = "10 GHz"
  1.267  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.268  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.269  MATH         @UL_100Hz  = -66
  1.270  MATH         @UL_1kHz   = -78
  1.271  MATH         @UL_10kHz  = -77
  1.272  MATH         @UL_100kHz = -100

  1.273  MATH         @TestFreq = "19.99 GHz"; @LO_Freq = "19.99 GHz"
  1.274  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.275  ENDIF

  1.276  IF           @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.277  MATH         @UL_100Hz  = -60
  1.278  MATH         @UL_1kHz   = -75
  1.279  MATH         @UL_10kHz  = -72
  1.280  MATH         @UL_100kHz = -94

  1.281  MATH         @TestFreq = "20.01 GHz"; @LO_Freq = "20.01 GHz"
  1.282  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO

  1.283  MATH         @TestFreq = "25 GHz"; @LO_Freq = "25 GHz"
  1.284  CALL         Sub MG369XB (2 yr) Single Sideband PN Test /PN9000,LO
  1.285  ENDIF

  1.286  ENDIF

  1.287  RSLT         =
  1.288  RSLT         = Power Line and Fan Rotation Emissions
  1.289  HEAD         POWER LINE AND FAN ROTATION EMISSIONS

  1.290  IF           @Opt_4
  1.291  MATH         @UL_LT_300Hz   = -68
  1.292  MATH         @UL_300Hz_1kHz = -72
  1.293  MATH         @UL_GT_1kHz    = -72

  1.294  MATH         @TestFreq = "15 MHz"; @LO_Freq = "600.1 MHz"
  1.295  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.296  MATH         @TestFreq = "30 MHz"; @LO_Freq = "30.1 MHz"
  1.297  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.298  MATH         @TestFreq = "60 MHz"; @LO_Freq = "60.1 MHz"
  1.299  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.300  MATH         @TestFreq = "120 MHz"; @LO_Freq = "120.1 MHz"
  1.301  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.302  MATH         @TestFreq = "250 MHz"; @LO_Freq = "250.1 MHz"
  1.303  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.304  MATH         @TestFreq = "499 MHz"; @LO_Freq = "499.1 MHz"
  1.305  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.306  MATH         @UL_LT_300Hz   = -56
  1.307  MATH         @UL_300Hz_1kHz = -66
  1.308  MATH         @UL_GT_1kHz    = -66

  1.309  MATH         @TestFreq = "2.19 GHz"; @LO_Freq = "2.09 GHz"
  1.310  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.311  ELSEIF       @Opt_5
  1.312  MATH         @UL_LT_300Hz   = -50
  1.313  MATH         @UL_300Hz_1kHz = -60
  1.314  MATH         @UL_GT_1kHz    = -60

  1.315  MATH         @TestFreq = "600 MHz"; @LO_Freq = "600.1 MHz"
  1.316  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.317  MATH         @TestFreq = "1.99 GHz"; @LO_Freq = "2.09 GHz"
  1.318  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
  1.319  ENDIF

  1.320  MATH         @UL_LT_300Hz   = -50
  1.321  MATH         @UL_300Hz_1kHz = -60
  1.322  MATH         @UL_GT_1kHz    = -60

  1.323  IF           NOT(@Opt_4)
  1.324  MATH         @TestFreq = "2.01 GHz"; @LO_Freq = "1.91 GHz"
  1.325  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
  1.326  ENDIF

  1.327  MATH         @TestFreq = "6 GHz"; @LO_Freq = "6 GHz"
  1.328  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.329  IF           @MG3691B
  1.330  MATH         @TestFreq = "8 GHz"; @LO_Freq = "8 GHz"
  1.331  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
  1.332  ENDIF

  1.333  MATH         @UL_LT_300Hz   = -46
  1.334  MATH         @UL_300Hz_1kHz = -56
  1.335  MATH         @UL_GT_1kHz    = -60

  1.336  MATH         @TestFreq = "10 GHz"; @LO_Freq = "10 GHz"
  1.337  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.338  IF           @MG3692B || @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.339  MATH         @TestFreq = "19.99 GHz"
  1.340  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
  1.341  ENDIF

  1.342  IF           @MG3693B || @MG3694B || @MG3695B || @MG3696B
  1.343  MATH         @UL_LT_300Hz   = -40
  1.344  MATH         @UL_300Hz_1kHz = -50
  1.345  MATH         @UL_GT_1kHz    = -54

  1.346  MATH         @TestFreq = "20.01 GHz"; @LO_Freq = "20.01 GHz"
  1.347  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO

  1.348  MATH         @TestFreq = "25 GHz"; @LO_Freq = "25 GHz"
  1.349  CALL         Sub MG369XB (2 yr) Pwr Line & Fan Emissions /PN9000,LO
  1.350  ENDIF

  1.351  END
