﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Get PN File Parms
DATE:                  2008-10-30 09:16:48
AUTHOR:                AWS
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       91
=============================================================================
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
#  Input:
#    @FreqOffset
#  Output:
#    @PN_DecadeNum    Phase Noise decade number (x in DxSMOOTH and DxSPURS)
#    @FreqStart
#    @FreqStop
#    @Success         1 for successful completion, 0 for error
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           (@FreqOffset <= 1) || (@FreqOffset > 10E+6)
  1.002  MATH         Msg1 = "Error in \"" & PROC()  & "\""
  1.003  MATH         Msg2 = "Invalid Frequency Offset: "
  1.004  MATH         Msg2 = Msg2 & @FreqOffset
  1.005  DISP         {[V Msg1]}
  1.005  DISP         {[V Msg2]}
  1.006  MATH         @Success = 0
  1.007  END
  1.008  ENDIF

  1.009  IF           @FreqOffset <= 10
  1.010  MATH         @PN_DecadeNum = 1
  1.011  MATH         @FreqStart    = 1
  1.012  MATH         @FreqStop     = 10
  1.013  ELSEIF       @FreqOffset <= 100
  1.014  MATH         @PN_DecadeNum = 2
  1.015  MATH         @FreqStart    = 10
  1.016  MATH         @FreqStop     = 100
  1.017  ELSEIF       @FreqOffset <= 1E+3
  1.018  MATH         @PN_DecadeNum = 3
  1.019  MATH         @FreqStart    = 100
  1.020  MATH         @FreqStop     = 1E+3
  1.021  ELSEIF       @FreqOffset <= 10E+3
  1.022  MATH         @PN_DecadeNum = 4
  1.023  MATH         @FreqStart    = 1E+3
  1.024  MATH         @FreqStop     = 10E+3
  1.025  ELSEIF       @FreqOffset <= 100E+3
  1.026  MATH         @PN_DecadeNum = 5
  1.027  MATH         @FreqStart    = 10E+3
  1.028  MATH         @FreqStop     = 100E+3
  1.029  ELSEIF       @FreqOffset <= 1E+6
  1.030  MATH         @PN_DecadeNum = 6
  1.031  MATH         @FreqStart    = 100E+3
  1.032  MATH         @FreqStop     = 1E+6
  1.033  ELSE
  1.034  MATH         @PN_DecadeNum = 7
  1.035  MATH         @FreqStart    = 1E+6
  1.036  MATH         @FreqStop     = 10E+6
  1.037  ENDIF

  1.038  MATH         @Success = 1
  1.039  END




