﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Level FGEN Output /DMM
DATE:                  2010-02-10 07:14:41
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       258
CONFIGURATION:         Function Generator
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Apply /FGEN
#        Sub Setup /FGEN
#        Sub Read /DMM
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  HEAD         EXTERNAL AM ACCURACY
# "Sub MG369XB Level FGEN Output /DMM" adjust FGEN amplitude using DMM to:
#   Target +/-TargetTol
  1.006  MATH         Target = 0.7071; TargetTol = 0.0001

  1.007  MATH         @FGEN_Waveform = "Sine"
  1.008  MATH         @FGEN_Imp      = "50 Ohm"
  1.009  MATH         @DMM_Func      = "AC_Voltage"
  1.010  MATH         @FGEN_Ampl     = Target & " V"

  1.011  HEAD         -2 Leveling FGEN amplitude at 1 kHz
  1.012  MATH         @FGEN_Freq = "1 kHz"; @DMM_Freq = @FGEN_Freq
  1.013  CALL         Sub Setup /DMM

  1.014  DO
  1.015  CALL         Sub Apply /FGEN
  1.016  WAIT         [D200]
  1.017  CALL         Sub Read /DMM
  1.018  MATH         Delta = ABS(Target - MEM)

  1.019  IF           Delta > TargetTol
  1.020  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.021  ENDIF

  1.022  UNTIL        Delta <= TargetTol

  1.023  MATH         @FGEN_Ampl_1kHz = @FGEN_Ampl

  1.024  HEAD         -2 Leveling FGEN amplitude at 2 kHz
  1.025  MATH         @FGEN_Freq = "2 kHz"; @DMM_Freq = @FGEN_Freq
  1.026  CALL         Sub Setup /DMM

  1.027  DO
  1.028  CALL         Sub Apply /FGEN
  1.029  WAIT         [D200]
  1.030  CALL         Sub Read /DMM
  1.031  MATH         Delta = ABS(Target - MEM)

  1.032  IF           Delta > TargetTol
  1.033  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.034  ENDIF

  1.035  UNTIL        Delta <= TargetTol

  1.036  MATH         @FGEN_Ampl_2kHz = @FGEN_Ampl

  1.037  HEAD         -2 Leveling FGEN amplitude at 3 kHz
  1.038  MATH         @FGEN_Freq = "3 kHz"; @DMM_Freq = @FGEN_Freq
  1.039  CALL         Sub Setup /DMM

  1.040  DO
  1.041  CALL         Sub Apply /FGEN
  1.042  WAIT         [D200]
  1.043  CALL         Sub Read /DMM
  1.044  MATH         Delta = ABS(Target - MEM)

  1.045  IF           Delta > TargetTol
  1.046  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.047  ENDIF

  1.048  UNTIL        Delta <= TargetTol

  1.049  MATH         @FGEN_Ampl_3kHz = @FGEN_Ampl

  1.050  HEAD         -2 Leveling FGEN amplitude at 4 kHz
  1.051  MATH         @FGEN_Freq = "4 kHz"; @DMM_Freq = @FGEN_Freq
  1.052  CALL         Sub Setup /DMM

  1.053  DO
  1.054  CALL         Sub Apply /FGEN
  1.055  WAIT         [D200]
  1.056  CALL         Sub Read /DMM
  1.057  MATH         Delta = ABS(Target - MEM)

  1.058  IF           Delta > TargetTol
  1.059  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.060  ENDIF

  1.061  UNTIL        Delta <= TargetTol

  1.062  MATH         @FGEN_Ampl_4kHz = @FGEN_Ampl

  1.063  HEAD         -2 Leveling FGEN amplitude at 5 kHz
  1.064  MATH         @FGEN_Freq = "5 kHz"; @DMM_Freq = @FGEN_Freq
  1.065  CALL         Sub Setup /DMM

  1.066  DO
  1.067  CALL         Sub Apply /FGEN
  1.068  WAIT         [D200]
  1.069  CALL         Sub Read /DMM
  1.070  MATH         Delta = ABS(Target - MEM)

  1.071  IF           Delta > TargetTol
  1.072  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.073  ENDIF

  1.074  UNTIL        Delta <= TargetTol

  1.075  MATH         @FGEN_Ampl_5kHz = @FGEN_Ampl

  1.076  HEAD         -2 Leveling FGEN amplitude at 6 kHz
  1.077  MATH         @FGEN_Freq = "6 kHz"; @DMM_Freq = @FGEN_Freq
  1.078  CALL         Sub Setup /DMM

  1.079  DO
  1.080  CALL         Sub Apply /FGEN
  1.081  WAIT         [D200]
  1.082  CALL         Sub Read /DMM
  1.083  MATH         Delta = ABS(Target - MEM)

  1.084  IF           Delta > TargetTol
  1.085  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.086  ENDIF

  1.087  UNTIL        Delta <= TargetTol

  1.088  MATH         @FGEN_Ampl_6kHz = @FGEN_Ampl

  1.089  HEAD         -2 Leveling FGEN amplitude at 7 kHz
  1.090  MATH         @FGEN_Freq = "7 kHz"; @DMM_Freq = @FGEN_Freq
  1.091  CALL         Sub Setup /DMM

  1.092  DO
  1.093  CALL         Sub Apply /FGEN
  1.094  WAIT         [D200]
  1.095  CALL         Sub Read /DMM
  1.096  MATH         Delta = ABS(Target - MEM)

  1.097  IF           Delta > TargetTol
  1.098  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.099  ENDIF

  1.100  UNTIL        Delta <= TargetTol

  1.101  MATH         @FGEN_Ampl_7kHz = @FGEN_Ampl

  1.102  HEAD         -2 Leveling FGEN amplitude at 8 kHz
  1.103  MATH         @FGEN_Freq = "8 kHz"; @DMM_Freq = @FGEN_Freq
  1.104  CALL         Sub Setup /DMM

  1.105  DO
  1.106  CALL         Sub Apply /FGEN
  1.107  WAIT         [D200]
  1.108  CALL         Sub Read /DMM
  1.109  MATH         Delta = ABS(Target - MEM)

  1.110  IF           Delta > TargetTol
  1.111  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.112  ENDIF

  1.113  UNTIL        Delta <= TargetTol

  1.114  MATH         @FGEN_Ampl_8kHz = @FGEN_Ampl

  1.115  HEAD         -2 Leveling FGEN amplitude at 9 kHz
  1.116  MATH         @FGEN_Freq = "9 kHz"; @DMM_Freq = @FGEN_Freq
  1.117  CALL         Sub Setup /DMM

  1.118  DO
  1.119  CALL         Sub Apply /FGEN
  1.120  WAIT         [D200]
  1.121  CALL         Sub Read /DMM
  1.122  MATH         Delta = ABS(Target - MEM)

  1.123  IF           Delta > TargetTol
  1.124  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.125  ENDIF

  1.126  UNTIL        Delta <= TargetTol

  1.127  MATH         @FGEN_Ampl_9kHz = @FGEN_Ampl

  1.128  HEAD         -2 Leveling FGEN amplitude at 10 kHz
  1.129  MATH         @FGEN_Freq = "10 kHz"; @DMM_Freq = @FGEN_Freq
  1.130  CALL         Sub Setup /DMM

  1.131  DO
  1.132  CALL         Sub Apply /FGEN
  1.133  WAIT         [D200]
  1.134  CALL         Sub Read /DMM
  1.135  MATH         Delta = ABS(Target - MEM)

  1.136  IF           Delta > TargetTol
  1.137  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.138  ENDIF

  1.139  UNTIL        Delta <= TargetTol

  1.140  MATH         @FGEN_Ampl_10kHz = @FGEN_Ampl

  1.141  HEAD         -2 Leveling FGEN amplitude at 50 kHz
  1.142  MATH         @FGEN_Freq = "50 kHz"; @DMM_Freq = @FGEN_Freq
  1.143  CALL         Sub Setup /DMM

  1.144  DO
  1.145  CALL         Sub Apply /FGEN
  1.146  WAIT         [D200]
  1.147  CALL         Sub Read /DMM
  1.148  MATH         Delta = ABS(Target - MEM)

  1.149  IF           Delta > TargetTol
  1.150  MATH         @FGEN_Ampl = (Target + (BASE(@FGEN_Ampl) - MEM)) & " V"
  1.151  ENDIF

  1.152  UNTIL        Delta <= TargetTol

  1.153  MATH         @FGEN_Ampl_50kHz = @FGEN_Ampl
  1.154  HEAD
  1.155  HEAD         -2
  1.156  END


