﻿© 2010 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Connection /ML2530
DATE:                  2010-02-10 07:23:29
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       114
CONFIGURATION:         Anritsu ML2530A
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20E or later
#
#  Subprocedures:
#        Sub Audible Prompt
#        Sub MG369XB Init Connection Flags
#
#  Required Files:
#        MG369XB_ML2530A_N.jpg
#        MG369XB_ML2530A_N_lo.jpg
#        MG369XB_ML2530A_K.jpg
#        MG369XB_ML2530A_K_lo.jpg
#        MG369XB_ML2530A_V.jpg
#        MG369XB_ML2530A_V_lo.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Force traceability check on power sensors.
  1.001  IF           0
  1.002  ML2530       Reset
  1.003  IEEE         [@LO]
  1.004  ENDIF

# Determine required connection.
  1.005  IF           ZCMP(@MG369XB_Con, "N")

  1.006  IF           @FreqGHz > 2.4
  1.007  MATH         ReqCon = "MG369XB_ML2530A_N_lo"
  1.008  ELSE
  1.009  MATH         ReqCon = "MG369XB_ML2530A_N"
  1.010  ENDIF

  1.011  ELSEIF       ZCMP(@MG369XB_Con, "K")

  1.012  IF           @FreqGHz > 2.4
  1.013  MATH         ReqCon = "MG369XB_ML2530A_K_lo"
  1.014  ELSE
  1.015  MATH         ReqCon = "MG369XB_ML2530A_K"
  1.016  ENDIF

  1.017  ELSEIF       ZCMP(@MG369XB_Con, "V")

  1.018  IF           @FreqGHz > 2.4
  1.019  MATH         ReqCon = "MG369XB_ML2530A_V_lo"
  1.020  ELSE
  1.021  MATH         ReqCon = "MG369XB_ML2530A_V"
  1.022  ENDIF

  1.023  ENDIF

# See if connection requirements have changed.
  1.024  IF           NOT(ZCMP(@MG369XB_ML2530_Con, ReqCon))
  1.025  IEEE         RF0
  1.026  CALL         Sub Audible Prompt

  1.027  IF           ZCMP(@MG369XB_Con, "N")

  1.028  IF           @FreqGHz > 2.4
  1.029  PIC          MG369XB_ML2530A_N_lo
  1.030  ELSE
  1.031  PIC          MG369XB_ML2530A_N
  1.032  ENDIF

  1.033  ELSEIF       ZCMP(@MG369XB_Con, "K")

  1.034  IF           @FreqGHz > 2.4
  1.035  PIC          MG369XB_ML2530A_K_lo
  1.036  ELSE
  1.037  PIC          MG369XB_ML2530A_K
  1.038  ENDIF

  1.039  ELSEIF       ZCMP(@MG369XB_Con, "V")

  1.040  IF           @FreqGHz > 2.4
  1.041  PIC          MG369XB_ML2530A_V_lo
  1.042  ELSE
  1.043  PIC          MG369XB_ML2530A_V
  1.044  ENDIF

  1.045  ENDIF        ; ZCMP(@MG369XB_Con, "K")

  1.046  CALL         Sub MG369XB Init Connection Flags
  1.047  MATH         @MG369XB_ML2530_Con = ReqCon
  1.048  ENDIF        ; NOT(ZCMP(@MG369XB_ML2530_Con, ReqCon))

  1.049  END
