﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Set Model Flags
INSTRUMENT:            Sub MG369XB Set RF Output Connector Type
INSTRUMENT:            Sub MG369XB Set Min/Max Freq
INSTRUMENT:            Sub MG369XB Set Rated Power
INSTRUMENT:            Sub MG369XB Set Max Power
INSTRUMENT:            Sub MG369XB Set Lowest Max Power
DATE:                  2009-03-30 14:56:49
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       1304
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_MODEL_FLAGS              PSUBI("Set Model Flags")
  1.002  JMPL         OUTPUT_CONNECTOR_TYPE        PSUBI("Set RF Output Con")
  1.003  JMPL         SET_MIN_MAX_FREQ             PSUBI("Set Min/Max Freq")
  1.004  JMPL         SET_RATED_POWER              PSUBI("Set Rated Power")
  1.005  JMPL         SET_MAX_POWER                PSUBI("Set Max Power")
  1.006  JMPL         SET_LOWEST_MAX_POWER         PSUBI("Set Lowest Max")
  1.007  DISP         Subprocedure not found!
  1.008  END

  1.009  EVAL   Increment step number

# =====  Sub MG369XB Set Model Flags  =======================================

  2.001  LABEL        SET_MODEL_FLAGS
  2.002  MATH         @MG3691B = ZCMPI(@ModelNum, "MG3691B")
  2.003  MATH         @MG3692B = ZCMPI(@ModelNum, "MG3692B")
  2.004  MATH         @MG3693B = ZCMPI(@ModelNum, "MG3693B")
  2.005  MATH         @MG3694B = ZCMPI(@ModelNum, "MG3694B")
  2.006  MATH         @MG3695B = ZCMPI(@ModelNum, "MG3695B")
  2.007  MATH         @MG3696B = ZCMPI(@ModelNum, "MG3696B")
  2.008  END

  2.009  EVAL   Increment step number

# =====  Sub MG369XB Set RF Output Connector Type  ==========================

  3.001  LABEL        OUTPUT_CONNECTOR_TYPE

  3.002  IF           @MG3691B || @MG3692B || @MG3693B || @MG3694B
  3.003  MATH         @MG369XB_Con = "K"
  3.004  ELSEIF       @MG3695B || @MG3696B
  3.005  MATH         @MG369XB_Con = "V"
  3.006  ELSE
  3.007  DISP         Sub MG369XB Set RF Output Connector Type:
  3.007  DISP
  3.007  DISP         None of the MG369XB model flags (@MG3691B, @MG3692B,
  3.007  DISP         @MG3693B, @MG3694B, @MG3695B, or @MG3696B) is set!
  3.008  END
  3.009  ENDIF

  3.010  END

  3.011  EVAL   Increment step number

# =====  Sub MG369XB Set Min/Max Freq  ======================================

  4.001  LABEL        SET_MIN_MAX_FREQ

  4.002  IF           @Opt_22
  4.003  MATH         @MinFreq = 0.1
  4.004  ELSEIF       @Opt_4 || @Opt_5
  4.005  MATH         @MinFreq = 10E+6
  4.006  ELSE
  4.007  MATH         @MinFreq = 2E+9
  4.008  ENDIF

  4.009  IF           @MG3691B
  4.010  MATH         @MaxFreq = 10E+9
  4.011  ELSEIF       @MG3692B
  4.012  MATH         @MaxFreq = 20E+9
  4.013  ELSEIF       @MG3693B
  4.014  MATH         @MaxFreq = 30E+9
  4.015  ELSEIF       @MG3694B
  4.016  MATH         @MaxFreq = 40E+9
  4.017  ELSEIF       @MG3695B
  4.018  MATH         @MaxFreq = 50E+9
  4.019  ELSEIF       @MG3696B

  4.020  IF           @SerialNum < 065215
  4.021  MATH         @MaxFreq = 65E+9
  4.022  ELSE
  4.023  MATH         @MaxFreq = 67E+9
  4.024  ENDIF

  4.025  ELSE
  4.026  DISP         Sub Anritsu MG369XB Set Min/Max Freq
  4.026  DISP
  4.026  DISP         Unrecognized model.
  4.027  ENDIF

  4.028  END

  4.029  EVAL   Increment step number

# =====  Sub MG369XB Set Rated Power  =======================================

  5.001  LABEL        SET_RATED_POWER

  5.002  IF           @Opt_15

  5.003  IF           @MG3691B

# MG3691B w/Option 15 (High Power) & Option 2E (Electronic Step Attenuator)
  5.004  IF           @Opt_2E

  5.005  IF           @Opt_4 || @Opt_5
  5.006  MATH         @RatedPower = +16
  5.007  ELSE
  5.008  MATH         @RatedPower = +16
  5.009  ENDIF

# MG3691B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.010  ELSEIF       @Opt_2

  5.011  IF           @Opt_4 || @Opt_5
  5.012  MATH         @RatedPower = +21
  5.013  ELSE
  5.014  MATH         @RatedPower = +23
  5.015  ENDIF

# MG3691B w/Option 15 (High Power) & no step attenuator
  5.016  ELSE

  5.017  IF           @Opt_4 || @Opt_5
  5.018  MATH         @RatedPower = +23
  5.019  ELSE
  5.020  MATH         @RatedPower = +25
  5.021  ENDIF

  5.022  ENDIF

  5.023  ELSEIF       @MG3692B

# MG3692B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.024  IF           @Opt_2

  5.025  IF           @Opt_4 || @Opt_5
  5.026  MATH         @RatedPower = +19
  5.027  ELSE
  5.028  MATH         @RatedPower = +21
  5.029  ENDIF

# MG3692B w/Option 15 (High Power) & no step attenuator
  5.030  ELSE

  5.031  IF           @Opt_4 || @Opt_5
  5.032  MATH         @RatedPower = +21
  5.033  ELSE
  5.034  MATH         @RatedPower = +23
  5.035  ENDIF

  5.036  ENDIF

  5.037  ELSEIF       @MG3693B

# MG3693B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.038  IF           @Opt_2

  5.039  IF           @Opt_4 || @Opt_5
  5.040  MATH         @RatedPower = +19
  5.041  ELSE
  5.042  MATH         @RatedPower = +21
  5.043  ENDIF

# MG3693B w/Option 15 (High Power) & no step attenuator
  5.044  ELSE

  5.045  IF           @Opt_4 || @Opt_5
  5.046  MATH         @RatedPower = +21
  5.047  ELSE
  5.048  MATH         @RatedPower = +23
  5.049  ENDIF

  5.050  ENDIF        ; @Opt_2

  5.051  ELSEIF       @MG3694B

# MG3694B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.052  IF           @Opt_2

  5.053  IF           @Opt_4 || @Opt_5
  5.054  MATH         @RatedPower = +19
  5.055  ELSE
  5.056  MATH         @RatedPower = +21
  5.057  ENDIF

# MG3694B w/Option 15 (High Power) & no step attenuator
  5.058  ELSE

  5.059  IF           @Opt_4 || @Opt_5
  5.060  MATH         @RatedPower = +21
  5.061  ELSE
  5.062  MATH         @RatedPower = +23
  5.063  ENDIF

  5.064  ENDIF

  5.065  ELSEIF       @MG3695B

# MG3695B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.066  IF           @Opt_2

  5.067  IF           @Opt_4 || @Opt_5
  5.068  MATH         @RatedPower = +19
  5.069  ELSE
  5.070  MATH         @RatedPower = +21
  5.071  ENDIF

# MG3695B w/Option 15 (High Power) & no step attenuator
  5.072  ELSE

  5.073  IF           @Opt_4 || @Opt_5
  5.074  MATH         @RatedPower = +21
  5.075  ELSE
  5.076  MATH         @RatedPower = +23
  5.077  ENDIF

  5.078  ENDIF

  5.079  ELSEIF       @MG3696B

# MG3696B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  5.080  IF           @Opt_2

  5.081  IF           @Opt_4 || @Opt_5
  5.082  MATH         @RatedPower = +18
  5.083  ELSE
  5.084  MATH         @RatedPower = +19
  5.085  ENDIF

# MG3696B w/Option 15 (High Power) & no step attenuator
  5.086  ELSE

  5.087  IF           @Opt_4 || @Opt_5
  5.088  MATH         @RatedPower = +19
  5.089  ELSE
  5.090  MATH         @RatedPower = +21
  5.091  ENDIF

  5.092  ENDIF

  5.093  ENDIF

  5.094  ELSE         ; Without Option 15 (High Power)

  5.095  IF           @MG3691B

# MG3691B w/o Option 15, w/Option 2E (Electronic Step Attenuator)
  5.096  IF           @Opt_2E

  5.097  IF           @Opt_4 || @Opt_5
  5.098  MATH         @RatedPower = +15
  5.099  ELSE
  5.100  MATH         @RatedPower = +13
  5.101  ENDIF

# MG3691B w/o Option 15, w/Option 2 (Step Attenuator)
  5.102  ELSEIF       @Opt_2

  5.103  IF           @Opt_4 || @Opt_5
  5.104  MATH         @RatedPower = +18
  5.105  ELSE
  5.106  MATH         @RatedPower = +18
  5.107  ENDIF

# MG3691B w/o Option 15, w/no step attenuator
  5.108  ELSE

  5.109  IF           @Opt_4 || @Opt_5
  5.110  MATH         @RatedPower = +19
  5.111  ELSE
  5.112  MATH         @RatedPower = +19
  5.113  ENDIF

  5.114  ENDIF        ; @Opt_2E

  5.115  ELSEIF       @MG3692B

# MG3692B w/o Option 15, w/Option 2 (Step Attenuator)
  5.116  IF           @Opt_2

  5.117  IF           @Opt_4 || @Opt_5
  5.118  MATH         @RatedPower = +18
  5.119  ELSE
  5.120  MATH         @RatedPower = +18
  5.121  ENDIF

# MG3692B w/o Option 15, w/no step attenuator
  5.122  ELSE

  5.123  IF           @Opt_4 || @Opt_5
  5.124  MATH         @RatedPower = +19
  5.125  ELSE
  5.126  MATH         @RatedPower = +19
  5.127  ENDIF

  5.128  ENDIF        ; @Opt_2

  5.129  ELSEIF       @MG3693B

# MG3693B w/o Option 15, w/Option 2 (Step Attenuator)
  5.130  IF           @Opt_2

  5.131  IF           @Opt_4 || @Opt_5
  5.132  MATH         @RatedPower = +14
  5.133  ELSE
  5.134  MATH         @RatedPower = +14
  5.135  ENDIF

# MG3693B w/o Option 15, w/no step attenuator
  5.136  ELSE

  5.137  IF           @Opt_4 || @Opt_5
  5.138  MATH         @RatedPower = +15
  5.139  ELSE
  5.140  MATH         @RatedPower = +15
  5.141  ENDIF

  5.142  ENDIF        ; @Opt_2

  5.143  ELSEIF       @MG3694B

# MG3694B w/o Option 15, w/Option 2 (Step Attenuator)
  5.144  IF           @Opt_2

  5.145  IF           @Opt_4 || @Opt_5
  5.146  MATH         @RatedPower = +14
  5.147  ELSE
  5.148  MATH         @RatedPower = +14
  5.149  ENDIF

# MG3694B w/o Option 15, w/no step attenuator
  5.150  ELSE

  5.151  IF           @Opt_4 || @Opt_5
  5.152  MATH         @RatedPower = +15
  5.153  ELSE
  5.154  MATH         @RatedPower = +15
  5.155  ENDIF

  5.156  ENDIF        ; @Opt_2

  5.157  ELSEIF       @MG3695B

# MG3695B w/o Option 15, w/Option 2 (Step Attenuator)
  5.158  IF           @Opt_2

  5.159  IF           @Opt_4 || @Opt_5
  5.160  MATH         @RatedPower = +10
  5.161  ELSE
  5.162  MATH         @RatedPower = +8
  5.163  ENDIF

# MG3695B w/o Option 15, w/no step attenuator
  5.164  ELSE

  5.165  IF           @Opt_4 || @Opt_5
  5.166  MATH         @RatedPower = +12
  5.167  ELSE
  5.168  MATH         @RatedPower = +10
  5.169  ENDIF

  5.170  ENDIF        ; @Opt_2

  5.171  ELSEIF       @MG3696B

# MG3696B w/o Option 15, w/Option 2 (Step Attenuator)
  5.172  IF           @Opt_2

  5.173  IF           @Opt_4 || @Opt_5
  5.174  MATH         @RatedPower = +10
  5.175  ELSE
  5.176  MATH         @RatedPower = +8
  5.177  ENDIF

# MG3696B w/o Option 15, w/no step attenuator
  5.178  ELSE

  5.179  IF           @Opt_4 || @Opt_5
  5.180  MATH         @RatedPower = +12
  5.181  ELSE
  5.182  MATH         @RatedPower = +10
  5.183  ENDIF

  5.184  ENDIF        ; @Opt_2

  5.185  ENDIF        ; @MG3691B

  5.186  ENDIF        ; @Opt_15

  5.187  END

  5.188  EVAL   Increment step number

# =====  Sub MG369XB Set Max Power  =========================================

  6.001  LABEL        SET_MAX_POWER

  6.002  IF           @Opt_15

  6.003  IF           @MG3691B

# MG3691B w/Option 15 (High Power) & Option 2E (Electronic Step Attenuator)
  6.004  IF           @Opt_2E

  6.005  IF           @Opt_4

  6.006  IF           @FreqGHz <= 2.2
  6.007  MATH         @MaxPower = +15
  6.008  ELSE         ; > 2.2 GHz to <= 10 GHz
  6.009  MATH         @MaxPower = +16
  6.010  ENDIF

  6.011  ELSEIF       @Opt_5

  6.012  IF           @FreqGHz < 2
  6.013  MATH         @MaxPower = +15
  6.014  ELSE         ; >= 2 GHz to <= 10 GHz
  6.015  MATH         @MaxPower = +16
  6.016  ENDIF

  6.017  ELSE         ; neither @Opt_4 or @Opt_5
  6.018  MATH         @MaxPower = +16
  6.019  ENDIF

# MG3691B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.020  ELSEIF       @Opt_2

  6.021  IF           @Opt_4

  6.022  IF           @FreqGHz <= 2.2
  6.023  MATH         @MaxPower = +18
  6.024  ELSE         ; > 2.2 GHz to <= 10 GHz
  6.025  MATH         @MaxPower = +21
  6.026  ENDIF

  6.027  ELSEIF       @Opt_5

  6.028  IF           @FreqGHz < 2
  6.029  MATH         @MaxPower = +18
  6.030  ELSE         ; >= 2 GHz to <= 10 GHz
  6.031  MATH         @MaxPower = +21
  6.032  ENDIF

  6.033  ELSE         ; neither @Opt_4 or @Opt_5
  6.034  MATH         @MaxPower = +23
  6.035  ENDIF

# MG3691B w/Option 15 (High Power) & no step attenuator
  6.036  ELSE

  6.037  IF           @Opt_4

  6.038  IF           @FreqGHz <= 2.2
  6.039  MATH         @MaxPower = +19
  6.040  ELSE         ; > 2.2 GHz to <= 10 GHz
  6.041  MATH         @MaxPower = +23
  6.042  ENDIF

  6.043  ELSEIF       @Opt_5

  6.044  IF           @FreqGHz < 2
  6.045  MATH         @MaxPower = +19
  6.046  ELSE         ; >= 2 GHz to <= 10 GHz
  6.047  MATH         @MaxPower = +23
  6.048  ENDIF

  6.049  ELSE         ; neither @Opt_4 or @Opt_5
  6.050  MATH         @MaxPower = +25
  6.051  ENDIF

  6.052  ENDIF        ; @Opt_2E

  6.053  ELSEIF       @MG3692B

# MG3692B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.054  IF           @Opt_2

  6.055  IF           @Opt_4

  6.056  IF           @FreqGHz <= 2.2
  6.057  MATH         @MaxPower = +18
  6.058  ELSE         ; > 2.2 GHz to <= 20 GHz
  6.059  MATH         @MaxPower = +19
  6.060  ENDIF

  6.061  ELSEIF       @Opt_5

  6.062  IF           @FreqGHz < 2
  6.063  MATH         @MaxPower = +18
  6.064  ELSE         ; >= 2 GHz to <= 20 GHz
  6.065  MATH         @MaxPower = +19
  6.066  ENDIF

  6.067  ELSE         ; >= 2 GHz to <= 20 GHz
  6.068  MATH         @MaxPower = +21
  6.069  ENDIF

# MG3692B w/Option 15 (High Power) & no step attenuator
  6.070  ELSE

  6.071  IF           @Opt_4

  6.072  IF           @FreqGHz <= 2.2
  6.073  MATH         @MaxPower = +19
  6.074  ELSE         ; > 2.2 GHz to <= 20 GHz
  6.075  MATH         @MaxPower = +21
  6.076  ENDIF

  6.077  ELSEIF       @Opt_5

  6.078  IF           @FreqGHz < 2
  6.079  MATH         @MaxPower = +19
  6.080  ELSE         ; >= 2 GHz to <= 20 GHz
  6.081  MATH         @MaxPower = +21
  6.082  ENDIF

  6.083  ELSE         ; >= 2 GHz to <= 20 GHz
  6.084  MATH         @MaxPower = +23
  6.085  ENDIF

  6.086  ENDIF        ; @Opt_2

  6.087  ELSEIF       @MG3693B

# MG3693B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.088  IF           @Opt_2

  6.089  IF           @Opt_4

  6.090  IF           @FreqGHz <= 2.2
  6.091  MATH         @MaxPower = +16
  6.092  ELSEIF       @FreqGHz <= 20
  6.093  MATH         @MaxPower = +19
  6.094  ELSE         ; > 20 GHz to <= 30 GHz
  6.095  MATH         @MaxPower = +15
  6.096  ENDIF

  6.097  ELSEIF       @Opt_5

  6.098  IF           @FreqGHz <= 2.2
  6.099  MATH         @MaxPower = +16
  6.100  ELSEIF       @FreqGHz <= 20
  6.101  MATH         @MaxPower = +19
  6.102  ELSE         ; > 20 GHz to <= 30 GHz
  6.103  MATH         @MaxPower = +15
  6.104  ENDIF

  6.105  ELSE

  6.106  IF           @FreqGHz <= 20
  6.107  MATH         @MaxPower = +21
  6.108  ELSE         ; > 20 GHz to <= 30 GHz
  6.109  MATH         @MaxPower = +17
  6.110  ENDIF

  6.111  ENDIF        ; @Opt_4

# MG3693B w/Option 15 (High Power) & no step attenuator
  6.112  ELSE

  6.113  IF           @Opt_4

  6.114  IF           @FreqGHz <= 2.2
  6.115  MATH         @MaxPower = +17
  6.116  ELSEIF       @FreqGHz <= 20
  6.117  MATH         @MaxPower = +21
  6.118  ELSE         ; > 20 GHz to <= 30 GHz
  6.119  MATH         @MaxPower = +17
  6.120  ENDIF

  6.121  ELSEIF       @Opt_5

  6.122  IF           @FreqGHz < 2
  6.123  MATH         @MaxPower = +17
  6.124  ELSEIF       @FreqGHz <= 20
  6.125  MATH         @MaxPower = +21
  6.126  ELSE         ; > 20 GHz to <= 30 GHz
  6.127  MATH         @MaxPower = +17
  6.128  ENDIF

  6.129  ELSE

  6.130  IF           @FreqGHz <= 20
  6.131  MATH         @MaxPower = +23
  6.132  ELSE         ; > 20 GHz to <= 30 GHz
  6.133  MATH         @MaxPower = +19
  6.134  ENDIF

  6.135  ENDIF        ; @Opt_4

  6.136  ENDIF        ; @Opt_2

  6.137  ELSEIF       @MG3694B

# MG3694B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.138  IF           @Opt_2

  6.139  IF           @Opt_4

  6.140  IF           @FreqGHz <= 2.2
  6.141  MATH         @MaxPower = +16
  6.142  ELSEIF       @FreqGHz <= 20
  6.143  MATH         @MaxPower = +19
  6.144  ELSE         ; > 20 GHz to <= 40 GHz
  6.145  MATH         @MaxPower = +15
  6.146  ENDIF

  6.147  ELSEIF       @Opt_5

  6.148  IF           @FreqGHz < 2
  6.149  MATH         @MaxPower = +16
  6.150  ELSEIF       @FreqGHz <= 20
  6.151  MATH         @MaxPower = +19
  6.152  ELSE         ; > 20 GHz to <= 40 GHz
  6.153  MATH         @MaxPower = +15
  6.154  ENDIF

  6.155  ELSE

  6.156  IF           @FreqGHz <= 20
  6.157  MATH         @MaxPower = +21
  6.158  ELSE         ; > 20 GHz to <= 40 GHz
  6.159  MATH         @MaxPower = +17
  6.160  ENDIF

  6.161  ENDIF        ; @Opt_4

# MG3694B w/Option 15 (High Power) & no step attenuator
  6.162  ELSE

  6.163  IF           @Opt_4

  6.164  IF           @FreqGHz <= 2.2
  6.165  MATH         @MaxPower = +17
  6.166  ELSEIF       @FreqGHz <= 20
  6.167  MATH         @MaxPower = +21
  6.168  ELSE         ; > 20 GHz to <= 40 GHz
  6.169  MATH         @MaxPower = +17
  6.170  ENDIF

  6.171  ELSEIF       @Opt_5

  6.172  IF           @FreqGHz < 2
  6.173  MATH         @MaxPower = +17
  6.174  ELSEIF       @FreqGHz <= 20
  6.175  MATH         @MaxPower = +21
  6.176  ELSE         ; > 20 GHz to <= 40 GHz
  6.177  MATH         @MaxPower = +17
  6.178  ENDIF

  6.179  ELSE

  6.180  IF           @FreqGHz <= 20
  6.181  MATH         @MaxPower = +23
  6.182  ELSE         ; > 20 GHz to <= 40 GHz
  6.183  MATH         @MaxPower = +19
  6.184  ENDIF

  6.185  ENDIF        ; @Opt_4

  6.186  ENDIF        ; @Opt_2

  6.187  ELSEIF       @MG3695B

# MG3695B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.188  IF           @Opt_2

  6.189  IF           @Opt_4

  6.190  IF           @FreqGHz <= 2.2
  6.191  MATH         @MaxPower = +14
  6.192  ELSEIF       @FreqGHz <= 20
  6.193  MATH         @MaxPower = +19
  6.194  ELSEIF       @FreqGHz <= 40
  6.195  MATH         @MaxPower = +15
  6.196  ELSE         ; > 40 GHz to <= 50 GHz
  6.197  MATH         @MaxPower = +8
  6.198  ENDIF

  6.199  ELSEIF       @Opt_5

  6.200  IF           @FreqGHz < 2
  6.201  MATH         @MaxPower = +14
  6.202  ELSEIF       @FreqGHz <= 20
  6.203  MATH         @MaxPower = +19
  6.204  ELSEIF       @FreqGHz <= 40
  6.205  MATH         @MaxPower = +15
  6.206  ELSE         ; > 40 GHz to <= 50 GHz
  6.207  MATH         @MaxPower = +8
  6.208  ENDIF

  6.209  ELSE

  6.210  IF           @FreqGHz <= 20
  6.211  MATH         @MaxPower = +21
  6.212  ELSEIF       @FreqGHz <= 40
  6.213  MATH         @MaxPower = +17
  6.214  ELSE         ; > 40 GHz to <= 50 GHz
  6.215  MATH         @MaxPower = +10
  6.216  ENDIF

  6.217  ENDIF        ; @Opt_4

# MG3695B w/Option 15 (High Power) & no step attenuator
  6.218  ELSE

  6.219  IF           @Opt_4

  6.220  IF           @FreqGHz <= 2.2
  6.221  MATH         @MaxPower = +16
  6.222  ELSEIF       @FreqGHz <= 20
  6.223  MATH         @MaxPower = +21
  6.224  ELSEIF       @FreqGHz <= 40
  6.225  MATH         @MaxPower = +17
  6.226  ELSE         ; > 40 GHz to <= 50 GHz
  6.227  MATH         @MaxPower = +11
  6.228  ENDIF

  6.229  ELSEIF       @Opt_5

  6.230  IF           @FreqGHz < 2
  6.231  MATH         @MaxPower = +16
  6.232  ELSEIF       @FreqGHz <= 20
  6.233  MATH         @MaxPower = +21
  6.234  ELSEIF       @FreqGHz <= 40
  6.235  MATH         @MaxPower = +17
  6.236  ELSE         ; > 40 GHz to <= 50 GHz
  6.237  MATH         @MaxPower = +11
  6.238  ENDIF

  6.239  ELSE

  6.240  IF           @FreqGHz <= 20
  6.241  MATH         @MaxPower = +23
  6.242  ELSEIF       @FreqGHz <= 40
  6.243  MATH         @MaxPower = +19
  6.244  ELSE         ; > 40 GHz to <= 50 GHz
  6.245  MATH         @MaxPower = +13
  6.246  ENDIF

  6.247  ENDIF        ; @Opt_4

  6.248  ENDIF        ; @Opt_2

  6.249  ELSEIF       @MG3696B

# MG3696B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  6.250  IF           @Opt_2

  6.251  IF           @Opt_4

  6.252  IF           @FreqGHz < 2
  6.253  MATH         @MaxPower = +15
  6.254  ELSEIF       @FreqGHz <= 20
  6.255  MATH         @MaxPower = +18
  6.256  ELSEIF       @FreqGHz <= 40
  6.257  MATH         @MaxPower = +14
  6.258  ELSEIF       @FreqGHz <= 67
  6.259  MATH         @MaxPower = +6
  6.260  ELSE         ; > 67 GHz to <= 70 GHz
  6.261  MATH         @MaxPower = +0
  6.262  ENDIF

  6.263  ELSEIF       @Opt_5

  6.264  IF           @FreqGHz < 2
  6.265  MATH         @MaxPower = +15
  6.266  ELSEIF       @FreqGHz <= 20
  6.267  MATH         @MaxPower = +18
  6.268  ELSEIF       @FreqGHz <= 40
  6.269  MATH         @MaxPower = +14
  6.270  ELSEIF       @FreqGHz <= 67
  6.271  MATH         @MaxPower = +6
  6.272  ELSE         ; > 67 GHz to <= 70 GHz
  6.273  MATH         @MaxPower = +0
  6.274  ENDIF

  6.275  ELSE

  6.276  IF           @FreqGHz <= 20
  6.277  MATH         @MaxPower = +19
  6.278  ELSEIF       @FreqGHz <= 40
  6.279  MATH         @MaxPower = +16
  6.280  ELSEIF       @FreqGHz <= 67
  6.281  MATH         @MaxPower = +6
  6.282  ELSE         ; > 67 GHz to <= 70 GHz
  6.283  MATH         @MaxPower = +0
  6.284  ENDIF

  6.285  ENDIF

# MG3696B w/Option 15 (High Power) & no step attenuator
  6.286  ELSE

  6.287  IF           @Opt_4

  6.288  IF           @FreqGHz <= 2.2
  6.289  MATH         @MaxPower = +16
  6.290  ELSEIF       @FreqGHz <= 20
  6.291  MATH         @MaxPower = +19
  6.292  ELSEIF       @FreqGHz <= 40
  6.293  MATH         @MaxPower = +16
  6.294  ELSEIF       @FreqGHz <= 67
  6.295  MATH         @MaxPower = +9
  6.296  ELSE         ; > 67 GHz to <= 70 GHz
  6.297  MATH         @MaxPower = +3
  6.298  ENDIF

  6.299  ELSEIF       @Opt_5

  6.300  IF           @FreqGHz < 2
  6.301  MATH         @MaxPower = +16
  6.302  ELSEIF       @FreqGHz <= 20
  6.303  MATH         @MaxPower = +19
  6.304  ELSEIF       @FreqGHz <= 40
  6.305  MATH         @MaxPower = +16
  6.306  ELSEIF       @FreqGHz <= 67
  6.307  MATH         @MaxPower = +9
  6.308  ELSE         ; > 67 GHz to <= 70 GHz
  6.309  MATH         @MaxPower = +3
  6.310  ENDIF

  6.311  ELSE

  6.312  IF           @FreqGHz <= 20
  6.313  MATH         @MaxPower = +21
  6.314  ELSEIF       @FreqGHz <= 40
  6.315  MATH         @MaxPower = +19
  6.316  ELSEIF       @FreqGHz <= 67
  6.317  MATH         @MaxPower = +9
  6.318  ELSE         ; > 67 GHz to <= 70 GHz
  6.319  MATH         @MaxPower = +3
  6.320  ENDIF

  6.321  ENDIF        ; @Opt_4

  6.322  ENDIF        ; @Opt_2

  6.323  ENDIF        ; @MG3691B

  6.324  ELSE         ; Without Option 15 (High Power)

  6.325  IF           @MG3691B

# MG3691B w/o Option 15, w/Option 2E (Electronic Step Attenuator)
  6.326  IF           @Opt_2E

  6.327  IF           @Opt_4 && @FreqGHz <= 2.2
  6.328  MATH         @MaxPower = +15
  6.329  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.330  MATH         @MaxPower = +15
  6.331  ELSE         ; > 2.2 GHz to <= 10 GHz
  6.332  MATH         @MaxPower = +13
  6.333  ENDIF

# MG3691B w/o Option 15, w/Option 2 (Step Attenuator)
  6.334  ELSEIF       @Opt_2
  6.335  MATH         @MaxPower = +18

# MG3691B w/o Option 15, w/no step attenuator
  6.336  ELSE
  6.337  MATH         @MaxPower = +19
  6.338  ENDIF        ; @Opt_2E

  6.339  ELSEIF       @MG3692B

# MG3692B w/o Option 15, w/Option 2 (Step Attenuator)
  6.340  IF           @Opt_2

  6.341  IF           @Opt_4 && @FreqGHz <= 2.2
  6.342  MATH         @MaxPower = +18
  6.343  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.344  MATH         @MaxPower = +18
  6.345  ELSEIF       @FreqGHz <= 10
  6.346  MATH         @MaxPower = +18
  6.347  ELSE         ; > 10 GHz to <= 20 GHz
  6.348  MATH         @MaxPower = +15
  6.349  ENDIF

# MG3692B w/o Option 15, w/no step attenuator
  6.350  ELSE

  6.351  IF           @Opt_4 && @FreqGHz <= 2.2
  6.352  MATH         @MaxPower = +19
  6.353  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.354  MATH         @MaxPower = +19
  6.355  ELSEIF       @FreqGHz <= 10
  6.356  MATH         @MaxPower = +19
  6.357  ELSE         ; > 10 GHz to <= 20 GHz
  6.358  MATH         @MaxPower = +17
  6.359  ENDIF

  6.360  ENDIF        ; @Opt_2

  6.361  ELSEIF       @MG3693B

# MG3693B w/o Option 15, w/Option 2 (Step Attenuator)
  6.362  IF           @Opt_2

  6.363  IF           @Opt_4 && @FreqGHz <= 2.2
  6.364  MATH         @MaxPower = +14
  6.365  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.366  MATH         @MaxPower = +14
  6.367  ELSEIF       @FreqGHz <= 10
  6.368  MATH         @MaxPower = +14
  6.369  ELSEIF       @FreqGHz <= 20
  6.370  MATH         @MaxPower = +10
  6.371  ELSE         ; > 20 GHz to <= 30 GHz
  6.372  MATH         @MaxPower = +3
  6.373  ENDIF


# MG3693B w/o Option 15, w/no step attenuator
  6.374  ELSE

  6.375  IF           @Opt_4 && @FreqGHz <= 2.2
  6.376  MATH         @MaxPower = +15
  6.377  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.378  MATH         @MaxPower = +15
  6.379  ELSEIF       @FreqGHz <= 10
  6.380  MATH         @MaxPower = +15
  6.381  ELSEIF       @FreqGHz <= 20
  6.382  MATH         @MaxPower = +12
  6.383  ELSE         ; > 20 GHz to <= 30 GHz
  6.384  MATH         @MaxPower = +6
  6.385  ENDIF

  6.386  ENDIF        ; @Opt_2

  6.387  ELSEIF       @MG3694B

# MG3694B w/o Option 15, w/Option 2 (Step Attenuator)
  6.388  IF           @Opt_2

  6.389  IF           @Opt_4 && @FreqGHz <= 2.2
  6.390  MATH         @MaxPower = +14
  6.391  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.392  MATH         @MaxPower = +14
  6.393  ELSEIF       @FreqGHz <= 10
  6.394  MATH         @MaxPower = +14
  6.395  ELSEIF       @FreqGHz <= 20
  6.396  MATH         @MaxPower = +10
  6.397  ELSE         ; > 20 GHz to <= 40 GHz
  6.398  MATH         @MaxPower = +3
  6.399  ENDIF

# MG3694B w/o Option 15, w/no step attenuator
  6.400  ELSE

  6.401  IF           @Opt_4 && @FreqGHz <= 2.2
  6.402  MATH         @MaxPower = +15
  6.403  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.404  MATH         @MaxPower = +15
  6.405  ELSEIF       @FreqGHz <= 10
  6.406  MATH         @MaxPower = +15
  6.407  ELSEIF       @FreqGHz <= 20
  6.408  MATH         @MaxPower = +12
  6.409  ELSE         ; > 20 GHz to <= 40 GHz
  6.410  MATH         @MaxPower = +6
  6.411  ENDIF

  6.412  ENDIF        ; @Opt_2

  6.413  ELSEIF       @MG3695B

# MG3695B w/o Option 15, w/Option 2 (Step Attenuator)
  6.414  IF           @Opt_2

  6.415  IF           @Opt_4 && @FreqGHz <= 2.2
  6.416  MATH         @MaxPower = +10
  6.417  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.418  MATH         @MaxPower = +10
  6.419  ELSEIF       @FreqGHz <= 20
  6.420  MATH         @MaxPower = +8
  6.421  ELSE         ; > 20 GHz to <= 50 GHz
  6.422  MATH         @MaxPower = +0
  6.423  ENDIF

# MG3695B w/o Option 15, w/no step attenuator
  6.424  ELSE

  6.425  IF           @Opt_4 && @FreqGHz <= 2.2
  6.426  MATH         @MaxPower = +12
  6.427  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.428  MATH         @MaxPower = +12
  6.429  ELSEIF       @FreqGHz <= 20
  6.430  MATH         @MaxPower = +10
  6.431  ELSE         ; > 20 GHz to <= 50 GHz
  6.432  MATH         @MaxPower = +3
  6.433  ENDIF

  6.434  ENDIF        ; @Opt_2

  6.435  ELSEIF       @MG3696B

# MG3696B w/o Option 15, w/Option 2 (Step Attenuator)
  6.436  IF           @Opt_2

  6.437  IF           @Opt_4 && @FreqGHz <= 2.2
  6.438  MATH         @MaxPower = +10
  6.439  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.440  MATH         @MaxPower = +10
  6.441  ELSEIF       @FreqGHz <= 20
  6.442  MATH         @MaxPower = +8
  6.443  ELSE         ; > 20 GHz to <= 67 GHz
  6.444  MATH         @MaxPower = +0
  6.445  ENDIF

# MG3696B w/o Option 15, w/no step attenuator
  6.446  ELSE

  6.447  IF           @Opt_4 && @FreqGHz <= 2.2
  6.448  MATH         @MaxPower = +12
  6.449  ELSEIF       @Opt_5 && @FreqGHz < 2
  6.450  MATH         @MaxPower = +12
  6.451  ELSEIF       @FreqGHz <= 20
  6.452  MATH         @MaxPower = +10
  6.453  ELSE         ; > 20 GHz to <= 67 GHz
  6.454  MATH         @MaxPower = +3
  6.455  ENDIF

  6.456  ENDIF        ; @Opt_2

  6.457  ENDIF        ; @MG3691B

  6.458  ENDIF        ; @Opt_15

# For Option 22, 0.1 Hz to 10 MHz coverage, derate all specifications by 2 dB.
  6.459  IF           @Opt_22
  6.460  MATH         @MaxPower = @MaxPower - 2
  6.461  ENDIF

  6.462  END

  6.463  EVAL   Increment step number

# =====  Sub MG369XB Set Lowest Max Power  ==================================

  7.001  LABEL        SET_LOWEST_MAX_POWER

  7.002  IF           @Opt_15

  7.003  IF           @MG3691B

# MG3691B w/Option 15 (High Power) & Option 2E (Electronic Step Attenuator)
  7.004  IF           @Opt_2E

  7.005  IF           @Opt_4 || @Opt_5
  7.006  MATH         @LowestMaxPower = +15
  7.007  ELSE
  7.008  MATH         @LowestMaxPower = +16
  7.009  ENDIF

# MG3691B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.010  ELSEIF       @Opt_2

  7.011  IF           @Opt_4 || @Opt_5
  7.012  MATH         @LowestMaxPower = +18
  7.013  ELSE
  7.014  MATH         @LowestMaxPower = +23
  7.015  ENDIF

# MG3691B w/Option 15 (High Power) & no step attenuator
  7.016  ELSE

  7.017  IF           @Opt_4 || @Opt_5
  7.018  MATH         @LowestMaxPower = +19
  7.019  ELSE
  7.020  MATH         @LowestMaxPower = +25
  7.021  ENDIF

  7.022  ENDIF        ; @Opt_2E

  7.023  ELSEIF       @MG3692B

# MG3692B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.024  IF           @Opt_2

  7.025  IF           @Opt_4 || @Opt_5
  7.026  MATH         @LowestMaxPower = +18
  7.027  ELSE
  7.028  MATH         @LowestMaxPower = +21
  7.029  ENDIF

# MG3692B w/Option 15 (High Power) & no step attenuator
  7.030  ELSE

  7.031  IF           @Opt_4 || @Opt_5
  7.032  MATH         @LowestMaxPower = +19
  7.033  ELSE
  7.034  MATH         @LowestMaxPower = +23
  7.035  ENDIF

  7.036  ENDIF        ; @Opt_2

  7.037  ELSEIF       @MG3693B

# MG3693B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.038  IF           @Opt_2

  7.039  IF           @Opt_4 || @Opt_5
  7.040  MATH         @LowestMaxPower = +15
  7.041  ELSE
  7.042  MATH         @LowestMaxPower = +17
  7.043  ENDIF

# MG3693B w/Option 15 (High Power) & no step attenuator
  7.044  ELSE

  7.045  IF           @Opt_4 || @Opt_5
  7.046  MATH         @LowestMaxPower = +17
  7.047  ELSE
  7.048  MATH         @LowestMaxPower = +19
  7.049  ENDIF

  7.050  ENDIF        ; @Opt_2

  7.051  ELSEIF       @MG3694B

# MG3694B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.052  IF           @Opt_2

  7.053  IF           @Opt_4 || @Opt_5
  7.054  MATH         @LowestMaxPower = +15
  7.055  ELSE
  7.056  MATH         @LowestMaxPower = +17
  7.057  ENDIF

# MG3694B w/Option 15 (High Power) & no step attenuator
  7.058  ELSE

  7.059  IF           @Opt_4 || @Opt_5
  7.060  MATH         @LowestMaxPower = +17
  7.061  ELSE
  7.062  MATH         @LowestMaxPower = +19
  7.063  ENDIF

  7.064  ENDIF        ; @Opt_2

  7.065  ELSEIF       @MG3695B

# MG3695B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.066  IF           @Opt_2

  7.067  IF           @Opt_4 || @Opt_5
  7.068  MATH         @LowestMaxPower = +8
  7.069  ELSE
  7.070  MATH         @LowestMaxPower = +10
  7.071  ENDIF

# MG3695B w/Option 15 (High Power) & no step attenuator
  7.072  ELSE

  7.073  IF           @Opt_4 || @Opt_5
  7.074  MATH         @LowestMaxPower = +11
  7.075  ELSE
  7.076  MATH         @LowestMaxPower = +13
  7.077  ENDIF

  7.078  ENDIF        ; @Opt_2

  7.079  ELSEIF       @MG3696B

# MG3696B w/Option 15 (High Power) & Option 2 (Step Attenuator)
  7.080  IF           @Opt_2

  7.081  IF           @Opt_4 || @Opt_5
  7.082  MATH         @LowestMaxPower = +0
  7.083  ELSE
  7.084  MATH         @LowestMaxPower = +0
  7.085  ENDIF

# MG3696B w/Option 15 (High Power) & no step attenuator
  7.086  ELSE

  7.087  IF           @Opt_4 || @Opt_5
  7.088  MATH         @LowestMaxPower = +3
  7.089  ELSE
  7.090  MATH         @LowestMaxPower = +3
  7.091  ENDIF

  7.092  ENDIF        ; @Opt_2

  7.093  ENDIF        ; @MG3691B

  7.094  ELSE         ; Without Option 15 (High Power)

  7.095  IF           @MG3691B

# MG3691B w/o Option 15, w/Option 2E (Electronic Step Attenuator)
  7.096  IF           @Opt_2E
  7.097  MATH         @LowestMaxPower = +13

# MG3691B w/o Option 15, w/Option 2 (Step Attenuator)
  7.098  ELSEIF       @Opt_2
  7.099  MATH         @LowestMaxPower = +18

# MG3691B w/o Option 15, w/no step attenuator
  7.100  ELSE
  7.101  MATH         @LowestMaxPower = +19
  7.102  ENDIF

  7.103  ELSEIF       @MG3692B

# MG3692B w/o Option 15, w/Option 2 (Step Attenuator)
  7.104  IF           @Opt_2
  7.105  MATH         @LowestMaxPower = +15

# MG3692B w/o Option 15, w/no step attenuator
  7.106  ELSE
  7.107  MATH         @LowestMaxPower = +17
  7.108  ENDIF

  7.109  ELSEIF       @MG3693B

# MG3693B w/o Option 15, w/Option 2 (Step Attenuator)
  7.110  IF           @Opt_2
  7.111  MATH         @LowestMaxPower = +3

# MG3693B w/o Option 15, w/no step attenuator
  7.112  ELSE
  7.113  MATH         @LowestMaxPower = +6
  7.114  ENDIF

  7.115  ELSEIF       @MG3694B

# MG3694B w/o Option 15, w/Option 2 (Step Attenuator)
  7.116  IF           @Opt_2
  7.117  MATH         @LowestMaxPower = +3

# MG3694B w/o Option 15, w/no step attenuator
  7.118  ELSE
  7.119  MATH         @LowestMaxPower = +6
  7.120  ENDIF

  7.121  ELSEIF       @MG3695B

# MG3695B w/o Option 15, w/Option 2 (Step Attenuator)
  7.122  IF           @Opt_2
  7.123  MATH         @LowestMaxPower = +0

# MG3695B w/o Option 15, w/no step attenuator
  7.124  ELSE
  7.125  MATH         @LowestMaxPower = +3
  7.126  ENDIF

  7.127  ELSEIF       @MG3696B

# MG3696B w/o Option 15, w/Option 2 (Step Attenuator)
  7.128  IF           @Opt_2
  7.129  MATH         @LowestMaxPower = +0

# MG3696B w/o Option 15, w/no step attenuator
  7.130  ELSE
  7.131  MATH         @LowestMaxPower = +3
  7.132  ENDIF

  7.133  ENDIF        ; @MG3691B

  7.134  ENDIF        ; @Opt_15

# For Option 22, derate all specifications by 2 dB.
  7.135  IF           @Opt_22
  7.136  MATH         @LowestMaxPower = @LowestMaxPower - 2
  7.137  ENDIF

  7.138  END




