﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XB Reset & SRQ Masks
INSTRUMENT:            Sub MG369XB Init Connection Flags
INSTRUMENT:            Sub MG369XB Additional Equipment Required
INSTRUMENT:            Sub MG369XB Get Options
INSTRUMENT:            Sub MG369XB Create Test List Box
DATE:                  2010-02-05 14:34:53
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       375
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        MG369XB
#
#  Compatibility:
#        MET/CAL 7.20p or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RESET_AND_SRQ_MASK           PSUBI("Reset & SRQ Masks")
  1.002  JMPL         INIT_CON_FLAGS               PSUBI("Init Connection")
  1.003  JMPL         ADDITIONAL_REQ_EQUIP         PSUBI("Equipment Required")
  1.004  JMPL         GET_OPTIONS                  PSUBI("Get Options")
  1.005  JMPL         CREATE_TEST_LIST_BOX         PSUBI("Create Test List")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =====  Sub Anritsu MG369XB Reset & Set SRQ Masks  =========================
#
#        RST   Reset to default settings
#        PE1   Enables Parameter Range Error SRQ generation
#        SE1   Enables Syntax Error SRQ generation
#        UL1   Enables RF Unleveled SRQ generation
#        SQ1   Enables the SRQ generation function
#        RF0   Turns off the RF output

  2.001  LABEL        RESET_AND_SRQ_MASK
  2.002  IEEE         RSTPE1SE1UL1SQ1RF0
  2.003  END

  2.004  EVAL   Increment step number

# =====  Sub MG369XB Init Connection Flags  =================================

  3.001  LABEL        INIT_CON_FLAGS
  3.002  MATH         @MG369XB_300_Con        = ""
  3.003  MATH         @MG369XB_8560_Con       = ""
  3.004  MATH         @MG369XB_8560_Con_FM_PM = ""
  3.005  MATH         @MG369XB_8901_Con_AM    = ""
  3.006  MATH         @MG369XB_86100_Con      = ""
  3.007  MATH         @MG369XB_ML2430_Con     = ""
  3.008  MATH         @MG369XB_ML2530_Con     = ""
  3.009  END

  3.010  EVAL   Increment step number

# =====  Sub MG369XB Additional Equipment Required  =========================

  4.001  LABEL        ADDITIONAL_REQ_EQUIP
  4.002  HEAD         EQUIPMENT REQUIREMENTS
  4.003  OPBR         -z Do you want to REVIEW the list of additional
  4.003  OPBR         equipment and/or accessories required?

  4.004  IF           MEM1
  4.005  DISP         Additional equipment/accessories required (1 of 2):
  4.005  DISP
  4.005  DISP         The indicated minimum use specifications must be
  4.005  DISP         satisfied when configuring the following devices
  4.005  DISP         as flexible standards:
  4.005  DISP
  4.005  DISP         Digital Multimeter (DMM):
  4.005  DISP         [32] 0.7071 RMS VAC at 1 and 50 kHz
  4.005  DISP         [32]   Accuracy: <1%
  4.005  DISP
  4.005  DISP         Function Generator (FGEN):
  4.005  DISP         [32] DDS: 0.01 ro 10 MHz
  4.005  DISP
  4.005  DISP         Local Oscillator (LO):
  4.005  DISP         [32] Frequency Range: 0.01 to 40 GHz

  4.006  IF           ZCMP(@MG369XB_Con, "K")
  4.007  DISP         Additional equipment/accessories required (2 of 2):
  4.007  DISP
  4.007  DISP         Mixer, 500 MHz to 40 GHz, Conversion Loss: 10 dB
  4.007  DISP         [32]   Anritsu P/N 60-114
  4.007  DISP
  4.007  DISP         Precision Fixed Attenuator Set (DC to 40 GHz)
  4.007  DISP         [32]   Anritsu P/N 41KC-S
  4.007  DISP         [32]     Includes:
  4.007  DISP         [32]       41KC-3
  4.007  DISP         [32]       41KC-6
  4.007  DISP         [32]       41KC-10
  4.007  DISP         [32]       41KC-20
  4.007  DISP
  4.007  DISP         Precision Adapters
  4.007  DISP         [32]   1 ea. Type K (m) to Type N (m)
  4.007  DISP         [32]     PE9661 or equivalent
  4.007  DISP         [32]       8901 INPUT 50 OHM
  4.007  DISP         [32]       ML243XA CALIBRATOR
  4.007  DISP         [32]   1 ea. Type N (f) to Type K (m)
  4.007  DISP         [32]     PE9662, Anritsu P/N 34NFK50, or equivalent
  4.007  DISP         [32]       MA24XX to UUT <= 10 GHz

  4.008  ELSE
  4.009  DISP         Additional equipment/accessories required (2 of 2):
  4.009  DISP
  4.009  DISP         Mixer, 500 MHz to 40 GHz, Conversion Loss: 10 dB
  4.009  DISP         [32]   Anritsu P/N 60-114
  4.009  DISP
  4.009  DISP         Precision Fixed Attenuator Set (DC to 60 GHz)
  4.009  DISP         [32]   Wiltron P/N 41V-S
  4.009  DISP         [32]     Includes:
  4.009  DISP         [32]       41V-3
  4.009  DISP         [32]       41V-6
  4.009  DISP         [32]       41V-10
  4.009  DISP         [32]       41V-20
  4.009  DISP
  4.009  DISP         Precision Adapters
  4.009  DISP         [32]   1 ea. Type K (m) to Type N (m)
  4.009  DISP         [32]     PE9661 or equivalent
  4.009  DISP         [32]       8901 INPUT 50 OHM
  4.009  DISP         [32]   1 ea. Type V (m) to Type N (m)
  4.009  DISP         [32]     PE9504 or equivalent
  4.009  DISP         [32]       ML243XA CALIBRATOR
  4.009  DISP         [32]   1 ea. Type N (f) to Type V (m)
  4.009  DISP         [32]     PE9501 or equivalent
  4.009  DISP         [32]       MA24XX to UUT <= 10 GHz
  4.009  DISP         [32]   1 ea. Type K (f) to Type V (m)
  4.009  DISP         [32]     Anritsu 34VKF50 or equivalent
  4.009  DISP         [32]       MA24XX to UUT RF Output
  4.010  ENDIF

  4.011  ENDIF

  4.012  HEAD
  4.013  END


  4.014  EVAL   Increment step number

# =====  Sub MG369XB Get Options  ===========================================

#        Opt 2A/2B/2C/2D/2F      Mechanical Step Attenuator
#        Opt 2E                  Electronic Step Attenuator
#        Opt 3                   Ultra Low Phase Noise
#        Opt 4                   Digital Down Converter
#        Opt 5                   Analog Down Converter
#        Opt 6                   Analog Sweep Capability
#        Opt 8                   Power Monitor
#        Opt 10                  User-defined Modulation Waveform Software
#        Opt 12                  External FM/PM modulation
#        Opt 13A                 External Pulse Modulation for MG3691B/92B/93B
#        Opt 13B                 External Pulse Modulation for MG3694B/95B/96B
#        Opt 14                  External AM modulation
#        Opt 15A/15B/15C/15D     High Power Output
#        Opt 16                  High Stability Time Base
#        Opt 19                  SCPI language support
#        Opt 20                  Scan Modulation
#        Opt 22                  Low Frequency Audio DDS
#        Opt 23                  Internal LF generator
#        Opt 24                  Internal Pulse generator
#        Opt 30                  Low Phase Noise
#
# Composite Options (used when ordering)
#        Opt 25A                 Full Modulation Suite (12,13A,14,23,24)
#        Opt 25B                 Full Modulation Suite (12,13B,14,23,24)
#        Opt 26A                 Pulse modulation - For MG3691B/92B/93B (24)
#        Opt 26B                 Pulse modulation - For MG3694B/95B/96B (24)
#        Opt 27                  Internal LF and Pulse generators (23,24)
#        Opt 28A                 Full Modulation Suite (12,14,26A,27)
#        Opt 28B                 Full Modulation Suite (12,14,26B,27)

  5.001  LABEL        GET_OPTIONS
  5.002  HEAD         UUT OPTIONS
  5.003  RSLT         =
  5.004  RSLT         =INSTALLED OPTIONS
  5.005  RSLT         =

# Initialize option flags to false (0).

# Base options (return on bus)
  5.006  MATH         @Opt_2A  = 0
  5.007  MATH         @Opt_2B  = 0
  5.008  MATH         @Opt_2C  = 0
  5.009  MATH         @Opt_2D  = 0
  5.010  MATH         @Opt_2E  = 0
  5.011  MATH         @Opt_2F  = 0
  5.012  MATH         @Opt_3   = 0
  5.013  MATH         @Opt_4   = 0
  5.014  MATH         @Opt_5   = 0
  5.015  MATH         @Opt_6   = 0
  5.016  MATH         @Opt_8   = 0
  5.017  MATH         @Opt_10  = 0
  5.018  MATH         @Opt_12  = 0
  5.019  MATH         @Opt_13  = 0
  5.020  MATH         @Opt_14  = 0
  5.021  MATH         @Opt_15A = 0
  5.022  MATH         @Opt_15B = 0
  5.023  MATH         @Opt_15C = 0
  5.024  MATH         @Opt_15D = 0
  5.025  MATH         @Opt_16  = 0
  5.026  MATH         @Opt_17  = 0
  5.027  MATH         @Opt_18  = 0
  5.028  MATH         @Opt_19  = 0
  5.029  MATH         @Opt_20  = 0
  5.030  MATH         @Opt_22  = 0
  5.031  MATH         @Opt_23  = 0
  5.032  MATH         @Opt_24  = 0
  5.033  MATH         @Opt_30  = 0

  5.034  MATH         Field = 1
  5.035  IEEE         OO[I$]

  5.036  DO
  5.037  MATH         Opt = FLD(MEM2, Field, ",")

  5.038  IF           ZCMPI(Opt, "2A")
  5.039  RSLT         = Mechanical Step Attenuator
  5.040  MATH         @Opt_2A  = 1
  5.041  ELSEIF       ZCMPI(Opt, "2B")
  5.042  RSLT         = Mechanical Step Attenuator
  5.043  MATH         @Opt_2B  = 1
  5.044  ELSEIF       ZCMPI(Opt, "2C")
  5.045  RSLT         = Mechanical Step Attenuator
  5.046  MATH         @Opt_2C  = 1
  5.047  ELSEIF       ZCMPI(Opt, "2D")
  5.048  RSLT         = Mechanical Step Attenuator
  5.049  MATH         @Opt_2D  = 1
  5.050  ELSEIF       ZCMPI(Opt, "2E")
  5.051  RSLT         = Electronic Step Attenuator
  5.052  MATH         @Opt_2E  = 1
  5.053  ELSEIF       ZCMPI(Opt, "2F")
  5.054  RSLT         = Mechanical Step Attenuator
  5.055  MATH         @Opt_2F  = 1
  5.056  ELSEIF       ZCMPI(Opt, "3")
  5.057  RSLT         = Ultra Low Phase Noise
  5.058  MATH         @Opt_3   = 1
  5.059  ELSEIF       ZCMPI(Opt, "4")
  5.060  RSLT         = Digital Down Converter
  5.061  MATH         @Opt_4   = 1
  5.062  ELSEIF       ZCMPI(Opt, "5")
  5.063  RSLT         = Analog Down Converter
  5.064  MATH         @Opt_5   = 1
  5.065  ELSEIF       ZCMPI(Opt, "6")
  5.066  RSLT         = Analog Sweep Capability
  5.067  MATH         @Opt_6   = 1
  5.068  ELSEIF       ZCMPI(Opt, "8")
  5.069  RSLT         = Power Monitor
  5.070  MATH         @Opt_8   = 1
  5.071  ELSEIF       ZCMPI(Opt, "10")
  5.072  RSLT         = User-defined Mod Waveform Software
  5.073  MATH         @Opt_10  = 1
  5.074  ELSEIF       ZCMPI(Opt, "12")
  5.075  RSLT         = External FM/PM Modulation
  5.076  MATH         @Opt_12  = 1
  5.077  ELSEIF       ZCMPI(Opt, "13")
  5.078  RSLT         = External Pulse Modulation
  5.079  MATH         @Opt_13  = 1
  5.080  ELSEIF       ZCMPI(Opt, "14")
  5.081  RSLT         = External Amplitude Modulation
  5.082  MATH         @Opt_14  = 1
  5.083  ELSEIF       ZCMPI(Opt, "15A")
  5.084  RSLT         = High Power Output
  5.085  MATH         @Opt_15A = 1
  5.086  ELSEIF       ZCMPI(Opt, "15B")
  5.087  RSLT         = High Power Output
  5.088  MATH         @Opt_15B = 1
  5.089  ELSEIF       ZCMPI(Opt, "15C")
  5.090  RSLT         = High Power Output
  5.091  MATH         @Opt_15C = 1
  5.092  ELSEIF       ZCMPI(Opt, "15D")
  5.093  RSLT         = High Power Output
  5.094  MATH         @Opt_15D = 1
  5.095  ELSEIF       ZCMPI(Opt, "16")
  5.096  RSLT         = High Stability Time Base
  5.097  MATH         @Opt_16  = 1
  5.098  ELSEIF       ZCMPI(Opt, "19")
  5.099  RSLT         = SCPI Language
  5.100  MATH         @Opt_19  = 1
  5.101  ELSEIF       ZCMPI(Opt, "20")
  5.102  RSLT         = Scan Modulation
  5.103  MATH         @Opt_20  = 1
  5.104  ELSEIF       ZCMPI(Opt, "22")
  5.105  RSLT         = Low Frequency Audio DDS
  5.106  MATH         @Opt_22  = 1
  5.107  ELSEIF       ZCMPI(Opt, "23")
  5.108  RSLT         = Internal LF Generator
  5.109  MATH         @Opt_23  = 1
  5.110  ELSEIF       ZCMPI(Opt, "24")
  5.111  RSLT         = Internal Pulse Generator
  5.112  MATH         @Opt_24  = 1
  5.113  ELSEIF       ZCMPI(Opt, "30")
  5.114  RSLT         = Low Phase Noise
  5.115  MATH         @Opt_30  = 1
  5.116  ENDIF

  5.117  MATH         Field = Field + 1
  5.118  UNTIL        ZCMP(Opt, "")

# Set abbreviated flags.
  5.119  MATH         @Opt_2  = @Opt_2A  || @Opt_2B  || @Opt_2C  || @Opt_2D
  5.120  MATH         @Opt_2  = @Opt_2   || @Opt_2E  || @Opt_2F
  5.121  MATH         @Opt_15 = @Opt_15A || @Opt_15B || @Opt_15C || @Opt_15D
  5.122  HEAD
  5.123  END


  5.124  EVAL   Increment step number

# =====  Sub MG369XB Create Test List Box  ==================================

  6.001  LABEL        CREATE_TEST_LIST_BOX
  6.002  MATH         @Id = LBNEW("MG369XB Performance Verification")
  6.003  MATH         LBTEXT(@Id, "Select tests to be performed.")
  6.004  MATH         LBCONF(@Id, "+Multi,+SelReq")
  6.005  MEM2         =Spurious Signals Tests (8565E)
  6.006  MATH         LBADDV(@Id, MEM2, "@Spurs_8560")
  6.007  MEM2         =Single Sideband Phase Noise Tests (PN9000)
  6.008  MATH         LBADDV(@Id, MEM2, "@PhaseNoise_PN9000_LO")
  6.009  MEM2         =Power Level Tests (ML2430A/ML2530A)
  6.010  MATH         LBADDV(@Id, MEM2, "@PowerLevel_ML2430_ML2530")

  6.011  IF           @Opt_12 || @Opt_23
  6.012  MEM2         =Frequency Modulation Tests (8565E, FGEN)
  6.013  MATH         LBADDV(@Id, MEM2, "@FM_8560_FGEN")
  6.014  MEM2         =Frequency Modulation Tests (uWCTR, FGEN, DMM)
  6.015  MATH         LBADDV(@Id, MEM2, "@FM_uWCTR_FGEN_DMM")
  6.016  ELSE
  6.017  MATH         @FM_8560_FGEN      = 0
  6.018  MATH         @FM_uWCTR_FGEN_DMM = 0
  6.019  ENDIF

  6.020  IF           @Opt_14 || @Opt_23
  6.021  MEM2         =Amplitude Modulation Tests (8901A)
  6.022  MATH         LBADDV(@Id, MEM2, "@AM_8901")
  6.023  ELSE
  6.024  MATH         @AM_8901 = 0
  6.025  ENDIF

  6.026  IF           @Opt_13 || @Opt_24
  6.027  MEM2         =Pulse Modulation Tests (86100A)
  6.028  MATH         LBADDV(@Id, MEM2, "@PulseMod_86100")
  6.029  MEM2         =Pulse On/Off Ratio (8565E)
  6.030  MATH         LBADDV(@Id, MEM2, "@PulseOnOffRatio_8560")
  6.031  ELSE
  6.032  MATH         @PulseMod = 0; @PulseOnOffRatio = 0
  6.033  ENDIF

  6.034  MATH         LBBUTTON(@Id, "Ok")
  6.035  MATH         LBBUTTON(@Id, "Exit")
  6.036  END
